commit 38d5b11fa21dd3da88cded8cc17183683569419c
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Apr 15 16:19:20 2014 +0200

    Fix warning when build with -Wdocumentation
    
    epan/wmem/wmem_strutl.h:85:63: error: parameter 'str' is already documented [-Werror,-Wdocumentation]
    epan/wmem/wmem_strutl.h:85:27: note: previous documentation
    epan/wmem/wmem_strutl.h:90:39: error: parameter 'str' is already documented [-Werror,-Wdocumentation]
    epan/wmem/wmem_strutl.h:85:57: note: previous documentation
    epan/wmem/wmem_strutl.h:83:11: error: parameter 'allocator:' not found in the function declaration
    epan/wmem/wmem_strutl.h:83:11: note: did you mean 'allocator'?
    epan/wmem/wmem_strutl.h:84:11: error: parameter 'str:' not found in the function declaration [-Werror,-Wdocumentation]
    epan/wmem/wmem_strutl.h:85:11: error: parameter 'len:' not found in the function declaration [-Werror,-Wdocumentation]
    epan/wmem/wmem_strutl.h:85:11: note: did you mean 'len'?
    
    Change-Id: Id2888c5967c94c48f9b53957c8be361bbebd3488
    Reviewed-on: https://code.wireshark.org/review/1151
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 5c5a24f48a5fc0158aa069c42f10dda1229b6efe
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Apr 13 20:27:05 2014 +0200

    Update French translation
    
    Change-Id: If552907a2eb0828198e912fa5c2628efa7190f20
    Reviewed-on: https://code.wireshark.org/review/1119
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit e7488b77797b4447537c92431f676c805fb1e696
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Apr 15 10:25:51 2014 -0400

    Fix "might be clobbered by 'longjmp' or 'vfork' [-Werror=clobbered]" warning from gcc 4.9.
    
    Change-Id: I0d8f2a03d615840a1733602d0a5a6524caba6ff5
    Reviewed-on: https://code.wireshark.org/review/1152
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Tested-by: Bill Meier <wmeier@newsguy.com>

commit bd6ffea1cde6fbd7eb43343608020de47ccb3b9a
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Mon Apr 14 23:27:32 2014 +0200

    LTE RRC: break the sr-configIndex down into periodicity and subframe offset
    
    Change-Id: I5e153ebba9957f3dc5551f540cf333a1d0ff89f7
    Reviewed-on: https://code.wireshark.org/review/1141
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 157fe98533742538b9d4f170e03cb3bfe33766ee
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Apr 14 22:27:10 2014 +0200

    Update .gitignore to ignore doxygen generate file/directory (wsar_html...)
    
    Change-Id: I3d45c03f923dcc1c9216b8b102235221e8e3d556
    Reviewed-on: https://code.wireshark.org/review/1140
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit e304d5d739a083b50825d6eac5184b7006b38a91
Author: Shu Shen <shu.shen@gmail.com>
Date:   Mon Apr 14 16:11:27 2014 -0700

    Fix typo in packet-openflow_v1 and v5
    
    Change-Id: Iefc02123447edecbd02cd9a31fff0f412edc8461
    Signed-off-by: Shu Shen <shu.shen@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/1148
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit a88b81109c5cd7ce75a709b28c3402c96cce2cde
Author: Shu Shen <shu.shen@gmail.com>
Date:   Mon Apr 14 16:04:50 2014 -0700

    Fix typo for packet-openflow_v4.c, Unknown Message Type
    
    Change-Id: I6b416785f99c9a333d799188f06637d6643b4a38
    Signed-off-by: Shu Shen <shu.shen@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/1147
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 16b26b8e5fa066bfde0939ca2a66af00af44285e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Apr 14 15:43:03 2014 -0700

    Put the system ID in the top-level items for neighbors.
    
    Add a tvb_print_system_id() routine, and use that in various ISIS
    dissectors, while we're at it.
    
    Change-Id: I31b6b9ea8faf2b4849f974ec7ed27fbdd14b91ef
    Reviewed-on: https://code.wireshark.org/review/1145
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit d3ad27390c47089d1bab973b9760eb80ae9de92f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Apr 14 15:22:50 2014 -0700

    Call each item in the Extended IS Reachability CLV an "IS Neighbor".
    
    This makes it a bit more like the (un-extended) Reachability CLVs.
    
    Also, just make the top-level items just a text field, just like the
    top-level items for neighbors in the (un-extended) Reachability CLVs.
    
    Rename the system IDs to be "... neighbor ID", not just "neighbor"; the
    top-level items hold all the information for the neighbor, and the
    system ID for the neighbor is just one of those pieces of information.
    
    Change-Id: I72182dea496f8cfa6048cff3b0d2474df8f31282
    Reviewed-on: https://code.wireshark.org/review/1144
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7fdd74a0092d98616be0d9aa2a13b0d9b5989f01
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Apr 14 09:53:01 2014 -0700

    Release note updates for 1.11.3.
    
    Change-Id: I16b70456b86fbc83b791186dd6e1a7e815815e0e
    Reviewed-on: https://code.wireshark.org/review/1143
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit a838f1083c0988de0af77ceb94f4ee8e8cc00faa
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Apr 14 14:52:25 2014 -0700

    You can't use proto_item_set_len() to make an item unknown-length.
    
    You also shouldn't use an item for one *element* of a structure to
    represent the entire structure.
    
    Fix both of those.
    
    Change-Id: Id1711238ebec02f135c404ac001aa51d783b3c69
    Reviewed-on: https://code.wireshark.org/review/1142
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 45143c6eac61f2d9ffe67bc9624eee2547d3aeb4
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Apr 14 08:59:07 2014 +0200

    Fix Argument with 'nonnull' attribute passed null found by Clang
    
    Change-Id: I9b8a6c37e4ed589ac3066ec9cbb1b63a9f30a12b
    Reviewed-on: https://code.wireshark.org/review/1097
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2ce2320de07409038adf10b68abf446e37087f35
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Apr 14 21:21:42 2014 +0200

    Upgrade doxygen configuration (with doxyen 1.8)
    With doxygen -u doxygen_global.cfg
    
    Fix warning
    Warning: Tag `SYMBOL_CACHE_SIZE' at line 290 of file doxygen_global.cfg has become obsolete.
    To avoid this warning please remove this line from your configuration file or upgrade it using "doxygen -u"
    Warning: Tag `SHOW_DIRECTORIES' at line 490 of file doxygen_global.cfg has become obsolete.
    To avoid this warning please remove this line from your configuration file or upgrade it using "doxygen -u"
    Warning: Tag `HTML_ALIGN_MEMBERS' at line 847 of file doxygen_global.cfg has become obsolete.
    To avoid this warning please remove this line from your configuration file or upgrade it using "doxygen -u"
    Warning: Tag `USE_INLINE_TREES' at line 1032 of file doxygen_global.cfg has become obsolete.
    To avoid this warning please remove this line from your configuration file or upgrade it using "doxygen -u"
    
    Change-Id: Ic0b5dda7f4bcaa17b7bf915928a938e614d54f30
    Reviewed-on: https://code.wireshark.org/review/1139
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 647287f4ac7a5d8fede24bc4b49c4398b74cba9d
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Apr 14 21:15:33 2014 +0200

    Fix warning when generate documentation (doxygen)
    
    ui/decode_as_utils.h:42: Warning: The following parameters of decode_build_reset_list(const gchar *table_name, ftenum_t selector_type, gpointer key, gpointer value, gpointer user_data) are not documented:
      parameter 'selector_type'
    
    Change-Id: I8353dae120e87c9651c6611924c1fc652436146d
    Reviewed-on: https://code.wireshark.org/review/1138
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a9103e0234c040a748898c8be8aab5a88a1f7bb9
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Apr 14 21:15:12 2014 +0200

    Fix warning when generate documentation (doxygen)
    
    ui/gtk/gui_stat_menu.h:42: Warning: The following parameters of register_menu_bar_menu_items(const char *gui_path, const char *name, const gchar *stock_id, const char *label, const char *accelerator, const gchar *tooltip, gpointer callback, gpointer callback_data, gboolean enabled, gboolean(*selected_packet_enabled)(frame_data *, struct epan_dissect *, gpointer callback_data), gboolean(*selected_tree_row_enabled)(field_info *, gpointer callback_data)) are not documented:
      parameter 'gui_path'
      parameter 'label'
      parameter 'accelerator'
      parameter 'tooltip'
      parameter 'enabled'
    
    Change-Id: I422d767741b29b8722c85a4ef97186d599d802c3
    Reviewed-on: https://code.wireshark.org/review/1137
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b00a622bcd12157ae776bf4cfbed6b7d67887a3d
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Apr 14 20:25:25 2014 +0200

    Fix warning when generate documentation (doxygen)
    
    ui/gtk/gui_utils.h:277: Warning: argument 'parent' of command @param is not found in the argument list of pixbuf_to_widget(const guint8 *pb_data)
    ui/gtk/gui_utils.h:277: Warning: argument 'xpm' of command @param is not found in the argument list of pixbuf_to_widget(const guint8 *pb_data)
    
    Change-Id: I9182a6f8c85b69bd8b0bab7e03af441dee31fc1d
    Reviewed-on: https://code.wireshark.org/review/1136
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d029cf158bce42dac0d6d0d270ffed84a19850c4
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Apr 14 20:23:59 2014 +0200

    Fix warning when generate documentation (doxygen)
    
    pcapio.h:65: Warning: The following parameters of pcapng_write_session_header_block(FILE *pfile, const char *comment, const char *hw, const char *os, const char *appname, guint64 section_length, guint64 *bytes_written, int *err) are not documented:
      parameter 'err'
    
    Change-Id: I0eaa55a44436de5b9687c9b7846c199fe77d98e4
    Reviewed-on: https://code.wireshark.org/review/1135
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit bfc85bb36541e5ba7cd4efa6e22629d29931f6ce
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Apr 14 20:22:58 2014 +0200

    Fix warning when generate documentation (doxygen)
    
    airpcap.h:422: Warning: unable to resolve reference to `radiotap' for \ref command
    airpcap.h:443: Warning: unable to resolve reference to `radiotap' for \ref command
    
    Change-Id: I40028cbf16ba7a3a3da5fd84abf453e4b2d39b75
    Reviewed-on: https://code.wireshark.org/review/1134
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit cb51bd0acbac0b465a04dd0c141fe857a3b65596
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Apr 14 20:21:08 2014 +0200

    Fix warning when generate documentation (doxygen)
    
    build/epan/proto.h:384: warning: Found unknown command `\uXXXX'
    
    Change-Id: Ic42730e49ba9b956090269a3b80ffd7a87da33d3
    Reviewed-on: https://code.wireshark.org/review/1133
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit bcb6f09f6f01e5cde635ea5a640bd9e671361447
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Apr 14 20:20:24 2014 +0200

    Fix warning when generate documentation (doxygen)
    
    ui/packet_list_utils.h:32: warning: argument 'IN' of command @param is not found in the argument list of right_justify_column(gint col, capture_file *cf)
    ui/packet_list_utils.h:32: warning: argument 'IN' of command @param is not found in the argument list of right_justify_column(gint col, capture_file *cf)
    ui/packet_list_utils.h:32: warning: The following parameters of right_justify_column(gint col, capture_file *cf) are not documented:
      parameter 'col'
      parameter 'cf'
    ui/packet_list_utils.h:42: warning: argument 'IN' of command @param is not found in the argument list of resolve_column(gint col, capture_file *cf)
    ui/packet_list_utils.h:42: warning: argument 'IN' of command @param is not found in the argument list of resolve_column(gint col, capture_file *cf)
    ui/packet_list_utils.h:42: warning: The following parameters of resolve_column(gint col, capture_file *cf) are not documented:
      parameter 'col'
      parameter 'cf'
    
    Change-Id: I15c7046a36cc72d9904002946eab4dec81ab6861
    Reviewed-on: https://code.wireshark.org/review/1132
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 1fceb512f7f5fb3e2018dca7dc0fe541c3fbeef7
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Apr 14 20:16:40 2014 +0200

    Fix warning when generate documentation (doxygen)
    
    epan/wmem/wmem_strutl.h:82: warning: Found unknown command `\allocator'
    epan/wmem/wmem_strutl.h:82: warning: Found unknown command `\allocator'
    epan/wmem/wmem_strutl.h:80: warning: Found unknown command `\str'
    epan/wmem/wmem_strutl.h:81: warning: Found unknown command `\len'
    epan/wmem/wmem_strutl.h:81: warning: Found unknown command `\str'
    epan/wmem/wmem_strutl.h:81: warning: Found unknown command `\st
    
    Change-Id: I0c3908f0e4aa84cc20fad954638b0cb10b1d6dee
    Reviewed-on: https://code.wireshark.org/review/1131
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 05ce6efb8cecd713375b3e2c4dce8c3bd49b2cd3
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Apr 14 19:17:06 2014 +0200

    Fix warning when generate documentation (doxygen)
    
    wireshark/epan/wmem/wmem_stack.h:39: Warning: group wmem-stack: ignoring title "Stack-bbab" that does not match old title "Queue"
    
    Change-Id: I9376651d89d9df21aeca82ddb952c230d546169a
    Reviewed-on: https://code.wireshark.org/review/1130
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d685e9b3fe8e2adee34159ddeddf43b616f35234
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Apr 14 17:10:06 2014 +0200

    Fix warning found by -Wunused-const-variable (Clang 3.5)
    
    Change-Id: I246aa28be28194576b4bd58714b2e6ac36f7a29a
    Reviewed-on: https://code.wireshark.org/review/1121
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit fad0aa0382955bcc03d3ec8318dd510149e51b67
Author: Joseph Huffman <jhuffman@codeaurora.org>
Date:   Mon Nov 18 08:52:07 2013 -0800

    Addition of AllJoyn packet dissector.  Bug 9361
    
    Change-Id: Ia582732ee27ce9c1e4280afef5a6b3e3be959d23
    Reviewed-on: https://code.wireshark.org/review/1127
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit dacc7eea39ec560bf5c8edf0e850d1798c678b67
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Apr 14 09:53:47 2014 -0700

    Pull in some changes from master-1.10/make-version.pl.
    
    Matches versioning behavior in stable branches.
    
    Change-Id: Ic4d451e7e9941b65d24a76bfaf57de2b4fb58239
    Reviewed-on: https://code.wireshark.org/review/1124
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit e9e4277f2a8e22d68d5280b82372313fbe5ad568
Author: Matthieu Texier <matthieu@texier.tv>
Date:   Fri Apr 4 13:39:18 2014 +0200

    Add support of RFC 6514 PMSI bgp attribute and tunnel ID decoding
    
    Change-Id: Ia170002fb5af5f6548595688956cc01ec4a72298
    Reviewed-on: https://code.wireshark.org/review/960
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 9838ab902e58aee4de8d17bb5a7f4dfbb3b9cdca
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Apr 14 09:06:03 2014 -0700

    Adjust path width for OS X & Linux.
    
    Change-Id: Icc51e8c3c93f78cbfa0a0aeda3552ceb4c82803d
    Reviewed-on: https://code.wireshark.org/review/1122
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 920ae80d336930e96aa22d94bfd4828aaaea9c93
Author: Philip Rosenberg-Watt <p.rosenberg-watt@cablelabs.com>
Date:   Mon Apr 14 07:43:34 2014 -0600

    Fixed deprecated tvb_length and tvb_length_remaining.
    
    Change-Id: Icb7b703319f2d76383fe0a52294ca8c2d06bef84
    Reviewed-on: https://code.wireshark.org/review/1118
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 834c25f50f954d04c9f7b1700505dcfa12dde25d
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Mon Apr 14 16:07:46 2014 +0200

    no need for if(tree)
    
    Change-Id: I90a9d2f31c479d1e13f5842be944b67ef67ed6a7
    Reviewed-on: https://code.wireshark.org/review/1117
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 97d4a8ffa013b918b97d5087d0fc3259a1aba49b
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Mon Apr 14 16:04:48 2014 +0200

    TABs -> spaces
    add modelines
    
    Change-Id: Iae34900e61c2b1f58e48d5ec2d2a303b00beb137
    Reviewed-on: https://code.wireshark.org/review/1116
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 9a9ca0ab3d525b1380cd68701880281450aff464
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Apr 14 15:42:16 2014 +0200

    lrelease / lupdate translation files
    
    Change-Id: I2962614ad9d4bd5a263f50e827705133c6c65d9c
    Reviewed-on: https://code.wireshark.org/review/1110
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit eef5e68177de15af082bdfd648f2021ced58f8e6
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Apr 14 15:38:15 2014 +0200

    Fix typo (double at...)
    
    Change-Id: If095b9d01817e4345ae588020cdc3332709c18d0
    Reviewed-on: https://code.wireshark.org/review/1109
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit c4626a247c5f152eac1a091641438fb78e304c0e
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Apr 14 15:36:23 2014 +0200

    Fix typo (Link size => Link type) in Qt Summary window
    
    Change-Id: I78844161e19eaa88a62417f492ac5e439c6bbac0
    Reviewed-on: https://code.wireshark.org/review/1108
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 12e9baf725b8937f3b722f1794a3c6dee30f65c1
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Apr 14 15:33:04 2014 +0200

    Fix typo and make buildbot doc happy
    
    Change-Id: I9e60fd8a8353e740c1b57f52daac86b1af1b784f
    Reviewed-on: https://code.wireshark.org/review/1106
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit b8d03c5f0462406ee8a17efce22ddd9d4f6bd9df
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun Apr 13 19:20:38 2014 +0200

    always get the transfer type from the conversation
    
    Change-Id: Iadd45be615053cd070f69cd836d2a4abb2d5588f
    Reviewed-on: https://code.wireshark.org/review/1115
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit e1c692dd7819f888ff540041a29272804e03a32a
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun Apr 13 18:25:55 2014 +0200

    check for is_setup, not for the value of the setup flag
    
    Change-Id: I9fe0f2e180a3ccf13a4db13918a73b1999e29ade
    Reviewed-on: https://code.wireshark.org/review/1114
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 85473291a42678568d9ef1901b6c4ee2feac0993
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun Apr 13 18:54:40 2014 +0200

    remove device_address parameter from try_dissect_next_protocol()
    read the transfer type from the usb conversation instead
    
    Change-Id: I91b835aea32edbf7916c392afc0eb14e711f1baf
    Reviewed-on: https://code.wireshark.org/review/1113
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit dc97682cca887fd91c33bde899382f366c1a6a7f
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun Apr 13 18:49:16 2014 +0200

    remove bus_id parameter from try_dissect_next_protocol()
    read the transfer type from the usb conversation instead
    
    Change-Id: I246a64f72b8c38b98337f463ee137e30fc9b504d
    Reviewed-on: https://code.wireshark.org/review/1112
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 01d2ca6a7411fb8ddd3edc7a7d1ecd076d46c934
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun Apr 13 18:41:19 2014 +0200

    remove type parameter from try_dissect_next_protocol()
    read the transfer type from the usb conversation instead
    
    Change-Id: Iec4866ac9c58bf576422f4bcb3bc8947bca27f06
    Reviewed-on: https://code.wireshark.org/review/1111
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit 3aa48c8ad63211b694914c525e4401f9a694a9fe
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Mon Apr 14 15:33:25 2014 +0200

    path is used only for libsmi and geoip
    fix a compile error when they're both unused
    
    Change-Id: I23b341bc02624e3e56320818056ac3cc8cd65b99
    Reviewed-on: https://code.wireshark.org/review/1107
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit c68769765cae2025e167c811a748e514822e73db
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Mon Apr 14 14:47:30 2014 +0200

    Fix no previous prototype warnings.
    
    Change-Id: I859597ebc957a58f659800ef63318f94e80feabf
    Reviewed-on: https://code.wireshark.org/review/1104
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 167041a9be067f6d2aa5e16322822030bce06bea
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Apr 14 14:34:37 2014 +0200

    Try to make happy Ubuntu Buildbot
    
    ../../../epan/wslua/wslua_tree.c: In function 'TreeItem_add_packet_field':
    ../../../epan/wslua/wslua_tree.c:151:14: error: variable 'tvbr' might be clobbered by 'longjmp' or 'vfork' [-Werror=clobbered]
    ../../../epan/wslua/wslua_tree.c:154:9: error: variable 'ett' might be clobbered by 'longjmp' or 'vfork' [-Werror=clobbered]
    ../../../epan/wslua/wslua_tree.c:159:9: error: variable 'nargs' might be clobbered by 'longjmp' or 'vfork' [-Werror=clobbered]
    
    Change-Id: I1720a62613f4bf94ae2f8649a04139a7899fb106
    Reviewed-on: https://code.wireshark.org/review/1103
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2414d9df46a137fac05ebd969613f46e0a39ca8c
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Apr 14 08:59:28 2014 +0200

    Fix Argument with 'nonnull' attribute passed null found by Clang
    
    Change-Id: If1c907308a7c776a6198530663f8dce03839d43b
    Reviewed-on: https://code.wireshark.org/review/1098
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit dd002649c32a0f16720236b34fe5a7aefe04c457
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Sat Apr 12 00:32:20 2014 -0400

    Add tvb_get and proto_tree_add for string-encoded timestamps
    
    This commit adds tvb_get_string_time and proto_tree_add_time_item routines for
    getting nstime fields from the tvb when they are encoded in ASCII string form.
    
    The proto_tree_add_time_item routine is also usable for normal
    big/little-endian encoded time_t, and has the advantage of retrieving
    the value even if there's no proto tree.
    
    It also exposes the routines to Lua, both so that a Lua script can take
    advantage of this, but also so I can write a testsuite to test the functions.
    
    Change-Id: I955da10f68f2680e3da3a5be5ad8fdce7ed6808c
    Reviewed-on: https://code.wireshark.org/review/1084
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 92b501303bdeb163cec55825da8b683138517e4d
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Apr 14 12:34:10 2014 +0200

    Enhance translation (rename also pixel => Pixel to avoid similar string...)
    
    Change-Id: Ic2e0ca99382208c13ea2c71c11684c43b34b9988
    Reviewed-on: https://code.wireshark.org/review/1099
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 3ca06aa167bf48278a2eb7b8cbd1292b4644cc28
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Mon Apr 14 08:07:58 2014 +0200

    Increase tap limit to 5000
    
    This will fix "Warn Too many taps queued" information,
    while there is more then 100 PDUs to be exported.
    For example while exporting Logcat from TCP/IP it is quite
    often to have PDU with multiple Logcat PDUs around 1000.
    
    Change-Id: I24d0619e57ae494c836c19c8a67df44503c54318
    Reviewed-on: https://code.wireshark.org/review/1096
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 5d51a8dc080f3c4301a5bf4312bbcb906940e597
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Tue Apr 1 08:53:39 2014 +0200

    Fix wtap displayable names
    
    Also fix indentions.
    
    Change-Id: I5440859aaf3ec1dbf416d9da6c1dab71bec803d8
    Reviewed-on: https://code.wireshark.org/review/1094
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 444cdf5f6b6994706347f703b248bb1507c38888
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Mon Apr 14 07:59:25 2014 +0200

    Bluetooth: ATT: Add missing offset calculations
    
    Change-Id: Ia0fe426bff7d48a45d915a18aa679bb8978d2fca
    Reviewed-on: https://code.wireshark.org/review/1095
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit bf515f599056d73165f0c421f11de495842afeec
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Apr 13 20:31:21 2014 +0200

    lupdate / lrelease translation file...
    
    Change-Id: I6d93828ece6e62e4885c31d6d4429c652ead9389
    Reviewed-on: https://code.wireshark.org/review/1090
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 16d45a69caf1d47e381c661ab6b2269116084e62
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Fri Apr 11 17:59:17 2014 +0200

    Allow FT_BYTES, FT_NONE, FT_STRING use length "-1"
    
    All three types support zero length, so using
    -1 (aka length remaining) should be safe.
    
    Change-Id: Ia616d652ce6884f8e12a5ac5782073403810b10b
    Reviewed-on: https://code.wireshark.org/review/1072
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit fca3746365515c53f73e83dafe9bbac914ab4f55
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Apr 13 20:30:42 2014 +0200

    Enhance translation (rename toolTip to avoid similar string...)
    
    Change-Id: I66a17871829a769fe6ffecb2becbb5f4cc7fa078
    Reviewed-on: https://code.wireshark.org/review/1089
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit d64a5fbeeac2c278ac6452ee17ca8efb7cf3f5e6
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Apr 13 21:08:34 2014 -0400

    Fix infinite loop.  Bug 9986
    
    Change-Id: Idbd22522918f0db131945d2a39f38b963ca3e0c2
    Reviewed-on: https://code.wireshark.org/review/1093
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 0a5572ea77aff392c7925b8ce30c15327c8d28cc
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Thu Apr 3 17:42:54 2014 -0400

    Fix Bug 9951: 'git commit hook isn't calling checkAPIs.pl with arguments for the dissectors'
    
    I recently made a change to packet-rtp.c and inappropriately included
    g_error() in it, which the builbots caught during their run of checkAPIs.pl.
    But checkAPIs.pl is supposed to catch such things for us before we submit, by
    being invoked in the git pre-commit hook.
    
    Apparently though, buildbots call checkAPIs.pl with extra arguments for
    different cases... and for packet dissectors it calls it with a '-g abort'
    argument, which is how it caught the g_error.
    
    So the "bug" is that the pre-commit hook should invoke checAPIs.pl with that
    argument too, for epan/dissectors/packet-*.c files.
    
    Change-Id: Ie8f9dcc55f2248918208dea85a04f67e6bf9829a
    Reviewed-on: https://code.wireshark.org/review/953
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit f532fb94fc1478061e94c98423079b74269967f3
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Apr 13 22:47:53 2014 +0200

    MBIM: fix dissection of ENVELOPE Sim Toolkit messages
    
    Change-Id: I3e6567e8ebfe83f12a0e2cbb2998b2e43ad2277a
    Reviewed-on: https://code.wireshark.org/review/1092
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit f6dfda3a3372675c9418953dec25420b13513733
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Apr 13 22:39:29 2014 +0200

    MBIM: add decoding of text based CDMA SMS
    
    Change-Id: Id2497597660bffeff2d98087d6511b91bfd93b1a
    Reviewed-on: https://code.wireshark.org/review/1091
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit cfe11b1097a53d5d62f1b7b9de3b816378527dae
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Apr 13 18:53:29 2014 +0200

    Add ENC_ASCII_7BITS encoding
    
    Change-Id: I01ec87ff4181afb5b2de487fd5f5200f8d62f17d
    Reviewed-on: https://code.wireshark.org/review/1088
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 63ed4745a2c3abef00ec69fa1b6832674fa17605
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Apr 10 15:30:00 2014 -0700

    Replace QTableWidgets with QLabels + HTML tables.
    
    This lets the user select and copy the folder and plugin data as text.
    Add clickable local filesystem URLs while we're at it.
    
    (I suspect that you shouldn't use QTableWidgets unless you're creating a
    spreadsheet.)
    
    Change-Id: I45650bd4f4b6215824a4ed70ec80698d0805baba
    Reviewed-on: https://code.wireshark.org/review/1064
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit cf85d91547037143a76ff2b25c4475794c4860e4
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Apr 13 08:04:54 2014 -0700

    [Automatic manuf, services and enterprise-numbers update for 2014-04-13]
    
    Change-Id: I0af1de7915bf152ae59e48b4fb2e80c302aa4b39
    Reviewed-on: https://code.wireshark.org/review/1085
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit f55269e406effde2cabe71b79c6a8e90068abd00
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Apr 12 15:39:20 2014 -0700

    Use ftype_name() to get the name of an FT_ value.
    
    That way we don't have to update the hf_types[] value_string if a new
    type is added.
    
    Change-Id: If4fd0a8ff2d6b54d0b70140be407dae9c4ab6b3b
    Reviewed-on: https://code.wireshark.org/review/1083
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit cb16dff992c3844936bf5829f19e5a5247458503
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Apr 12 15:26:34 2014 -0700

    Get rid of more tvb_get_nstringz* calls.
    
    Add an FT_STRINGZPAD type, for null-padded strings (typically
    fixed-length fields, where the string can be up to the length of the
    field, and is null-padded if it's shorter than that), and use it.  Use
    IS_FT_STRING() in more cases, so that less code needs to know what types
    are string types.
    
    Add a tvb_get_stringzpad() routine, which gets null-padded strings.
    Currently, it does the same thing that tvb_get_string_enc() does, but
    that might change if we don't store string values as null-terminated
    strings.
    
    Change-Id: I46f56e130de8f419a19b56ded914e24cc7518a66
    Reviewed-on: https://code.wireshark.org/review/1082
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit ef8a0a2ce172810d48371eb65c73b1bd4a6303ca
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Apr 12 19:19:04 2014 +0200

    Update E.212 list to Operational Bulletin No. 1047 (1.III.2014)
    
    Change-Id: I6eddb03a0ef541f94fc166a03417a91bb219e235
    Reviewed-on: https://code.wireshark.org/review/1081
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit d7d1cdb1c16dfdd0f6354d6324946786ab4ef46d
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Apr 12 16:13:36 2014 +0200

    Add MQTT to release notes
    
    Change-Id: I553698c522b4a1eba370591a4ab788a139f8f221
    Reviewed-on: https://code.wireshark.org/review/1080
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit c00de8797ceb2329e1cee1682d761e63109efee7
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Apr 12 14:08:41 2014 +0200

    no need for if(tree)
    
    Change-Id: Ic74a8f080628dc200fe1f5a4d34ff5f9bb60e232
    Reviewed-on: https://code.wireshark.org/review/1079
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 37f85507ddc106bf2e91e4c8faa01d1b182c7110
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Apr 12 14:07:08 2014 +0200

    TABs -> spaces
    add editor modelines
    
    Change-Id: Ieee4ea5c5043c519c465a4b0570357f2c22e311c
    Reviewed-on: https://code.wireshark.org/review/1078
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 6fd55a2e5bf053a94f37c233126be500eb61aa65
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Apr 11 16:56:38 2014 +0200

    Fix packet-vp8.c:168:6: warning: redundant redeclaration of 'proto_reg_handoff_vp8' [-Wredundant-decls]
    packet-vp8.c:30:6: note: previous declaration of 'proto_reg_handoff_vp8' was here
    
    Change-Id: Ibbae1eeffaa672224e5ea77bda8e207d077b7262
    Reviewed-on: https://code.wireshark.org/review/1071
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit ae127f23fad7ad085793b1a8cbe931e6c6c82626
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Apr 12 01:53:33 2014 -0700

    Add Mac Roman and DOS CP437.
    
    Change-Id: Ib96f2cf4ea71cd0cc2c703d58b9d254bf4c1248a
    Reviewed-on: https://code.wireshark.org/review/1077
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 538429cc758f04653da080c8d654ab0cc30e92c1
Author: David Ameiss <netshark@ameissnet.com>
Date:   Thu Apr 10 08:53:48 2014 -0500

    Fixes for numerous fuzz crashes - bug 9962.
    
    Change-Id: I34fb09b62e79bfadd362c0ade81bec80dd0f14e0
    Reviewed-on: https://code.wireshark.org/review/1058
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 0c2978d69d9fd45c46117a42964852e17cb9e389
Author: Shu Shen <shu.shen@gmail.com>
Date:   Fri Apr 11 14:22:56 2014 -0700

    Adding message type to COL_INFO for multipart messages
    
    Change-Id: I0ae84101c71f31e2d6ab91c7f7b74da81865b8f3
    Signed-off-by: Shu Shen <shu.shen@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/1075
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 5ad84a9ed1b16d6c96fd357352ceb55895671d6a
Author: Evan Huus <eapache@gmail.com>
Date:   Fri Apr 11 14:08:14 2014 -0400

    Fix non-standard format specifiers
    
    C90 permits plain %f for doubles. Thanks to Alexis for pointing this out.
    
    Change-Id: I3f927b0a50e5764c2297c7f9d680c6363ba9fd0e
    Reviewed-on: https://code.wireshark.org/review/1073
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 2afa065d6201202c3804d8857c2f462e6dcde55f
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Fri Apr 11 22:24:23 2014 +0200

    Fix compilation if not HAVE_LIBGNUTLS and not HAVE_LIBGCRYPT
    
    This was introduced in the previous compilation fix.
    
    Change-Id: I4ec652a2708d90f35f3f00ec2c3261acb3e68397
    Reviewed-on: https://code.wireshark.org/review/1074
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Stig Bjørlykke <stig@bjorlykke.org>

commit b642a280cb74b94e62815dde98c038f54c4ad2ff
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Fri Apr 11 15:20:00 2014 +0200

    Fix compilation if HAVE_LIBGNUTLS but not HAVE_LIBGCRYPT.
    
    Also fixed a comment for a #endif for the same defines.
    
    Change-Id: Icbbf619dbaeb1d4d154a5f1a8273f252d35c6981
    Reviewed-on: https://code.wireshark.org/review/1070
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 48c05a4f8e61998478e8be44cb4819989b1bfd99
Author: Niels de Vos <ndevos@redhat.com>
Date:   Fri Apr 11 10:47:19 2014 +0200

    GlusterFS: correctly dissect flags passed with OPEN, CREATE, etc.
    
    RPC/XDR is in big-endian, just like dissect_rpc_uint64() and friends.
    
    Change-Id: I0843e280bd2ffc2c4bd9a5273a7343a17d81ad6a
    Reported-by: Xavier Hernandez <xhernandez@datalab.es>
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: https://code.wireshark.org/review/1066
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 3f81af22e0116a2f83c0298de7874959b3967da2
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Fri Apr 11 13:13:42 2014 +0200

    Improved TLS/DTLS Heartbeat Message handling.
    
    Added an expert info for invalid payload length (heartbleed).
    
    Change-Id: I9e09d1ae2b997091bbce2483c098dba7e6631859
    Reviewed-on: https://code.wireshark.org/review/1067
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Stig Bjørlykke <stig@bjorlykke.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 9ce003a6206a89d964dcb604b1f3b35acdfbbf7e
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Fri Apr 11 13:17:56 2014 +0200

    Added P1 extension 34.
    
    Change-Id: Iccaaf39d4de21e1a12a26c40a184321a67b41f3e
    Reviewed-on: https://code.wireshark.org/review/1068
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Stig Bjørlykke <stig@bjorlykke.org>

commit 7ac3ed366c306df80064b569434f878baf93e8a4
Author: Gerald Combs <gerald@zing.org>
Date:   Thu Apr 10 18:25:50 2014 -0700

    Fix unused variable warnings found by clang.
    
    Change-Id: I31ff6d9bfcedfc1e3cab4e191d8dbf8de347abb1
    Reviewed-on: https://code.wireshark.org/review/1065
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 725c2b3354ca446525b9931746b2441de6b8b816
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Apr 10 22:53:11 2014 +0200

    Fix called C++ object pointer is null found by Clang Analyzer
    
    Change-Id: I7d142ed60af8bb776ea732bf9ef94ad92bc23d70
    Reviewed-on: https://code.wireshark.org/review/1061
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 36a2ba2ce684d242cf26aa0bcb4ae7944aff43c7
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu Apr 10 23:00:59 2014 +0200

    display LCNs as decimal number
    this makes them easier to compare with your TVs channel list
    
    Change-Id: Ie78d1a7df8aa83455ff723fa523b84a067231e5f
    Reviewed-on: https://code.wireshark.org/review/1063
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit b6cbf2374e52bbaa41091e18f15d24a5cf2bb8ed
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu Apr 10 22:59:19 2014 +0200

    use the CI+ value string for CI+ descriptor tags
    
    Change-Id: I48f3304f74263672a65a74f523f14ebb7950d2d6
    Reviewed-on: https://code.wireshark.org/review/1062
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit b84ce5ca4303c2ef83e96f6b7b0224ee779820f3
Author: Bill Meier <wmeier@newsguy.com>
Date:   Thu Apr 10 13:56:52 2014 -0400

    Comment out a section re SVN usage; svn ==> git in a few cases; Fix some typos.
    
    Change-Id: I0bd7a7d4bdcc566af6b8f672a25fb937176fde21
    Reviewed-on: https://code.wireshark.org/review/1060
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Tested-by: Bill Meier <wmeier@newsguy.com>

commit ed1e229cb75ddb5abb6c82f4c25ab4fa989061c9
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Apr 10 08:53:53 2014 -0400

    Fix infinite loop.  Bug 9970
    
    Change-Id: I4f928187b9ba3e522f63f6b6987587e3638d8ba7
    Reviewed-on: https://code.wireshark.org/review/1057
    Reviewed-by: Francesco Fondelli <francesco.fondelli@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit f5b26da04923bb9a973633a24ba9492bb42f9926
Author: Bill Meier <wmeier@newsguy.com>
Date:   Thu Apr 10 12:55:28 2014 -0400

    Remove unneeded #include.
    
    Change-Id: I3675f664f1e67c3881e5911427725fade8d1d0f0
    Reviewed-on: https://code.wireshark.org/review/1059
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Tested-by: Bill Meier <wmeier@newsguy.com>

commit 28931af2e55c5c176af243d0573e3126abdb5a60
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Thu Apr 10 12:33:21 2014 +0200

    Update to the latest packet format.
    
    Change-Id: I745a05c9a9e7a5addc00befc2b4ff019aca2a4cc
    Reviewed-on: https://code.wireshark.org/review/1056
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 9ed6b19f786f16e2bbfc8218402eb1a97627af63
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Thu Apr 10 10:00:16 2014 +0200

    Add a hint in the protocol tree.
    
    Change-Id: Id565b153e322599430218eb6f7a542e2dd763458
    Reviewed-on: https://code.wireshark.org/review/1055
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 98df3ce91f45952538781f861c9444fbc5bd6617
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Thu Apr 10 09:43:47 2014 +0200

    Have the checkum preference only affect IPv4
    
    Change-Id: I6416ab40ac4e1e652bc453fb8e6d3eaa6ec5fe65
    Reviewed-on: https://code.wireshark.org/review/1054
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit af6618b9e27f9b34fe667a6046f4e632a54e728f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Apr 9 18:41:54 2014 -0700

    More zero-length checks.
    
    Fixes bug 9965.
    
    (Also fixes a typo in an expert info string.)
    
    Change-Id: I0b4f9bc4619e0d2ba291795973070598e2e142fe
    Reviewed-on: https://code.wireshark.org/review/1051
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 209b08225f23e4200ca2ecba79b4d9a70b3eae59
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Apr 9 18:30:03 2014 -0700

    Check for zero-length options.
    
    Otherwise, we get an infinite loop when processing options.  This might
    be the cause of bug 9967.
    
    Change-Id: If115c8cc8fc87b0c4252ab3cd07bfa34952786c6
    Reviewed-on: https://code.wireshark.org/review/1050
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit ea7660a30183f14408ce6b2f175fce25ad016ffe
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Apr 9 18:06:20 2014 -0700

    Fix two ett_ variables that weren't getting registered.
    
    Change-Id: I0b37bf3d89a108978a6c917fc4d3a33cba456493
    Reviewed-on: https://code.wireshark.org/review/1048
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7cbc790832cfb067857b523ef2ad440966ef824a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Apr 9 17:48:32 2014 -0700

    Avoid bug 9962 - don't use variables that haven't been set.
    
    See the comment for details.
    
    Change-Id: I0b1800dd884736e00201f09166c0d2bd6795b6c3
    Reviewed-on: https://code.wireshark.org/review/1047
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7fb9e9beb0ce8148747a34ea7ceaa1391c2fa776
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Apr 9 15:58:59 2014 -0700

    Fix white space.
    
    Change-Id: Ia36d439d1210f93be25a31d2a7288474688e0d9c
    Reviewed-on: https://code.wireshark.org/review/1046
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b3350ed946ee5cdc83fbab017b986df0bc380e9b
Author: Evan Huus <eapache@gmail.com>
Date:   Wed Apr 9 17:19:31 2014 -0400

    Update kafka OffsetFetchResponse dissection
    
    Per https://github.com/Shopify/sarama/pull/77 the spec is out of date, there is
    no longer a clientID field in certain messages.
    
    Change-Id: Ieeb7b8f1dd32b326b3d9507e3d5897574a1b09fd
    Reviewed-on: https://code.wireshark.org/review/1043
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 800cd7b95e6f71f7d81259bba8cdbcfcb679e3f9
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Apr 9 08:34:47 2014 -0400

    Improve dissection of RFC 6607.  Bug 9960
    
    Change-Id: Ibab13b0ab7b3f0ac1d9c2e305cb428bb17689313
    Reviewed-on: https://code.wireshark.org/review/1039
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 4990a8e4ee1685905e42973b19711a8e3e959836
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Apr 6 16:31:53 2014 -0400

    Added support for MQTT protocol. Bug 9930
    
    Change-Id: I04fc3a6225c56af9905f4f9bbbca5bc10f214843
    Reviewed-on: https://code.wireshark.org/review/873
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit a07dd033d894c73b32adb67601e1d1796de59105
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Apr 9 14:37:31 2014 -0700

    Clean up white space.
    
    Change-Id: If274c6239859127485d306b92a59e4d473c26d39
    Reviewed-on: https://code.wireshark.org/review/1045
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 4e8d739609f8134afa79d4683590b499466bc674
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Apr 9 14:32:15 2014 -0700

    Use tvb_strncaseeql() to check for XML.
    
    This avoids using tvb_get_nstringz0(), and simplifies the check.
    
    Change-Id: Ib33cf22bf79d4fac8896c25a8b879eeb6e506831
    Reviewed-on: https://code.wireshark.org/review/1044
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit baa9d10407b94d33cae78d55abbbb4c9eb0b9abd
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Wed Apr 9 14:39:15 2014 +0200

    iTXt chunk name
    
    Change-Id: I0310368319fe70782bd2c3b48e100292cd93d8c4
    Reviewed-on: https://code.wireshark.org/review/1042
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit a653014e69a4f0e0b59393ddc03871006057b36a
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Wed Apr 9 15:56:06 2014 +0200

    There seems to be some ambigiousy on how to calculate V3 checksums for
    IPv4. Introduce a preference to use the same metod as for VRRP V2.
    http://ask.wireshark.org/questions/15291/does-wireshark-uses-a-pseudo-header-for-vrrpv3-ipv4-checksum-calculation
    
    Change-Id: I14bf279b0c85405c1963784737add9321d5cb7c4
    Reviewed-on: https://code.wireshark.org/review/1040
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit dae96ca72bf3bd24e040cb957f5b84092966566b
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Apr 8 20:01:01 2014 +0200

    Switch back Windows 32 bits build to GTK2
    
    GTK3 does not work great on Windows:
    - the GUI is quite ugly
    - features like background color in filter box does not work
    - x64 builds are still using GTK2
    - no one is putting efforts on this to fix those issues
    
    As we are transitioning to Qt, I do not expect any improvement soon.
    Let's switch back to a more user friendly GUI.
    
    Change-Id: I04c0856b8ac8ce808c1942f7f26b14dd57388d1a
    Reviewed-on: https://code.wireshark.org/review/1026
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 1c162ffc7e59e9c669d8b7ef9232c9bbf719ae9a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Apr 9 02:44:15 2014 -0700

    Clean up the dissection of ServiceContexts.
    
    Make the top-level item for a ServiceContext an item for the
    ServiceContext as a while, and put the VSCID under it like other items,
    rather than making the VSCID the top-level item.
    
    Don't dissect the VSCID using the value_string field for the Object
    Management Group's SCIDs; use that value_string field for the SCID if
    the VSCID is 0 (meaning "Object Management Group"), and have no
    value_string field for the VSCID otherwise (the interpretation of the
    SCID depends on the value of the VSCID).
    
    Dissect the encapsulation information even for unknown ServiceContexts.
    
    If the ServiceContext's length is bigger than what it's supposed to be,
    throw an exception if it's also bigger than the data available in the
    packet; this squelches a run-time warning in that case.
    
    Change-Id: I11cc62c2e32f4623dba2a551119b3146a7037e6d
    Reviewed-on: https://code.wireshark.org/review/1038
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 9c14703d7b8eb9a0e2ff22d55f46748b3ce6c029
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Tue Apr 8 16:22:13 2014 +0200

    remove usb_trans_info parameter
    trans_info is part of the conversation info
    
    Change-Id: I3eafe893324d7d6d23c5475f6f7aa34b7520a6b8
    Reviewed-on: https://code.wireshark.org/review/1018
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 3e228c0f1577a8bd320dcf88be43f198be03139f
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Tue Apr 8 15:59:02 2014 +0200

    setup dissectors don't need bus_id and device_address parameters
    these values are already part of usb_conv_info
    
    Change-Id: I79f0c67c91f0f93ba2d52ef08875833eee5e9efd
    Reviewed-on: https://code.wireshark.org/review/1017
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 7d83a8755a20579ec7d6b98b341ae17d8cb6bf65
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Apr 9 01:04:37 2014 -0700

    Don't use tvb_get_nstringz0(), use tvb_get_string_enc().
    
    Change-Id: I8e654fa857fca6713198e3d20f2a14a0a444e935
    Reviewed-on: https://code.wireshark.org/review/1037
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 412c6cabcfd96efeae6c13f1e918d99be002eaf8
Author: Michał Orynicz <michal.orynicz@tieto.com>
Date:   Tue Apr 8 09:33:43 2014 +0200

    Make makefile verbosity configurable from CMake
    
    This change makes CMAKE_VERBOSE_MAKEFILE option
    of CMake used to determine verbosity of generated
    makefile, instead of hardcoding it in CMakeLists.txt
    script and forcing user to read the script and use
    workarounds like "make VERBOSE=1"
    
    Change-Id: I0f3b90ccf962ff88fbfa21ad2f3920b1644d6b6e
    Reviewed-on: https://code.wireshark.org/review/1002
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 3057e309dfe260f0902a88e9049dad1b8f194538
Author: Michał Orynicz <michal.orynicz@tieto.com>
Date:   Tue Apr 8 10:40:09 2014 +0200

    Change how WERROR and WERR_UNKNOWN is turned off
    
    Use setting WERROR and WERR_UNKNOWN explicitly to
    FALSE instead using unset command. This ensures that
    no if(WERROR) or if(WERR_UNKNOWN) clause will trigger
    unless these variables are set to another value.
    
    Change-Id: I752d7691c9c101b07c6ee85db83d96d9190bccd7
    Reviewed-on: https://code.wireshark.org/review/1001
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 8d9c45d965bfd20b099fdab7c617b6e3ad95b69d
Author: Evan Huus <eapache@gmail.com>
Date:   Tue Apr 8 19:11:15 2014 -0400

    Update some Kafka API constants per lastest spec
    
    Change-Id: Icef981f50e81e5059916e3bde5fa8a1e1fcd92ae
    Reviewed-on: https://code.wireshark.org/review/1033
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 130b94fa61baf82f4de5e5625c332de690210eba
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Apr 8 19:01:59 2014 -0700

    Sadly, packet-dcerpc-mapi.c is not yet free of warnings.
    
    Change-Id: Ic208c89a915fc34d0f42ce788a60aa15029d105b
    Reviewed-on: https://code.wireshark.org/review/1036
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit d8a647ece1a886ac62b38370f28e58812d06a99e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Apr 8 17:58:32 2014 -0700

    OK, that might mean packet-dcerpc-mapi.c now has no warnings.
    
    Change-Id: I22688f0a9b6c04b1e0e9f16c92e7c0713610854c
    Reviewed-on: https://code.wireshark.org/review/1035
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit ed075f20226d06c0a41727c1a2b4de0e3d8807e6
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Apr 8 17:50:56 2014 -0700

    Fix some C++ warnings about implicit casts.
    
    Change-Id: I19730e723700f0cc7dcc7ba0db2689f076c7bb5b
    Reviewed-on: https://code.wireshark.org/review/1034
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 6ae5747c098db1cbeeb890da5b5386ecaed6d55b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Apr 8 12:25:49 2014 -0700

    I don't see anything here requiring netinet/in.h, so don't include it.
    
    Change-Id: Id024d7e2529a6eb9ca79ce8c3ea674a3c0795b85
    Reviewed-on: https://code.wireshark.org/review/1030
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 834f5639a1b52b3c4005857aa05c5774602c67d2
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Apr 8 12:23:57 2014 -0700

    I don't see anything here requiring netinet/in.h, so don't include it.
    
    Change-Id: I852d810d6cd6105b564a6fa630a53499d99afde0
    Reviewed-on: https://code.wireshark.org/review/1029
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 84a57cb2ebd2b9c7605bf56395d19d3be0a5feea
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Apr 8 12:21:01 2014 -0700

    The "not DNS" filter used UDP in the description but matched against
    TCP. DNS runs over both so update the filter to exclude both.
    
    Thanks to Yaron Fainstein for noticing this.
    
    Change-Id: I0c4d1fef7f8d725bf656cca87ba5908893fff0b2
    Reviewed-on: https://code.wireshark.org/review/1028
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 07ee5de75cc07a869dee294c2294f2a03dfc381c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Apr 8 12:19:55 2014 -0700

    Get the UDP protocol number from a Wireshark header.
    
    We have epan/ipproto.h to define various IP protocol numbers; use that.
    
    Change-Id: I1ec72028182125f7e11dc159791753ee26d35f12
    Reviewed-on: https://code.wireshark.org/review/1027
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7d458fa4a6d10f4e79b2b90dc3355c1c802b09da
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Apr 8 11:03:58 2014 -0700

    Make sure IPv4 address structures really have 4 bytes of data.
    
    Change-Id: If89827677f7503fc67ba9a025f28447a68a98f07
    Reviewed-on: https://code.wireshark.org/review/1025
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit beb4876cb4dda2b9964c223041386e5e6e33a31e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Apr 8 10:57:59 2014 -0700

    Don't assume the data pointed to by an address structure is aligned.
    
    And don't assume you can dereference the pointer nonetheless; that
    doesn't work on SPARC, for example - you get an unaligned-access trap.
    
    Instead, use pntoh32() to fetch IPv4 address values from the address
    structures.
    
    While we're at it, just use guint32 for those addresses; we don't need
    in_addr_t.
    
    Change-Id: I84e6c653fe33b1bc6e67d9097ce423b82f1eb0c8
    Reviewed-on: https://code.wireshark.org/review/1024
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0f0c079226d588e6dc181160199f9a08e55e4a9e
Author: Michał Orynicz <michal.orynicz@tieto.com>
Date:   Tue Apr 8 13:09:36 2014 +0200

    Add commit-msg hook to tools to spare searching for it
    
    commit-msg script adds change id at end of commit messages.
    As this script is needed for Gerrit review system to work
    and every wireshark developer will need to download it from
    somewhere, it will be better if it is downloaded with Wireshark
    sources and ready to copy to .git/hooks
    
    Copied from AOSP Gerrit.
    
    Change-Id: Ib3705abfedd2869462eef57690a2f430037f9cc1
    Reviewed-on: https://code.wireshark.org/review/1008
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 3c13e983dad5f77f6b52db9bc624f51ca41ecbf7
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Apr 8 09:35:33 2014 -0700

    Squelch another warning; fix a place assuming 8-bit device IDs.
    
    Change-Id: I0b2d30a7724f9493ef0388232f6c13751e707255
    Reviewed-on: https://code.wireshark.org/review/1023
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 45f019249c70c67f879e09ccafe65c8498b89be4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Apr 8 09:13:39 2014 -0700

    Get rid of some unused functions.
    
    Change-Id: I3b1529826c04334d2df8e3f80a69e8b51651b9cf
    Reviewed-on: https://code.wireshark.org/review/1022
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 63f18c46b9c7b19de80b7ac400a593aa45475513
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Apr 8 09:11:21 2014 -0700

    USB device addresses need to be 16-bit.
    
    They are 16-bit in the Windows header; make them that way everywhere, so
    that we don't get "shortening 16 bits to 8 bits" warnings.
    
    Change-Id: I18f4c4254f224d76a90f3e87bc2f28cba011b5a3
    Reviewed-on: https://code.wireshark.org/review/1021
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 946dfdbb746e0c6f7e7d650deb66734408cd7f8d
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue Apr 8 17:29:42 2014 +0200

    Add application/vnd.oma.xdm-apd+xml
    
    Change-Id: I7d5c3757d5c66da4b1ce91026bdacd9631eda78c
    Reviewed-on: https://code.wireshark.org/review/1020
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit fa4c104812f056dae753091f3e528e4dbfcff0ed
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue Apr 8 17:10:51 2014 +0200

    Update to V11.6.0
    
    Change-Id: I91def9d33901f82b9516a0be464ba9e609da0007
    Reviewed-on: https://code.wireshark.org/review/1019
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 7a3cd91a0a0ea96e847a2c62f71f6827921eea6d
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Tue Apr 8 10:41:55 2014 +0200

    reformat the code for bulk, interrupt urbs
    
    Change-Id: Ib2374df62daf0fc26fb02202d3a64e59b902a1e8
    Reviewed-on: https://code.wireshark.org/review/1016
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 8d6b20ad2d75f172f48df5525f609c2a9e7ab736
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Tue Apr 8 10:14:35 2014 +0200

    move the assignments for is_request, endpoint behind the if statements
    
    Change-Id: Id3938253bbc63cc27823afa326b1997182e3943d
    Reviewed-on: https://code.wireshark.org/review/1015
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 7952e2aadf3e844380f56861bf064b2593a06c75
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Tue Apr 8 10:41:24 2014 +0200

    get rid of src_endpoint, dst_endpoint
    
    Change-Id: I0d12586afb3723a0da9d24ab2a4b7aa2426b5512
    Reviewed-on: https://code.wireshark.org/review/1014
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit e140c0aee57fb151f67ad56b0cafb576b96167c4
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Tue Apr 8 10:30:35 2014 +0200

    get rid of tmp_address
    
    Change-Id: I67b83c07c591ef926e5eee94a5526479453d6955
    Reviewed-on: https://code.wireshark.org/review/1013
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 6acb386a80bf3f792342df8dd80e852baaa61226
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Tue Apr 8 09:59:11 2014 +0200

    remove another two NULL checks
    
    Change-Id: I091f35ecca8c1418e86ac41018beca705bb1fcd6
    Reviewed-on: https://code.wireshark.org/review/1012
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit ab145d205750391bee6681f9ceff8c60eaec0293
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun Apr 6 21:25:04 2014 +0200

    reformat the nested switch-case part
    
    Change-Id: Idd98825cbbc6bcc27823afac26b1997182e994cd
    Reviewed-on: https://code.wireshark.org/review/1011
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit dfd3680ae78fda0a50438830f6eb3e0a4b282ee6
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue Apr 8 15:32:59 2014 +0200

    Fix a typo, missing ","
    
    Change-Id: I848cf4c63f9b4c7daf6e63f2e60cd1d5aded7b82
    Reviewed-on: https://code.wireshark.org/review/1010
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d3b599e6dc877d749800d186fe8631496e261ea8
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Apr 7 07:49:38 2014 +0200

    Remove some variant of tfs_set_notset...
    
    Change-Id: Ida21963cd68f8fc7387cd2ca37d9436f98318d40
    Reviewed-on: https://code.wireshark.org/review/1004
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 7077aaa54f4c5ddfba95e3f4ba44c563851338e3
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Tue Apr 8 12:26:19 2014 +0100

    Fixes for Windows build post change 1006
    Windows still needs the definition of in_addr_t
    
    Change-Id: I43c417de8e8199cfa58b9d494be5e828f959f1a9
    Reviewed-on: https://code.wireshark.org/review/1009
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Graham Bloice <graham.bloice@trihedral.com>

commit 717613e529044ad4ac84995578339bad83e14910
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Apr 7 07:38:30 2014 +0200

    Fix Hello options Flags
    * Remove flag I and F (from old draft of draft-ietf-ospf-manet-or)
    * Add flag AT (Authentication) from RFC6506 (RFC7166)
    
    Closed-bug: 9941
    Change-Id: If6e9c2aa3d2e437ac499253a3061579f344fe607
    Reviewed-on: https://code.wireshark.org/review/1003
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 1d8cab5029554fdcd7af983d7b309241cb487d6e
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Apr 7 08:48:14 2014 +0200

    Make filterable OSPF Hello Packet
    
    Change-Id: Idc7e84fe9f00c30ad6edebcdd11c72d3a7fb77e7
    Reviewed-on: https://code.wireshark.org/review/1005
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d3df2e588bc6febb5b2d414ad040ede903ef4c85
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Apr 8 01:22:57 2014 -0700

    On UN*X, <arpa/inet.h> suffices for struct in_addr and in_addr_t.
    
    So don't pull in <netinet/in.h>.  Also, avoid <sys/types.h> in
    packet-dcom.c.
    
    While we're at it, do *not* assume that pinfo->src or pinfo->dst are
    IPv4 addresses.
    
    Change-Id: I5fc8e859780a8d863aaf6e90a21a7039cabae0e6
    Reviewed-on: https://code.wireshark.org/review/1006
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit abbdcd875048e9182ea8f3674c0a452e64095125
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Apr 8 08:44:44 2014 +0200

    Fix warning found by -Wunused-const-variable (Clang 3.5)
    
    Change-Id: I4506be6ae8deda5e8d1e038b089620a15b650b03
    Reviewed-on: https://code.wireshark.org/review/1000
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 872dd7031b2d4208669ca9f6e78d1e774c3c4902
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Apr 7 18:51:41 2014 -0700

    Don't pretend that sizeof(guintN) will give us more robust values.
    
    What matter in these cases is the number of bytes on the wire; either
    sizeof(guint8) = 1, sizeof(guint16) = 2, and sizeof(guint32) = 4, in
    which case just using 1, 2, and 4 avoids "64-bit to 32-bit conversion"
    warnings on LP64 and LLP64 environments, or they're not equal, in which
    case using 1, 2, and 4 rather than the sizeof()s is correct.
    
    Change-Id: I4f15c5fae51958c1aff17ff819a9878fa6bd1f54
    Reviewed-on: https://code.wireshark.org/review/999
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 75dcbc4f47fe2b8d13657a2f21151271b4c2ac85
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Apr 7 17:45:45 2014 -0700

    Make sure packet-lbttcp.h ends up in the release tarball.
    
    Change-Id: I9e0eec78bd2020040eb8d5fe5e527fb2a6fc6f9b
    Reviewed-on: https://code.wireshark.org/review/998
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit e1ce405449f0f068824456ab25b97d3328c36488
Author: Marko Hrastovec <marko.hrastovec@gmail.com>
Date:   Mon Apr 7 19:59:29 2014 +0200

    ASTERIX - added dissector for category 023.
    
    Sample file with traffic is the same as for CAT021 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9953). Apply filter "asterix.category == 23" to see only CAT023 packets.
    A small change in actual dissecting code was also needed because of strange item I023/101. The first FX bit is in the second byte and then grows only for a byte.
    
    Change-Id: I3f80e6e46b642efc6f2e19e6f931cdef1c39495a
    Reviewed-on: https://code.wireshark.org/review/993
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 2f4ca9c8d979029e7893f2843045f516e3d0b844
Author: Michael Mann <mmann78@netscape.net>
Date:   Mon Apr 7 16:33:51 2014 -0400

    Initial checkin of LBM aka 29West dissectors. See Bug 9718.
    
    Change-Id: If8fcfe1971c8863f370e440f64c36eb7566f6852
    Reviewed-on: https://code.wireshark.org/review/113
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 8c7fae2da22371ff06a35d1aab28837d2db5a8ff
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Apr 7 16:41:25 2014 -0700

    Absolute and relative OIDs have different FT_ values.
    
    This squelches some run-time dissector asserts.
    
    Change-Id: I0ce33c4eb6e9c3bd371e47363a981e9a7a0dc789
    Reviewed-on: https://code.wireshark.org/review/997
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 2b5fc4efdc2afd3349014669fb7bfad59c5d458c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Apr 7 16:14:01 2014 -0700

    The encoding of a string is *not* part of its type.
    
    So get rid of the commented-out FT_UCS2_LE; that would be handled as an
    FT_STRING, FT_UINT_STRING, or FT_STRINGZ with an encoding of
    ENC_UCS_2|ENC_LITTLE_ENDIAN.
    
    Change-Id: I828fc1ed49843a503ec70e6adaf6dadd256df407
    Reviewed-on: https://code.wireshark.org/review/996
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 172f5cd280f59ea972b6471e34982040f70f374e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Apr 7 16:07:06 2014 -0700

    Sort the values in value_strings that we'll treat as extended.
    
    This squelches a run-time warning.
    
    Change-Id: I5b147530b7f9255c3564fe24b56e0ea3eab45852
    Reviewed-on: https://code.wireshark.org/review/995
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 26f46d40e9cc0feab71280fbff57d70beac20acc
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Apr 7 15:39:55 2014 -0700

    Handle string types with somewhat appropriate encodings.
    
    For various string types defined in X.680, use the appropriate encoding,
    or ENC_ASCII|ENC_NA in some cases where we don't have an appropriate
    encoding yet.
    
    This most significantly fixes the handling of BMPString and
    UniversalString, which are supersets of ASCII (Unicode Basic
    Multilingual Plane and Unicode, respectively), but don't encode ASCII
    characters as single octets.  It also fixes UTF8String to, well,
    properly recognize UTF-8.
    
    This also lets us get rid of the special handling of SyntaxBMPString in
    X.509sat (and, in fact, *requires* us to get rid of it, as, otherwise,
    the string value appears twice).
    
    Change-Id: I325c4e71a6110278eb23b86e0d986e6439cfc328
    Reviewed-on: https://code.wireshark.org/review/994
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit a5cb72fe9eadfaf8cb0aefccb106a7eaad9266c9
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Feb 11 16:07:10 2014 -0800

    Add a Qt I/O Graph dialog.
    
    For each graph you can set:
    - Its visibility
    - A name
    - A display filter
    - Color, from a fixed list
    - Plot style: Line, Impulse, Bar, Stacked Bar, Dot, Square, Diamond
    - Basic Y Axes (packets/s, bytes/s, bits/s)
    - Computed Y Axes (SUM, MIN, AVG, MAX)
    - Smoothing
    
    You can pan and zoom using the mouse and keyboard. Clicking on a graph
    selects the last packet for that interval. If all graphs have the same Y
    axis a single label is shown, otherwise a legend is shown.
    
    The time scale (X axis) can be toggled between relative seconds and the
    time of day.
    
    Graphs can be saved as PDF, PNG, BMP, and JPEG. Settings are "sticky"
    via the io_graphs UAT.
    
    To do:
    - Minimize graph drawing delays.
    - Figure out why smoothing differs from GTK+
    - Everything else at the top of io_graph_dialog.cpp
    - Fix empty resets.
    
    A fair amount of code was copied from TCPStreamDialog. We might want to
    subclass QCustomPlot and place the shared code there.
    
    Move common syntax checking to SyntaxLineEdit.
    
    Move some common code from ui/gtk/io_stat.c to ui/io_graph_item.[ch] and
    use it in both GTK+ and Qt.
    
    Make the io_graph_item_t array allocation in io_stat.c static. The
    behavior should be identical and this gives us additional compile-time
    checks.
    
    Change-Id: I9a3d544469b7048f0761fdbf7bcf20f44ae76577
    Reviewed-on: https://code.wireshark.org/review/435
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Tested-by: Gerald Combs <gerald@wireshark.org>

commit cc3c05ed5f9e2d3eb8d72b3acc66bbacd50a26e7
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Apr 6 22:01:03 2014 +0200

    Switch to Lua 5.2.3 built with MSVC2010 instead of the one built with MingW gcc 4.3
    
    Fixes bug 9957
    
    Change-Id: Ibe38ec25be5cfdad98c53c8257b0a858529897f6
    Reviewed-on: https://code.wireshark.org/review/991
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Pascal Quantin <pascal.quantin@gmail.com>

commit e32b38164b237dc80478b49469e955f430c23f49
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Sun Apr 6 18:54:24 2014 -0400

    Fix Bug 9958: 'SDP displays double spaces between payload formats as a 0 payload format'
    
    Given an SDP m= line such as this:
    
        m=audio 29156 RTP/AVP 18  0
    
    SDP will show a media format of G.729 (the 18) and then two G.711 entries: one
    for the extra space between the 18 and 0, and one format for the 0. The latter
    is correct, but the extra space one isn't.
    
    Technically such an m= line is malformed, since only one space is allowed
    between payload formats; but it's definitely not a format of 0.
    
    A similar thing happens in many parts of SDP dissection code. It needs to issue
    an expert error and handle it gracefully.
    
    Change-Id: I1f1500489a13a55e03fc8ea14b37d99a019fc449
    Reviewed-on: https://code.wireshark.org/review/989
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 26dcdbb402751df9e51c397c42f3545d8e08ccbe
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Sun Apr 6 19:59:52 2014 -0400

    Tweak the Diameter heuristics a bit more.
    
    Increase the max Diameter message size to 65534 and reject messages whose
    flags have both the E- and R-bits set.
    
    Change-Id: Ib11701a47d23ff042a346d59c56f9f0f4410e6b7
    Reviewed-on: https://code.wireshark.org/review/990
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 58a6487b540ee2eb30753573ba84b3837f6d9471
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Apr 6 19:25:36 2014 +0200

    Add WS_DLL_PUBLIC for p_remove_proto_data and tvb_child_uncompres function
    
    Change-Id: If043683f366fedd849688ca3c512707954221a3b
    Reviewed-on: https://code.wireshark.org/review/984
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f06cdf3a838b072b1ce3883f2f92796c5863273e
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Apr 6 13:38:11 2014 -0400

    Tweak ZigBee GreenPower heuristic to more closely match ZigBee NWK heuristic.  Bug 9956
    
    Change-Id: I2c4d26ee27684d1f18c39add249b9cd116cf6f71
    Reviewed-on: https://code.wireshark.org/review/985
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Tested-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 4eaec3cc7810dd680b044c11d74739410f407cc0
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Apr 6 14:21:49 2014 -0700

    Get rid of an extra blank line.
    
    Change-Id: I119bbc0c4979a938e4d4633e6acbf46d265b8398
    Reviewed-on: https://code.wireshark.org/review/988
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 70ad7d8fd3a40bd9a5e30860c6bbbd0ab801ebe2
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Apr 6 12:12:59 2014 -0700

    Move the status dissecting code to the AFP dissector.
    
    The ASP and DSI dissectors had almost-identical dissection of the ASP
    and DSI "status" responses. What's being dissected is defined by the AFP
    specification (and might be different for protocols *other* than AFP
    running atop AFP or DSI), so move that dissection to the AFP dissector.
    
    Note that, at least for AFP-over-DSI, the spec isn't being followed in
    at least one capture.
    
    Change-Id: Idb1013483f3a3bdf2b7eb0618e48fc178a338642
    Reviewed-on: https://code.wireshark.org/review/987
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5a67479bff973df068301e5d07ec8918a58f3ce8
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Apr 6 19:28:39 2014 +0200

    Fix indent (use 2 spaces) and add modelinse info for frame_data.h
    
    Change-Id: Ib9eced1b652345cd40edb96ddde092f41a8f669c
    Reviewed-on: https://code.wireshark.org/review/986
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 85aa07157a072f6627b019b18ec7e769844f3930
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Sun Apr 6 12:37:49 2014 -0400

    Get it compiling again: WindowsXP build failing
    
    The WindowsXP build is failing due to a wslua testsuite failure, in the
    file reader/writer tests. I've looked at it a bit and I don't know
    why it's failing yet - I know why it says it's failing, but it doesn't
    fail for me. And it was passing on WindowsXP until the change to Lua 5.2.3,
    but I run 5.2.3 all the time and it passes for me, and there's nothing
    special about the portion that's failing.
    
    The only way to debug it is to run it on WindowsXP myself, but I need
    a build to do that with, so I've commented out the failing test and
    hopefull it will build now and I can grab the automated build to debug
    the issue.
    
    Change-Id: Ib75e8f75829e8f506823e648605ba16e21c7973a
    Reviewed-on: https://code.wireshark.org/review/982
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 6328f6eb12a47fdf3c6aab3a1dee87a118f2235c
Author: Jeff Morriss <morriss@ulticom.com>
Date:   Fri Apr 4 12:01:31 2014 -0400

    Add a couple more in_error_pkt checks.
    
    Don't attempt reassembly and squash an expert info when we're in an error
    packet.
    
    Change-Id: I7d19e4ab7add78829bf1e28ad92dce3a7431c37d
    Reviewed-on: https://code.wireshark.org/review/964
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Tested-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit e60ed4fc304c05bb8063d23c8a4032b62f9fadb7
Author: Francesco Fondelli <francesco.fondelli@gmail.com>
Date:   Wed Apr 2 14:12:01 2014 +0200

    IANA assigned port number 6653 to OpenFlow.  However, applications
    (e.g. opendaylight, nox, openvswitch, etc) still use legacy port
    numbers.  The most common are 6633 and 6634.  This patch adds a
    simple heuristic logic and uses the current uint preference as
    additional input.  In most cases no user intervention is needed and
    OpenFlow is automatically detected/dissected.
    
    Change-Id: Iebf09b7b870efe9d52421b9acc238208d25d4565
    Signed-off-by: Francesco Fondelli <francesco.fondelli@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/921
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 564730120ee757ebe1a70ee0dd9e08b6674d4799
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Apr 6 08:07:06 2014 -0700

    [Automatic manuf, services and enterprise-numbers update for 2014-04-06]
    
    Change-Id: Ifebae1d444037a1432d62d710c42c1da9dd0ed58
    Reviewed-on: https://code.wireshark.org/review/979
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 01f1ed8cb4ee88d289e5b60ca8d89e027bf51f48
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun Apr 6 19:12:28 2014 +0200

    remove unnecessary NULL checks
    
    Change-Id: I5792fe99f0c75dfa0a9c5e20c4784e2e8a9c00f0
    Reviewed-on: https://code.wireshark.org/review/983
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit b40cb1adea4f0e5628435c65bb0a0e158241c214
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Apr 6 10:57:33 2014 -0400

    Apply found fix-encoding-args.pl errors in the dissector directory.
    
    I coincidentally found a few files with errors, so I thought it might be time to run it on the whole directory again.
    
    Change-Id: Ia32e54b3b1b94e5a418ed758ea79807c8bc7e798
    Reviewed-on: https://code.wireshark.org/review/978
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 4a00ef22e3dedc65669b255f33cbf0348a2464f4
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu Apr 3 23:09:36 2014 +0200

    make sure that we always finalize the composite setup_tvb
    
    this should contribute to fix bug 9949
    
    Change-Id: I5235a14b5603ac22c41dd38fb405409c066c9444
    Reviewed-on: https://code.wireshark.org/review/952
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 16f2aadfc50296db4a3b071e95ca0b753eef7d25
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Apr 5 17:06:45 2014 -0400

    Bugfix AFP dissection within MDSSRV.  Part of bug 9950.
    
    Change-Id: Ibe2aa48284fe7a507133f5b70a22110bb3bb56cb
    Reviewed-on: https://code.wireshark.org/review/973
    Reviewed-by: Ralph Böhme <rb@sernet.de>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 828bb24226fe8b6b6b98e37c11bf03097b383d4f
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Apr 6 12:10:30 2014 +0200

    Partly revert fdeed480bf89a1f43f7b3d4be67fa0e4333f7120
    
    wmem_packet_scope() cannot be used outside of a packet treatment
    
    Change-Id: I6e545bbb51f325b366288f17358f9d2347a7d7c4
    Reviewed-on: https://code.wireshark.org/review/977
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit a90dfcb325b6c6ea3e8a10ca1c3f4f6d41750c02
Author: Marko Hrastovec <marko.hrastovec@gmail.com>
Date:   Sun Apr 6 07:34:33 2014 +0200

    Bugfix for ASTERIX category 021.
    
    It was found in https://code.wireshark.org/review/#/c/972/ and only commented out.
    The bug is now fixed, the variable is used.
    
    Change-Id: I0361b269a06f45f4d36b8bc97c3623618cb5f859
    Reviewed-on: https://code.wireshark.org/review/976
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Pascal Quantin <pascal.quantin@gmail.com>

commit fdeed480bf89a1f43f7b3d4be67fa0e4333f7120
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Apr 5 21:15:23 2014 -0400

    Convert ep_address_to_str -> address_to_str(wmem_packet_scope, ...) for all dissectors
    
    Change-Id: I7489e2fb3a1f2630ca17b0a5fe1aa873992f1061
    Reviewed-on: https://code.wireshark.org/review/975
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 941bd013b3f481e9fd42c175ea6a5194b8046ca4
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Apr 5 20:26:21 2014 -0400

    Added support for BSS header in ED-137A RTP header
    
    Change-Id: Iffab8a62cf58d3ccf54fe2ed086aae80eb425a5f
    Reviewed-on: https://code.wireshark.org/review/929
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 6ee4dde7d812f1fc1547d4bade117da7349d0dcc
Author: Hauke Mehrtens <hauke@hauke-m.de>
Date:   Sat Apr 5 11:08:19 2014 +0200

    ssl-utils: add signed_certificate_timestamp tls hello extension
    
    This extension is defined in RFC 6962.
    
    Change-Id: I3aa7321c60baef59ccb59ded6b91f3e42c854bfa
    Signed-off-by: Hauke Mehrtens <hauke@hauke-m.de>
    Reviewed-on: https://code.wireshark.org/review/970
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit b903789b466f64bcd54f78ae54cea15e128818fc
Author: Hauke Mehrtens <hauke@hauke-m.de>
Date:   Sat Apr 5 11:05:35 2014 +0200

    ssl-utils: add constants defined for draft-ietf-tls-oob-pubkey-11
    
    This adds two tls hello extensions from
    http://tools.ietf.org/html/draft-ietf-tls-oob-pubkey-11 which got
    numbers assigned by the IANA in
    https://www.iana.org/assignments/tls-extensiontype-values/tls-extensiontype-values.xhtml
    In addition it also adds a new certificate type defined in the same
    documents.
    
    Signed-off-by: Hauke Mehrtens <hauke@hauke-m.de>
    Change-Id: I3c52d9602f2f255a5700cc6a9954385ad0d7cae8
    Reviewed-on: https://code.wireshark.org/review/969
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit bf190f26a4717353577c29f12f19f3c760abdd2e
Author: Hauke Mehrtens <hauke@hauke-m.de>
Date:   Sat Apr 5 10:57:52 2014 +0200

    ssl-utils: add named brainpool ecc curves
    
    This adds detection for the named brainpool ecc curves defined in RFC7027.
    
    Change-Id: I125ddbf74068888f4989781d274dbc74feb8b20c
    Signed-off-by: Hauke Mehrtens <hauke@hauke-m.de>
    Reviewed-on: https://code.wireshark.org/review/968
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 0af279a6f6eb0fa50de5e705b71422d3303d80c6
Author: Hauke Mehrtens <hauke@hauke-m.de>
Date:   Sat Apr 5 10:55:37 2014 +0200

    ssl-utils: add detection of Supplemental Data
    
    This adds basic detection of Supplemental Data as defined in RFC4680.
    
    Change-Id: I8dac99bf243a6bd176585d1fe70f82abcae70c7f
    Signed-off-by: Hauke Mehrtens <hauke@hauke-m.de>
    Reviewed-on: https://code.wireshark.org/review/967
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 590fcbc66f95530e4dacfcf0bad8553717eba166
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Apr 1 04:34:47 2014 +0200

    Upgrade Windows builds to Lua 5.2.3
    
    Change-Id: Ie7fffa9d57b1b861ab57cc55259c79cf0e8ee0e0
    Reviewed-on: https://code.wireshark.org/review/974
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit d6fa45848ca6a0ba6ccfeed5a8bfd0d31290c76a
Author: Hauke Mehrtens <hauke@hauke-m.de>
Date:   Sat Apr 5 10:49:27 2014 +0200

    ssl-utils: add support for tls cipher suites from draft-mcgrew-tls-aes-ccm-ecc-08
    
    This adds the new cipher suites from
    http://tools.ietf.org/html/draft-mcgrew-tls-aes-ccm-ecc-08
    They are defined by IANA in
    https://www.iana.org/assignments/tls-parameters/tls-parameters.xhtml#tls-parameters-4
    
    Change-Id: I1a1576567782abb93ae5b09efd4199cb1040d5d2
    Signed-off-by: Hauke Mehrtens <hauke@hauke-m.de>
    Reviewed-on: https://code.wireshark.org/review/966
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 293b5ea41d2f487e2ad1b8cb987784c755f5b1cb
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Sat Apr 5 13:20:50 2014 -0400

    Get it compiling again: packet-asterix.c has unused const variable.
    
    Change-Id: I07125f1779063527f24d9195a9999cef4c8fe343
    Reviewed-on: https://code.wireshark.org/review/972
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit bc4084838589dbc0f2d80837b5d059adf88a1be2
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Apr 5 07:46:26 2014 -0400

    Rework debug_print_hash logic so that it's supported by older versions of perl.
    
    Change-Id: I1720681dc367e01268ffbb1f31035464fa642496
    Reviewed-on: https://code.wireshark.org/review/971
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Tested-by: Michael Mann <mmann78@netscape.net>

commit f415e23d909a49a970147daf6a07fd75e70dd30c
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Apr 4 22:15:18 2014 -0400

    Decoder for category 021 added to ASTERIX dissector.  Bug 9953.
    
    Change-Id: If72685f41cd32854d6c0c04716ee640196431f87
    Reviewed-on: https://code.wireshark.org/review/961
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 9fa48e379651c21cf0e14cc2a88a73005710430c
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Apr 4 18:13:05 2014 -0400

    New DCE/RPC MDSSVC dissector. Bug 9950
    
    Change-Id: I8832c139938e767de71b2cc74ca41208f509e478
    Reviewed-on: https://code.wireshark.org/review/959
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit b6a5f8939a220710c94c0fdc616ae7a740e851e6
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Apr 4 17:06:33 2014 -0400

    Expose dissect_spotlight as its own dissector.  Needed for DCE/RPC MDSSVC
    
    Change-Id: I5c9dbd59b18eff5dc9cb9476f1883cb9fa9d9c02
    Reviewed-on: https://code.wireshark.org/review/958
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit b3460506e3913990d79be0ae220784b6747c3af3
Author: Jeff Morriss <morriss@ulticom.com>
Date:   Fri Apr 4 11:56:09 2014 -0400

    Get it compiling again.
    
    Change-Id: Iecc560a672970817ddc401c654c19f446fe398e9
    Reviewed-on: https://code.wireshark.org/review/963
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Tested-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit b40b65529832ed7715bed4b7155104c6a2470a8d
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Fri Apr 4 15:49:35 2014 +0200

    Change tvb_get_string() -> tvb_get_string_enc and ENC_ASCII -> ENC_UTF_8
    
    Change-Id: I07ecca5612ae9fa2b053a62c69014612c5125d5e
    Reviewed-on: https://code.wireshark.org/review/962
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 196677514c9a06958139d42c9f4c61c30768ff3c
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Apr 4 08:49:11 2014 +0200

    Remove $Id$ in wslua
    
    Change-Id: I01052bb4c41a17e8289cc7ed1b465042c23b6d82
    Reviewed-on: https://code.wireshark.org/review/957
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 131bba88c51200650ddc12778e6a0c39048dcd64
Author: Evan Huus <eapache@gmail.com>
Date:   Thu Apr 3 12:55:51 2014 -0400

    Remember to destroy the pinfo pool cache
    
    Otherwise a library reinitialization leaks at least one large 8MB chunk.
    
    Change-Id: I5336fef5925eb54e88a72f1a16fc0ddf77ae6c10
    Reviewed-on: https://code.wireshark.org/review/945
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 8db838ed1d8fb8c95ca99a1b85e175a4820c00dc
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Apr 4 08:14:57 2014 +0200

    Fix indent and add modelines
    
    (Indent typo coming from 23d7d2ca2674565404262734f1a5855f83535c85)
    
    Change-Id: Ic4deae30d64db9f264223366d2d9d880708001d8
    Reviewed-on: https://code.wireshark.org/review/956
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e2ded09289463cb362392700a99ddd7e3f6a5447
Author: Jeff Morriss <morriss@ulticom.com>
Date:   Thu Apr 3 15:51:31 2014 -0400

    Don't do TSN analysis on data chunks embedded in PKTDROP chunks; set in_error_pkt too.
    
    Add a comment indicating what we should be doing when the PKTDROP chunk contains
    a truncated data chunk.
    
    Change-Id: Icbba4c6dafc5c2656fc337734a1a570ef4a055d2
    Reviewed-on: https://code.wireshark.org/review/950
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 38b1be99be98571459da97a2dbaec96397567e15
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Apr 3 20:14:24 2014 -0700

    Fix more verbs, and fix one field long name that matches its blurb now.
    
    Change-Id: I78a011291217be901efba331e8e41ca527d52e10
    Reviewed-on: https://code.wireshark.org/review/955
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit c5e29ac9a5b75d8f04821be0eb466e45c3063f29
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Apr 3 19:26:43 2014 -0700

    Clean up some strings - "UTF8" to "UTF-8", etc..
    
    Clean up the display of addresses a bit, and the use of verbs in some
    field descriptions.
    
    Change-Id: I3d2d4fc4cd13503924abecee55adfaa899385ffb
    Reviewed-on: https://code.wireshark.org/review/954
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5bb64c00b653710ddcc488470b07deadf016d7d8
Author: Jeff Morriss <morriss@ulticom.com>
Date:   Thu Apr 3 13:57:15 2014 -0400

    Strengthen the Diameter heuristics to avoid trying to reassemble enormous messages.
    
    Fixes some heuristics mistakes pointed out in
    http://ask.wireshark.org/questions/31227/diameter-reassembly-malformed-packets
    
    Change-Id: Iffc97d46cee5dd532fec0031286927fbcb86c095
    Reviewed-on: https://code.wireshark.org/review/949
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit df52f81ba556e6ecfc9c9fad0b9e0c270195a9a1
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu Apr 3 23:05:08 2014 +0200

    fix a typo
    
    Change-Id: If339a36a6e3d8bedef6eed36eb121e9f25afa6e5
    Reviewed-on: https://code.wireshark.org/review/951
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 23d7d2ca2674565404262734f1a5855f83535c85
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Thu Apr 3 12:37:43 2014 +0200

    Add a preference to enable loading of the database. Effectivly
    dissabling the dissector. Defaulted to FALSE e.g dissebling the
    dissector.
    The usage of this dissector is limited and most people don't use it so
    it might as well be dissabled by default. See Bug 9569 for a discussion on
    the subject.
    
    Change-Id: I82f675bcf8ba37220105c98360195ea805aa7330
    Reviewed-on: https://code.wireshark.org/review/939
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit e6623536f1db0626a4637070fc74d8f631611a5c
Author: Bill Meier <wmeier@newsguy.com>
Date:   Thu Apr 3 12:33:14 2014 -0400

    Remove garbage character inadvertantly introduced in the previous commit.
    
    Change-Id: I6338fdb4506973ea5ed991512bbefa6b855640e9
    Reviewed-on: https://code.wireshark.org/review/944
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Tested-by: Bill Meier <wmeier@newsguy.com>

commit a45602cad063749b8d116ca710bd28638f1865d7
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Apr 2 23:13:06 2014 -0400

    Create/use an extended value-string; Do other minor changes;
    
     Minor changes:
     - Remove a few unneeded initializers;
     - Convert "4 space tab" indentation to spaces;
     - Fix some indentation;
     - Remove some boilerplate comments;
     - Adjust exitor modelines.
    
    Change-Id: Ie314a2d91bf89f8612dec9e9f161d987ea107dd5
    Reviewed-on: https://code.wireshark.org/review/942
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Tested-by: Bill Meier <wmeier@newsguy.com>

commit c0b0a11e4eaf73a2187c93f31f414ca16dfa10af
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Apr 2 23:59:19 2014 -0400

    (Pedantic): set editor modelines tab-width & etc to 8; Also: fix some indentation in packet-sip.c
    
    Change-Id: I623fc5e4c1247dbe5e15f0f33270f4f0994268ab
    Reviewed-on: https://code.wireshark.org/review/943
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Tested-by: Bill Meier <wmeier@newsguy.com>

commit dc84709705644272dce313b8fc40c4ed2e5300f7
Author: Evan Huus <eapache@gmail.com>
Date:   Thu Apr 3 08:55:06 2014 -0400

    please checkAPI
    
    Change-Id: I2dbd1fcb47b75300e753b5ef2dc60e68ca1b5fa5
    Reviewed-on: https://code.wireshark.org/review/941
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 5e4769dc87900f83b63a2b4ce7aabd7275dc6bff
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Thu Apr 3 13:18:59 2014 +0200

    Use ENC_UTF_8 for strings, it's faster and *should* be OK.
    
    Change-Id: I7615f407a017454d3fb11ec0b45b584bfa5d79b5
    Reviewed-on: https://code.wireshark.org/review/940
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 4daf6f38d9b4ac0c51f6441d8b8b1cadb90327f6
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Apr 3 00:01:07 2014 -0700

    Make payload type arguments guint rather than guint8.
    
    That should suppress some "cast to pointer from integer of different
    size" warnings.
    
    Change-Id: I2ef38e16ce866e244cb7c0a2275dfb5975980fc4
    Reviewed-on: https://code.wireshark.org/review/938
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit a5a692c4ec67b0ab087b18d147451da2ca4d1db9
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Apr 2 23:54:28 2014 -0700

    Handle DLT_USER2 as PKTAP, to handle Mavericks.
    
    Change-Id: Ic58c3584994f822d5d5a1434050aaa61f86ba17c
    Reviewed-on: https://code.wireshark.org/review/937
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 618c27b5e637c06d55a099696f80d53c3edbd827
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Apr 2 23:45:11 2014 -0700

    Add a capture_pktap() routine and use it.
    
    That way, the packet counts are will be valid when capturing.
    
    Change-Id: I0a21cc817d918e7f849620db5ca6dfd84bd2cd87
    Reviewed-on: https://code.wireshark.org/review/936
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 04c05a21e34cec326f1aff2f5f8a6e74e1ced984
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Wed Apr 2 02:07:16 2014 -0400

    Fix Bug 9920 Buildbot crash due to SDP/RTP mismatch
    
    For details see comments in Bug 9920.
    
    The executive summary:
    Bug 9920 is a crash caused by a couple of issues:
    
    1) The memory ownership model for the rtp_dyn_payload hashtable is split: SDP
    creates the rtp_dyn_payload hashtable, but RTP can free it. Since there isn't
    *one* pointer to the hashtable, RTP freeing it means SDP has a dangling
    pointer.
    
    2) Either the SDP dissector shouldn't be creating two separate, unique
    hashtables for multiple media channels of the same addr:port, or RTP shouldn't
    be free'ing the previous one.
    
    Change-Id: I436e67de6882f84aa82dcbdfe60bf313fe4fd99c
    Reviewed-on: https://code.wireshark.org/review/918
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit df80f3133cc3b128ea989ad6830511c378fa0b63
Author: AndersBroman <a.broman@bredband.net>
Date:   Thu Apr 3 06:35:51 2014 +0200

    Fix a typo
    
    Change-Id: Ie32a140e49140a92c69cb6fa84cdc55402516830
    Reviewed-on: https://code.wireshark.org/review/935
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 67cc46294141ee1af32c5d15080b08a525e0813f
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Wed Apr 2 16:18:39 2014 +0200

    Don't use external function internaly to avoid multiple checks.
    tvb_captured_length()                      -> tvb->length
    tvb_captured_length_remaining(tvb, offset) -> (Inline) _tvb_captured_length_remaining()
    tvb_get_ptr()                              -> ensure_contiguous()
    
    Change-Id: I3540854c9b51ca9c3319b030c7d91b4aff976a26
    Reviewed-on: https://code.wireshark.org/review/922
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 84bc050a89c2200f2392630e4281fddfd96b2452
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Mon Mar 31 13:57:03 2014 +0200

    In the string handling routines don't call tvb_get_...() inside the loops insted get the ptr and read
    directly avoiding the overhead of calling fast_ensure_contiguous()
    repeatibly.
    
    Change-Id: Ib5eee87ef9d49cb4e46b3b9c3d3db0134d3c4a32
    Reviewed-on: https://code.wireshark.org/review/889
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e982992f71b9e93d28ca3bf04d32105fa015949e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Apr 2 20:18:50 2014 -0700

    For single-precision calculations, use single-precision constants.
    
    Otherwise the calculation is done in double precision, and some
    compilers complain of a double-precision value being assigned to a
    single-precision variable.
    
    Change-Id: I78317a0e9b625ae4f34df3597fdb5eba711bcae2
    Reviewed-on: https://code.wireshark.org/review/934
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 9bd093289c61361104250269af70b3dd3d08bda6
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Apr 2 20:05:14 2014 -0700

    For single-precision calculations, use single-precision constants.
    
    Otherwise the calculation is done in double precision, and some
    compilers complain of a double-precision value being assigned to a
    single-precision variable.
    
    Change-Id: I41699fa69e21a2c42d54867765f9fa35a9ab7414
    Reviewed-on: https://code.wireshark.org/review/933
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0d6f511f22d79d2678d710efee2f4f1409c2a239
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Apr 3 03:42:15 2014 +0200

    Add PKTAP to release notes
    
    Change-Id: Ibec2b400493b0936505e467d1ae9bc6551e6cc03
    Reviewed-on: https://code.wireshark.org/review/931
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 0a4993500b58a38461ee77423e8d6ac6feeb12ce
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Apr 2 11:05:04 2014 -0700

    Add a backporting chapter.
    
    Change-Id: Id0e017b18e95d6703e166fa09f767200d8ed1f8d
    Reviewed-on: https://code.wireshark.org/review/925
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 50a5598b08edbb38e39e623ff2a55de1238a70d0
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Wed Apr 2 22:55:58 2014 +0200

    dissect gama chunk
    
    Change-Id: I4fcdb926db9d2f23f5901586b5d97b727237db3d
    Reviewed-on: https://code.wireshark.org/review/930
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit 29519c447665068e3f40cdb9699e6ec39561a17e
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Apr 2 12:51:52 2014 -0700

    Remove extra parenthesis in EQ_SEQ.
    
    Fixes the following clang warning:
    
    epan/follow.c:397:20: error: equality comparison with extraneous parentheses [-Werror,-Wparentheses-equality]
      if ( ((sequence) == (seq[src_index])) ) {
            ~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~
    epan/follow.c:397:20: note: remove extraneous parentheses around the comparison to silence this warning
      if ( ((sequence) == (seq[src_index])) ) {
           ~           ^                  ~
    epan/follow.c:397:20: note: use '=' to turn this equality comparison into an assignment
      if ( ((sequence) == (seq[src_index])) ) {
                       ^~
                       =
    
    Change-Id: Ic257bbc598e17f854b671056887ca1a13dcea850
    Reviewed-on: https://code.wireshark.org/review/928
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit b8b68f79a1d3161355dfe0f227a4ab9a455f84fa
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Mon Mar 31 20:34:38 2014 +0200

    dissect the chrm chunk
    
    Change-Id: I922169d4e246470e018d3db53964ae3f794642f6
    Reviewed-on: https://code.wireshark.org/review/927
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit eee21a6e1eafd8e4398a55289016f1d8b8284f2f
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Mon Mar 31 21:45:40 2014 +0200

    redefine proto_tree_add_float_format_value() if we're using the new
    proto tree api, similar to other proto_tree_add_...() functions
    
    Change-Id: Iaef0711b8221a7bbb24f1004c81a1438f5674e42
    Reviewed-on: https://code.wireshark.org/review/926
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit b238cd15413ec3863b753dae1e71b02c210aeb1b
Author: Evan Huus <eapache@gmail.com>
Date:   Wed Apr 2 13:11:58 2014 -0400

    Scrap wmem splay trees for now.
    
    There is confusion about API usage, and problems on my part concerning whether
    keys should be compared signed or unsigned, and how to do that efficiently.
    Unsigned keys in particular were behaving oddly.
    
    Change-Id: I075693bbd04c15f79f24f9a24006003a914cc572
    Reviewed-on: https://code.wireshark.org/review/924
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 941088262bbf474b9f20f4f7fcf5b7f9175c196a
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Wed Apr 2 17:28:39 2014 +0200

    Add a cople of missing pcap.extension IE:s
    
    Change-Id: I7086349f3fb9e3fd8c1ea902ef08b54c27b0a8c5
    Reviewed-on: https://code.wireshark.org/review/923
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 5838881f2e2dc985fe3b890bb855d765bff9dbd8
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Apr 2 09:17:56 2014 -0400

    Have Infiniband dissector show payload. Bug 9929.
    
    The trees in the infiniband dissectors were incorrectly setup causing the data dissector to always have a NULL tree (so it wouldn't appear in packet view).
    
    Also cleaned up some other unnecessary global variables.
    
    Change-Id: I778073bdca864dfc5087cdcfc7ef0018f9bd704c
    Reviewed-on: https://code.wireshark.org/review/915
    Tested-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 8570f17510c6a25470d95fabceedd2e73822192b
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Wed Apr 2 13:31:29 2014 +0200

    Fix packet-bootp.c:5368:18: error: 'ti' may be used uninitialized in this
    function
    
    Change-Id: I15f32e7b5c9ce23e1ddc00792b2d5c37945ae081
    Reviewed-on: https://code.wireshark.org/review/920
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 255eca0c1ca1f70c1d060e70bd8bd321578b303c
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Feb 21 19:36:39 2014 +0100

    Revert Remove check and inverse code to display a error if there is a $Id$
    
    Change-Id: I7061ad312df5079924c927ca95a8fa111c756012
    Reviewed-on: https://code.wireshark.org/review/498
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 781a41a008a8f26dc30f4a262d36f1ec571bcdab
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue Apr 1 18:04:52 2014 +0200

    From Martin Mathieson:
    Show the message type name in option 53, as well as in the bootp protocol root.
    
    Change-Id: I5864a2024d3e64fa8eeee40b465dcd3459b8472e
    Reviewed-on: https://code.wireshark.org/review/910
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 761464f8ad2c82ecc36c920c775e192648ea07fb
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Thu Jan 30 13:33:41 2014 +0100

    Fix InfiniBand dissector. Bug 9719
    
    Change-Id: I7b9df14b4d9aa520c3fe28c86014665461b758f2
    Reviewed-on: https://code.wireshark.org/review/917
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 7f6a1cee54b0449d59a386049e54d8bbed31f320
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Apr 1 20:36:58 2014 -0400

    packet-pdc.c: Add asterix protocol layer to base tree (not to PDC tree).
    
    PDC capture file: See attachment to Bug #9746
    
    https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9746
    
    Change-Id: I815779f4213d1caec3e1c8dc46506bcc8647bcbb
    Reviewed-on: https://code.wireshark.org/review/914
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Tested-by: Bill Meier <wmeier@newsguy.com>

commit 577f16a25c1595f1775cde4a36c9f937c5ad7823
Author: Martin Kaiser <martin@skogar.kaiser.cx>
Date:   Mon Mar 31 22:44:56 2014 +0200

    use tvb_find_guint8() to find the 0 termination in a text chunk
    keyword and text are latin1 strings
    
    Change-Id: I01637efa2ebf4d1e1a83f6001737066dc1258e6c
    Reviewed-on: https://code.wireshark.org/review/913
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit fc48f57214d55d3f35bff87f1fffa08ac6f7bfd6
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Mar 31 21:04:13 2014 -0700

    Add a dissector for Apple's PKTAP headers.
    
    It automatically works for LINKTYPE_PKTAP and, by default, for
    LINKTYPE_USER2; if any other dissector is specified for LINKTYPE_USER2,
    that dissector overrides PKTAP.
    
    Change-Id: Ic00ac8a81c6101e45d638d337aef42df3920da12
    Reviewed-on: https://code.wireshark.org/review/903
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 47d296709dcd0ed1fc8900de12648583c9df7b43
Author: Pavel Karneliuk <pavel_karneliuk@epam.com>
Date:   Tue Apr 1 14:57:26 2014 +0300

    replace comparing sequence numbers of TCP segments with wrap-firendly XX_SEQ macros; replace tabs with 2 whitespace indentations
    
    Change-Id: I8af522cc34863501195d0a79db5c0ab4135246a8
    Reviewed-on: https://code.wireshark.org/review/907
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 0b5f26b67d68bdfd7e59c191cefe407f19edcafc
Author: Pavel Karneliuk <pavel_karneliuk@epam.com>
Date:   Mon Mar 31 12:55:15 2014 +0300

    fix comparing a sequence number of TCP fragment when its value wraps over uint32_t limit
    
    Change-Id: I0ff939e2d1265a2d9380c83f8f538bb43b0dadf9
    Reviewed-on: https://code.wireshark.org/review/875
    Reviewed-by: Pavel Karneliuk <pavel_karneliuk@epam.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 01b65269bf7bbb6500b852e11fefa19f72842843
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue Apr 1 15:36:57 2014 +0200

    Inlining some tvb function gives a 6% performance gain according to
    valgrind.
    
    Change-Id: I7881f8c1407d422a3f1ad5bc17e975b45703db74
    Reviewed-on: https://code.wireshark.org/review/909
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 8c5e9fcb82ca94ab3e13ae9fe1c153bbd193de6a
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Mon Mar 31 14:29:57 2014 +0100

    Fixed display of IIN during reads and writes of IIN object.
    Added (hidden) dnp3.addr field set by both source and destination dnp3
    addresses to allow easier filtering.
    
    Change-Id: I04980c24c1b9f30a2ee5a0d5ea4ac32ae877504e
    Reviewed-on: https://code.wireshark.org/review/908
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Graham Bloice <graham.bloice@trihedral.com>

commit 2284f0bdfa981da85d3b215beab6535efadbf5e3
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue Apr 1 10:01:57 2014 +0200

    For now use UTF-8 for all strings for performance reasons.
    
    Change-Id: If47ffbee58d534ce3d44f00e1e5b966bc42a2ea8
    Reviewed-on: https://code.wireshark.org/review/906
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 914cbc2f3c7dc54ecd4f441d1d300516cef02e58
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Mon Mar 31 23:58:04 2014 -0400

    Fix checkApis perl script false positive proto_tree_add with ENC_*
    
    In epan/proto.c in function proto_tree_add_split_bits_crumb, the
    proto_tree_add_text function is called with one of its arguments
    using ENC_BIG_ENDIAN, but it's not an argument for proto_tree_add_text
    itself but instead a function being called inside it. checkAPIs.pl
    tries to avoid this in check_proto_tree_add_XXX_encoding, by removing
    parenthesis arguments, but in this acse there are newlines between
    the arguments, causing the regex to not catch them. This commit
    fixes the regex.
    
    Change-Id: I70ef79d5436ba2ec04ffdc3d9939c7aa2cdf6a1f
    Reviewed-on: https://code.wireshark.org/review/902
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e7b3eff7216de19efb74f7e8eb0c404c398d05e7
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Mon Mar 31 22:47:56 2014 -0400

    Fix tshark.c to pass checkAPIs script
    
    Since tshark.c was using strdup, perror, and g_main_quit, changes to
    the file won't pass checkAPIs; so this commit replaces those with
    the approved functions; except strdup, which was unecessary.
    
    Change-Id: I031aa44594f2b96960a45f48537ab4e9a10d34b1
    Reviewed-on: https://code.wireshark.org/review/898
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 97cddf538c6438b1b995e742c3152b50be1d18d3
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Tue Apr 1 00:20:07 2014 -0400

    Fix proto.c to pass checkAPIs script
    
    Since proto.c was using strcat(), changes to the file won't pass checkAPIs.
    So this commit replaces it with the appropriate function, and also replaces
    the deprecated tvb_length_remaining and tvb_ensure_length_remaining function
    calls with the new versions, since checkAPIs was warning about that too.
    This commit does not change the ep_* memorry calls to the new wmem-based
    ones though, as that's a bigger deal than this trivial commit I think.
    
    Change-Id: I51e6d5b3a6e03233f2695c890ff4c10d02fdb0c0
    Reviewed-on: https://code.wireshark.org/review/905
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit dc4c26cbb8fee6a1c4397e6e9152ea218db130e0
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Mar 31 19:48:21 2014 -0700

    Update encap_table_base.
    
    As the comment after the WTAP_ENCAP_ list says, "After adding new item
    here, please also add new item to encap_table_base array".
    
    Change-Id: I918603fa271978b3a81525466c5f4067efc7a783
    Reviewed-on: https://code.wireshark.org/review/897
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 249daa686f791c820b73725176044f66b671b402
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Apr 1 00:26:12 2014 -0400

    Copy randpkt.exe & randpkt.pdb to install directory during windows build.
    
    Change-Id: I6ef6b181897bd3d35dc94ebb2d04aaa209d8df6e
    Reviewed-on: https://code.wireshark.org/review/904
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Tested-by: Bill Meier <wmeier@newsguy.com>

commit a8e963709063ff7b7b36f319fa2827e9be0af2e9
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Mar 31 23:12:20 2014 -0400

    Fix two bugs and do misc other minor changes;
    
    Bugs fixed:
     - col_...() should not be called under 'if (tree)';
     - proto_reg_handoff_pdc(): pdc tcp.port preference change was handled incorrectly;
    
    Minor changes:
    - Move proto_reg_handoff...() to the end of the file as per convention;
    - new_register_dissector...() call not needed;
    - Remove some unneeded initializers;
    - 'xxx++' ==> 'xxx += 1' in a few instances;
    - widen a few variables (guint? ==> guint);
    - Add XXX comment about possible simplification of the code;
    - Remove unneeded #include <epan/reassemble.h>;
    - Reformat hf[] entries for readability;
    - Do whitespace changes;
    
    Change-Id: Ib9224f0c6392a45c19656a63bbac97fbaf3acc08
    Reviewed-on: https://code.wireshark.org/review/900
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Tested-by: Bill Meier <wmeier@newsguy.com>

commit a72dc7a2dd4848303d705a2d9ac8dd9b7422cbe8
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Mar 31 22:50:39 2014 -0400

    Fix expert_...() calls to not be under 'if (tree)';Do other minor changes;
    
    Minor changes;
     - Remove #include <epan/etypes.h>; It's not needed;
     - Do some whitespace changes;
     - Use tab-width=8 in editor modelines
    
    Change-Id: I84a1c9bc814fae384c4d5a434c2f9aed865c76ae
    Reviewed-on: https://code.wireshark.org/review/899
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Tested-by: Bill Meier <wmeier@newsguy.com>

commit 4958cd7e503853ad20328b664684dc6833ead5c4
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Mar 31 15:28:39 2014 -0400

    Remove 3 dups from .gitignore
    
    Change-Id: I81434f311568d42dd897461365a5c345dd9ff1bc
    Reviewed-on: https://code.wireshark.org/review/893
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Tested-by: Bill Meier <wmeier@newsguy.com>

commit d8001e8064d5f1c4412ab43765ae74a03197a8d9
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Mar 31 11:14:29 2014 +0200

    Continue to remove $Id$ from top of file
    
    (Using sed : sed -i '/^\*\* \$Id\$/,+1 d') (2 star and space)
    
    Change-Id: I48505ffb8bfa103cd7db0117e18cdb1925a7034d
    Reviewed-on: https://code.wireshark.org/review/884
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b7b33b54bd6c0b896bf50eb577685fdcd007136e
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Mar 31 12:45:42 2014 +0200

    Continue to remove $Id$ from top of file
    
    Last one $Id$ (remove by hand) to make checkAPI haapy !
    
    Change-Id: I5adfdcac0629a36e08c5fe3ea7960bdbc251364f
    Reviewed-on: https://code.wireshark.org/review/887
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 7d77d753c6c9131ba63313d2154658eb6b7815e5
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Mar 31 12:22:59 2014 +0200

    Continue to remove $Id$ from top of file
    
    (Using sed :sed -i '/^\/\* \$Id\$ \*\//,+0 d') ( /* $Id */ )
    
    Change-Id: I46e928d7f2a307c35876ed5d34cb6b7cccfcd6e9
    Reviewed-on: https://code.wireshark.org/review/886
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 757aa3322029a673e4f60c67041a796ce15e4828
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Mar 17 15:57:02 2014 +0100

    Continue to remove $Id$ from top of file
    
    (Using sed : sed -i '/^\# \$Id\$/,+1 d') (start with dash)
    
    Change-Id: Ia4b5a6c2302f6a531f6a86c1ec3a2f8205c8c2dd
    Reviewed-on: https://code.wireshark.org/review/881
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit fb61a0afa9b3ac5a6d3b0efa21e19b74d6aef175
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Mar 31 12:10:52 2014 +0200

    Continue to remove $Id$ from top of file
    
    (Using sed :sed -i '/^  \* \$Id\$/,+1 d') (2 spaces before star)
    
    Change-Id: I7060f198b4ae4dd271ecc454f6c6dd8bd4cfd8d4
    Reviewed-on: https://code.wireshark.org/review/885
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b0ba475fbfd4991c854039798487c74415f3489b
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Mar 17 17:59:52 2014 +0100

    Continue to remove $Id$ from top of file
    
    (Using sed : sed -i '/^  \$Id\$/,+1 d') (No star only 2 spaces before)
    
    Change-Id: Id7b254031769a9dca2941304e4d3a0f4bdbc3f54
    Reviewed-on: https://code.wireshark.org/review/883
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 7287b58ff5801c2706a2b6bc7bda501bf3d90fe2
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Mar 17 16:46:33 2014 +0100

    Continue to remove $Id$ from top of file
    
    (Using sed : sed -i '/^<!-- \$Id\$ -->/,+0 d') (XML Comments)
    
    Change-Id: Ifd03f70ae84dfbbbe04d91f10fd30857fd197014
    Reviewed-on: https://code.wireshark.org/review/882
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a8f1e349c31f3a23bb6eca390fabc66acb54997d
Author: Evan Huus <eapache@gmail.com>
Date:   Mon Mar 31 12:32:51 2014 -0400

    Doc tweaks and macro parameterization
    
    Change-Id: I9898bedf05a785683e79866a149336cbbf402d27
    Reviewed-on: https://code.wireshark.org/review/892
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 0233001df05390510944cc1e050464479e35a164
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Mar 17 15:08:11 2014 +0100

    Continue to remove $Id$ from top of file
    
    Remove all $Id:$ (by hand)
    
    Change-Id: Ia8790ee852fe338469e855713199220d345a59b7
    Reviewed-on: https://code.wireshark.org/review/880
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 09cd306d1ce7f1fff420d2be740bce0b5cd72253
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Mar 7 17:52:50 2014 +0100

    Continue to remove $Id$ from top of file
    
    (Using sed : sed -i '/^\* \$Id\$/,+1 d') (no space before star)
    
    Change-Id: I318968db2b8512ba1303b5fc5c624c66441658f0
    Reviewed-on: https://code.wireshark.org/review/879
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f2dfc39d9466e3dd736e14d95fc4d5cf2e37e4c8
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Mar 7 16:32:18 2014 +0100

    Continue to remove $Id$ from top of file
    
    (Using sed : sed -i '/^ \t$Id\$/,+0 d') (tab before $Id$)
    
    Also modify generator (NDR.pm)
    
    Change-Id: I348a1d129d1d1320bd80b428038ea5ed291d6ca8
    Reviewed-on: https://code.wireshark.org/review/878
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 94a791a76e3db49b3f3b9dd0b7d1b43402ebd9c0
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Mar 7 14:06:43 2014 +0100

    Continue to remove $Id$ from top of file
    
    (Using sed : sed -i '/^\$Id\$/,+1 d') (No space or star before $Id$)
    
    Change-Id: I0801bd7cf234d32487008a8b6dcee64875b07688
    Reviewed-on: https://code.wireshark.org/review/876
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 3170f2e41817c0beb93be40bdaa93197f3a1d6bf
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Mar 7 14:16:15 2014 +0100

    Continue to remove $Id$ from top of file
    
    (Using sed : sed -i '/^ \*  \$Id\$/,+1 d') (Double space between star and $Id$)
    
    Change-Id: If9b8f345e3b6493de0b573600e60005c8b0b33c3
    Reviewed-on: https://code.wireshark.org/review/877
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit d0edbd31eb33c9795714920e2bb0fbec4029f4c1
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Mon Mar 31 17:55:28 2014 +0200

    Use tvb_get_string_enc() with UTF_8 when checking headers as it's faster.
    
    Change-Id: I88cd6f71c1fcbf67948dd0ebdc6e5641d6ba111c
    Reviewed-on: https://code.wireshark.org/review/891
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b3708a9c4a5917bec6f42754fded0bb33fbe0d74
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Mon Mar 31 14:35:05 2014 +0200

    According to RFC 3261
    7 SIP Messages
    
       SIP is a text-based protocol and uses the UTF-8 charset
    
    So use ENC_UTF_8|ENC_NA.
    
    Change-Id: I0101eca3dd7d8ff9ebf98fd733548131b862919e
    Reviewed-on: https://code.wireshark.org/review/890
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 6a3394eefa14e40b5b6310395117e9d4adfe6f8f
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Mon Mar 31 13:44:05 2014 +0200

    Inlining wmem_strbuf_grow seems to give better performance.
    
    Change-Id: I80f3d42fb01461af97984b463a6e8b8217eed552
    Reviewed-on: https://code.wireshark.org/review/888
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 280c2958f2a03bdc16b99851230c935cdd65e91b
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Mar 15 12:52:29 2014 +0100

    Add --enable-extra-clang-checks for autotools and CMakeList
    With -Wunreachable-code flags (and disable for the moment -Wdocumentation)
    
    Change-Id: I126c962b32e650a63b78092e95896736ae7335c9
    Reviewed-on: https://code.wireshark.org/review/678
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 0973a321a9836331cd7863a5c1aad77e2bf8126b
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Mar 23 16:02:04 2014 +0100

    Fix Argument with 'nonnull' attribute passed null found by Clang
    
    Change-Id: Ie59c379a4f00c807ebc50c95eea2017f8cac0c69
    Reviewed-on: https://code.wireshark.org/review/796
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 650ed5f249561ce65d10ea6141557b3adea3329e
Author: Hanspeter Portner <dev@open-music-kontrollers.ch>
Date:   Sun Mar 30 10:47:08 2014 +0200

    packet-osc dissector bug fix of path validity func
    
    - 'is_valid_path' function has been corrected
    - an OSC path is valid if:
     - it consists of printable characters only
     - does not contain ' ' and '#'
    - characters '*' ',' '?' '[' ']' '{' '}' are valid, but have special meaning at the receiving end (used for pattern matching)
    
    Change-Id: I4ff4308d0955da2ef377d606b7778819b97754a0
    Reviewed-on: https://code.wireshark.org/review/868
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 550e3153bf0f37a9297057c3c5024aa8809fd428
Author: Bill Meier <wmeier@newsguy.com>
Date:   Sun Mar 30 16:55:08 2014 -0400

    Fix fuzz-test.sh '-b' option so it works again; Do some other tools/*test*.sh changes
    
    - Add -b option to randpkt-test.sh and test-captures.sh;
    - Create/ue a common function to do '-x' tests on files/dirs;
    - Rename exit_error function to ws_exit_error
    
    Change-Id: I032c9d784bec1fb6b0717aaad08a061e4d935476
    Reviewed-on: https://code.wireshark.org/review/872
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Tested-by: Bill Meier <wmeier@newsguy.com>

commit b63b5034569f861d6cca0354aaa5c25eda18558e
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Sat Mar 29 17:16:22 2014 -0400

    Fix Bug 9938 'tshark "-Y -2 -w" saves non-dependent frames'
    
    When the '-Y' display filter option is given with a '-2', and a '-w' to write out
    the packets, tshark grabs *all* dependent frames in the catprue file, even those
    that weren't dependents of a matching packet. Note that this also uses the '-2'
    two-pass option, since only two-pass mode writes out dependent frames to begin with.
    
    Change-Id: I17726447bec434ba2566e98fb78893d1331e3056
    Reviewed-on: https://code.wireshark.org/review/866
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 5cdf04e6c726ab0ec8d0a091099cac12ad624b6d
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Mar 30 08:06:45 2014 -0700

    [Automatic manuf, services and enterprise-numbers update for 2014-03-30]
    
    Change-Id: Iff714193adc4035d96f69d4944b43da7edb3cfa8
    Reviewed-on: https://code.wireshark.org/review/869
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit bda08a2881d64fc41aeacfb98a1dc77ada21ca02
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Mar 29 16:00:13 2014 -0700

    Hide unused variable.
    
    Leave it there, but commented out, just in case it *should* be used.
    "#if 0" out the code that sets it.
    
    Change-Id: I8802fc416030106d9d8421b0d7b8612597794bab
    Reviewed-on: https://code.wireshark.org/review/867
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit d156deff0412a16f4a33e4f05d86307fdbca6cd3
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Mar 29 13:22:27 2014 -0700

    Rename "size" variable to "length", to match other string routines.
    
    Change-Id: I385345cfafc7e7b4d3e66713fb0fe570b39f438d
    Reviewed-on: https://code.wireshark.org/review/865
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8ffdf4249aabae6ac653ecd29b1f8970d156278f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Mar 29 12:56:21 2014 -0700

    Add a pcorey48tohll() macro, and use #defines for some offsets.
    
    The "48 bits, in a weird byte order" is a variant of 64-bit
    "Corey-endian", with the upper 16 bits of the result - which are in the
    *middle* of the bytes of the number - ignored.  Define a pcorey48tohll()
    macro and use that, rather than the loop.
    
    There are a bunch of #defines for offsets in the headers; use them
    rather than magic constants.
    
    Change-Id: Idfdc8a741278d71a5db47c067914c97615c3e02d
    Reviewed-on: https://code.wireshark.org/review/864
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 521bab1e1c5fadc07e32d73c393cbf1b0f0f942d
Author: Evan Huus <eapache@gmail.com>
Date:   Fri Mar 28 11:00:28 2014 -0400

    Use sized strbufs when extracting tvb strings
    
    We rarely know exactly how long a string will be, but we frequently have a good
    lower bound (that's better than the default strbuf size of 16). Starting at that
    size probably reduces the amount of allocation/copying needed.
    
    Also make use of the new _finalize() method to save memory and avoid constness
    problems.
    
    Change-Id: I3f043bd12c1ccfce5990168fb6531ecd287bec5b
    Reviewed-on: https://code.wireshark.org/review/856
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 7df883954effe0b86a6d49ed33b888665afc0054
Author: Evan Huus <eapache@gmail.com>
Date:   Thu Mar 20 12:04:06 2014 -0400

    Splay tree implementation for wmem
    
    This is a tree implementation intended to replace the current red-black tree in
    wmem_tree (which was inherited from emem), assuming there are no regressions.
    Splay trees bubble recently accessed keys to the top, and as such have a number
    of very nice properties: https://en.wikipedia.org/wiki/Splay_tree
    
    This implementation is a variant known as "independent semi-splaying", which has
    better practical performance. It should do about as well as the red-black tree
    for random insertions and accesses, but somewhat better for patterned accesses
    (such as accessing each key in order, or accessing certain keys very
    frequently).
    
    There are a few other changes relative to the red-black tree implementation that
    are worth mentioning:
     - Instead of requiring complex keys to be split into guint32 chunks and doing
       this weird trick with sub-trees, I let the keys be arbitrary pointers and
       allowed the user to specify an arbitrary comparison function. If the function
       is NULL then the pointers are compared directly for the simple integer-key
       case.
     - Splay trees do not need to store a red-black colour flag for each node. It is
       also much easier to do without the parent pointer in each node. And due to
       the simpler system for complex keys, I was able to remove the "is_subtree"
       boolean. As such, splay nodes are 12 bytes smaller on 32-bit platforms, and
       16 bytes smaller on a 64-bit platform.
    
    All done in about half the lines of code.
    
    Change-Id: I89fb57e07d2bb7e3197190c7c2597b0c5adcc03b
    Reviewed-on: https://code.wireshark.org/review/758
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit a1d4189c5e9cd67d1509f626038b62d146f30282
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Mar 29 10:00:33 2014 +0100

    Upgrade Windows builds to Lua 5.2.1
    
    Change-Id: I5d2058673b69beb8393aae0571703cd9dbb79c4e
    Reviewed-on: https://code.wireshark.org/review/863
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Pascal Quantin <pascal.quantin@gmail.com>

commit adc46f571c0357f7600c5cc49c21a8e1403a2af0
Author: Evan Huus <eapache@gmail.com>
Date:   Sat Mar 29 11:01:06 2014 -0400

    Tighten the NO_MORE_DATA_CHECK macros
    
    We should return if we've already somehow overflowed the apparent length, not
    just if we've hit it dead on.
    
    Fixes bug #9932 and probably others.
    
    Change-Id: I2719c3bd38f03e18ea557df962ee4a1beb64c2e8
    Reviewed-on: https://code.wireshark.org/review/862
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 302632f4b3dba9fd4287795347598ad767eca8ee
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Fri Mar 28 18:47:48 2014 -0400

    Fix some compiler issues on windows with Lua 5.2
    
    Change-Id: I5c692bbc5fd1a9f0d361413e44e70282c3299901
    Reviewed-on: https://code.wireshark.org/review/860
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 48fc43baadae5d82b6a7969fef03d305c2c40a31
Author: Evan Huus <eapache@gmail.com>
Date:   Fri Mar 28 16:28:53 2014 -0400

    Implement finalize() method for wmem strbuf.
    
    Change-Id: Ib7a2b0d348b3624f41253e2d0995a4a38a9fe45d
    Reviewed-on: https://code.wireshark.org/review/859
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 7785dd00cd37df9c3296b36db4424ce4c8616657
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Mar 28 23:42:08 2014 +0100

    Please checkAPI.pl
    
    Change-Id: I78e9d3781df81fd4edda7e9b20749cb096a05499
    Reviewed-on: https://code.wireshark.org/review/861
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit c39060a21c6e1e945fad05d724b136bcba804be1
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Fri Mar 28 11:20:08 2014 -0400

    Update README.wslua with latest info.
    
    Change-Id: I20ea6c374f791054f16f0aaba33967b869348ff5
    Reviewed-on: https://code.wireshark.org/review/857
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit a8562b2a66dcef1214d4585af012fb0544c0497c
Author: Bill Meier <wmeier@newsguy.com>
Date:   Fri Mar 28 13:50:39 2014 -0400

    Add handling of OSC over TCP; fix a bug in the UDP heuristic.
    
    Bug Fixed: UDP heuristic wasn't properly setting the dissector
    for the UDP conversation.
    
    From https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9837#c3:
    
     I did a little survey about alternative OSC transmission, but UDP.
    
     As OSC is packet-based, it is tramitted raw via packet-oriented protocols (e.g. UDP).
    
     For reliable stream-based protocols (TCP, USB), the raw OSC packet is
     prefixed with the packets Int32 size as a packetization scheme.
    
     For unreliable stream-based protocols (RS232 and other serial lines),
     the raw OSC packet is SLIP and/or double SLIP encoded as packetization
     scheme.
    
     There was discussion in the past to make SLIP encoding the default for
     all stream-based protocols, but apparently it has never been adopted
     for any OSC via TCP implementation I've found in the web.
    
     As OSC is used in networked Audio, most implementations run with the
     Nagle algorithm disable, and send the prefixed length and the raw OSC
     packet separately.
    
    Change-Id: Ife690cc5ea0575c65124a7b441431e1cc6ba5091
    Reviewed-on: https://code.wireshark.org/review/858
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Tested-by: Bill Meier <wmeier@newsguy.com>

commit f7c62543f97260654b28381e7a082dcefa56bf68
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Fri Mar 28 14:57:24 2014 +0100

    tvb_get_ascii_string is really expensive. On a large capture file which I
    profiled in october Fetch cost has gone from 15,6M to 24,2M, changing
    tvb_get_string() to tvb_get_string_enc() with ENC_UTF_8 where it seems
    safe helps a bit and should be done any way.
    
    Change-Id: I4d3e640bfde3304a991c09e2a30ad7dd132fc5ac
    Reviewed-on: https://code.wireshark.org/review/855
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 3438243c1e976374314a5377237fa352bf5247e7
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Mar 28 13:44:34 2014 +0100

    Fix crash when calling "MAP Summary" dialog when no file is open
    
    Fixes bug 9934
    
    Change-Id: I2915d0715431cf983511fe7f5f036be99bbd2467
    Reviewed-on: https://code.wireshark.org/review/853
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Pascal Quantin <pascal.quantin@gmail.com>

commit b2509f67b8d64ecb5de902b9954c7659605c4395
Author: AndersBroman <a.broman@bredband.net>
Date:   Fri Mar 28 06:45:01 2014 +0100

    Deleted one line to much in previous chgange.
    
    Change-Id: I19d1153558130356286bac55f6cb321d30a767b1
    Reviewed-on: https://code.wireshark.org/review/852
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2c1e673fa2e361c73858709c7a06396c6df470ef
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Thu Mar 27 16:35:48 2014 -0400

    Allow chained calls with Lua TreeItem functions, and fix a couple of minor errors.
    
    A common Lua idiom is to use chained calls, i.e. tree:foo():bar():choo(). This actually
    works for tree:add() because it returns the new child tree item which is then the one
    being applied to the next chained call. But it doesn't work beyond that for things like
    set_generated() and so on.  So this commit fixes that.
    
    This also fixes the Lua tree:add() function for the FT_BOOL type to let it be a Lua boolean value.
    And it reverts a previous change to Struct.tohex() to allow coercion of the argument.
    
    Change-Id: I10f819d363163914ba320c87d4bedebe5b50cacf
    Reviewed-on: https://code.wireshark.org/review/851
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 0ffc690da40edf31acb95b2a15033d43a3f35ebd
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu Mar 27 17:24:24 2014 +0100

    dissect sRGB chunk
    
    Change-Id: I5a9eefb7f5108de0e46b70453a4485b1cbc3983d
    Reviewed-on: https://code.wireshark.org/review/850
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit ca384a1324ee4c993c40ba4e09b8b8a72a197394
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu Mar 27 15:14:31 2014 +0100

    use an expert info if a png chunk is too large for us
    
    Change-Id: I6a06bf297ef68ca351deff2e08eec7cd12ba8fe0
    Reviewed-on: https://code.wireshark.org/review/849
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit ca9c160933919a85cd22dfd1784dcc04675fb72a
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Thu Mar 27 17:24:20 2014 -0400

    Fix bug9931 'Encapsulated ethernet packets sometimes show invalid FCS'
    
    This fixes part-1 of bug9931: the uninitialized use of a wtap_pkthdr
    struct. The second part of the bug deals with dissectors calling
    the Ethernet dissector for ecnapsulated Ethernet packets but using
    the wrong dissector handle to do so. That's unrelated to the issue this
    commit addresses, so I'm splitting them up.
    
    Change-Id: I87be7b736f82dd74d8c261062f88143372b5344c
    Reviewed-on: https://code.wireshark.org/review/848
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 9a977fc8d03238f083760205be0d980dccaf3ee7
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Thu Mar 27 17:48:19 2014 +0100

    Add dissection of 3G Interface Type package and add some comments about
    the usage of variables in the h248_package_t struct.
    
    Change-Id: Ic5419ab5c20051e56963fe8ea1728d78f95538f0
    Reviewed-on: https://code.wireshark.org/review/846
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d1bef2912590fc233637c4d0bf76a1b7194854e0
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Thu Mar 27 15:07:34 2014 +0100

    Regenerate the dissector with the latest template.
    
    Change-Id: Iefdd7122537108c37e71650ad2674418109d2f1b
    Reviewed-on: https://code.wireshark.org/review/845
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 418c3a7f6296b9269073ada6dd2f981fcdf29ef4
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Mar 27 11:38:06 2014 +0100

    NAS EPS: display also detach cause in case of network initiated procedure
    
    Change-Id: I36fef9eb8a81b03f29c812f94524f4cdf056448b
    Reviewed-on: https://code.wireshark.org/review/844
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 3dd4ef59bbd0662dc92ee566fda787957667c1a1
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Mar 27 09:54:47 2014 +0100

    MBIM: fix identification of DSS streams and add a way to register an external dissector for DSS
    
    Change-Id: Ic7f5708b60ee5846d95725dbbd14d8958d43372e
    Reviewed-on: https://code.wireshark.org/review/843
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 3584a21c8703207580ff512be574989f485f0a79
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Thu Mar 27 10:34:59 2014 +0100

    From Martin Mathiesson: Display Detach Type in info col.
    
    Change-Id: I33692ac93f60cbabec0804f6ee7e75a9d5b9497c
    Reviewed-on: https://code.wireshark.org/review/842
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f3fe29f0fccaebaa7b7bb5db86604b241a1fa749
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Wed Mar 26 19:12:04 2014 -0400

    Add paths to Lua package.path so require works for user scripts
    
    This adds the global and personal plugins directories to the
    package.path setting in Lua, so doing 'require' will work
    properly.
    
    Change-Id: Iec33bc60cd7d41aa122da456db91d4ccc3085f82
    Reviewed-on: https://code.wireshark.org/review/841
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 09055f18a567fc4b8a28d9271b71cf19ef95277a
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Wed Mar 26 23:24:07 2014 +0100

    two more chunk names
    
    Change-Id: I5a34a59c88a4119be2fac4acdd352d474ffc62cd
    Reviewed-on: https://code.wireshark.org/review/840
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit 949747697ce3a89127627d1fe1a6612c3e1b5a2a
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Wed Mar 26 23:15:01 2014 +0100

    add some more chunk names
    
    Change-Id: I6d294a901af88f993ca6a44ababad194fb44a693
    Reviewed-on: https://code.wireshark.org/review/839
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit d5ddfed512913b82ab0d97403ccd6aacd4941735
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Wed Mar 26 21:43:20 2014 +0100

    clean up the png dissector
    
    use value_string instead of our own data type
    read the type string in one go
    
    Change-Id: I115c99c4636540702c1fd301f09a92a0dd466fcd
    Reviewed-on: https://code.wireshark.org/review/838
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit 436100c66a496fe7bc7a9dd0ac41c244bc7dc52d
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Wed Mar 26 12:14:59 2014 +0100

    use the correct png chunk len
    the parameter for proto_tree_add_text() is the length, not the end offset
    
    Change-Id: Ie24d5982b7ff13363061fb087438dd714cae748a
    Reviewed-on: https://code.wireshark.org/review/837
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 482a3cd1f1c533f470c6cc2c9a63ddb7bf56e3b3
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Wed Mar 26 15:55:07 2014 +0100

    More fiddling with heuristic.
    
    Change-Id: I50b78cc38c6f529695ecd54ced0ed94e8a683534
    Reviewed-on: https://code.wireshark.org/review/835
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 873a96fab1de95477306798ce1811232697c95e4
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Wed Mar 26 13:09:31 2014 +0100

    Fix off by one error
    
    Change-Id: I24c9e988786a95489f918bed2c043e6eb23e4caa
    Reviewed-on: https://code.wireshark.org/review/834
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 7fd2daaab3dc8221471505372fa8fe821d2f8e55
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Sun Mar 23 10:55:44 2014 -0100

    Postpone replacing GTK+ stock icon usage
    
    This prevents regressions observable on GTK+ 3.10 which caused
    icons to disappear in some cases.
    
    Change-Id: Ic971258807510dc038e30c6c64fb547f0529a3c2
    Reviewed-on: https://code.wireshark.org/review/792
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>

commit 97ab466679c10b7f242049c700e9cd917a092776
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Mar 26 10:55:26 2014 +0100

    LTE RRC: add file forgotten in gb981173
    
    Change-Id: I1727e56e678c32402f6331463c06c62072c954d8
    Reviewed-on: https://code.wireshark.org/review/833
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 8c2bb805742c918b933923947a533d098774da75
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Wed Mar 26 02:24:51 2014 -0400

    Add various functions for Lua directory handling and path info
    
    This adds new functions to get plugins path info, find out if a directory
    exists, make a new one, remove one, etc. It also creates a file environment
    for user-supplied Lua scripts, to prevent global variable contamination as
    well as supply the script-specific file name.  Some other minor cleanup was
    done as I found them.
    
    A new testsuite was added to test the existing and new directory functions.
    
    Change-Id: I19bd587b5e8a73d89b8521af73670e023314fb33
    Reviewed-on: https://code.wireshark.org/review/832
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit da1af6e549856c8e213dadc1ec37a41a50246e1d
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Tue Mar 25 18:11:05 2014 -0400

    Add filterable expert info for Lua
    
    This adds the ability for a Lua script to register expert info fields,
    similar to C-code dissectors. This change also removes the need for
    the expert_add_info_format_internal() function. Existing Lua scripts
    do not have to change, because the existing expert info function
    uses the internal "_ws.lua" protocol instead of nothing; but using
    the new functionality provides more benefits since it correctly
    registers the expert info fields to the dissector's protocol.
    
    The test suite was amended to generate both old and new forms.
    
    Change-Id: Ib5ae74e927cfa81312baf7b04ff4104b0b4f936e
    Reviewed-on: https://code.wireshark.org/review/830
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b981173669401ff8c325edf8a4ade816acb32020
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Mar 26 00:07:20 2014 +0100

    LTE RRC: fix dissection of SystemInfoListGERAN IE
    
    Change-Id: I502f7cd97cf00822900b4cd09e183e3b491c1437
    Reviewed-on: https://code.wireshark.org/review/831
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 38b5efd5cf9884d1274a5e9b6cdaa404c9a1d509
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Mar 25 22:51:05 2014 +0100

    MBIM: fix dissection of control packets when capturing with usbmon
    
    Change-Id: Ie20fcb8d393a85d47ba78f6cb70de77fedda2587
    Reviewed-on: https://code.wireshark.org/review/829
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 843054ce963f000c023c0ba8aab6d283f92b351f
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Tue Mar 25 21:37:46 2014 +0100

    no need for if(tree)
    
    Change-Id: If95ece8e2db1b650de5804465128020caf391956
    Reviewed-on: https://code.wireshark.org/review/828
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 027ecfb658797a1d6a0154da31cab5875615b6fa
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Tue Mar 25 21:29:56 2014 +0100

    use wmem_ascii_strdown()
    
    Change-Id: Iaa7dfdc979e78f53b53f2b9a0b093873c9004f2d
    Reviewed-on: https://code.wireshark.org/review/827
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 63b0d89574cf575701a4ef76d1db4846f65a1f9a
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Fri Mar 21 14:22:09 2014 +0100

    if a .png file is sent on the application mmi resource, pass the file
    data to the png dissector
    
    Change-Id: I112733f97ba35d9ec497b427c64b2f5ea99fd963
    Reviewed-on: https://code.wireshark.org/review/818
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit d6381c6fe658394f3d759439ed5c90dd85a121e6
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue Mar 25 18:19:12 2014 +0100

    Strengthen RANAP heuristic.
    
    Change-Id: I8f6515d2716bb633f753243b7f86d371a22ebbad
    Reviewed-on: https://code.wireshark.org/review/826
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 86d65a0758d46fa48015344f7ca30ae53bd0438e
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue Mar 25 11:00:50 2014 +0100

    Introduce wmem_ascii_strdown()
    
    Change-Id: Icdc5a0d5033f3ab709fbf19a33ab26f609d4b1f0
    Reviewed-on: https://code.wireshark.org/review/824
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit a99a0360c47c689abdf1ef09e09dea02749824d2
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Mon Mar 24 11:54:00 2014 +0100

    Bluetooth: Fix wrong recognized RFCOMM services
    
    It seems that RFCOMM service can be dynamically changed while
    connection is still alive. In other words: host can connect to
    remote device and set one RFCOMM service (remote service), but later
    remote device can change service to one of host service without
    any disconnection. This patch add support for this case.
    Also improve searching for useful UUID service through SDP.
    
    Change-Id: I9e03b9b965d6b0d9761b4a451cdeb4a1a33ca017
    Reviewed-on: https://code.wireshark.org/review/808
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit ab42220b6549630c99ca3a066b7943876e901843
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Tue Mar 25 08:59:28 2014 +0100

    Bluetooth: AVDTP: Add option to disable Force Codec preference
    
    In real option "SBC" was Default/Off, now user can choose between
    Default and Force SBC Codec.
    
    Change-Id: I605320d89fade11dc7172793bc0492bc4b319e9c
    Reviewed-on: https://code.wireshark.org/review/822
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e90f660cb3155b796e9d0fba57298ceebc4a1a4b
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue Mar 25 10:04:02 2014 +0100

    Don't register in the rtp.pt table if the pt value is set to zero.
    
    Change-Id: I17c523da0fb57ed8591f409615fe56ab18977103
    Reviewed-on: https://code.wireshark.org/review/823
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 03d982a7bb56ba49f91632eddd701f350846f17d
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Feb 20 11:00:15 2014 +0100

    DHCP/BOOTP: Add specific 43 Option when Class is ArubaAP or ArubaInstantAP
    
    Change-Id: I77d898af2b6b6f413f3698bb24f4c6280898da1a
    Reviewed-on: https://code.wireshark.org/review/775
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit de441241ef16262fa8ba1c5fbd77509a1ee86c67
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Sun Mar 23 11:01:12 2014 -0400

    Enhance Lua API doc generator and add more API info
    
    This enhances the Lua API doc generator Perl script to handle
    meta-information in description comments, such as bold, italics,
    raw code, version info, etc.
    
    The supported markup and codes are documented in make-wsluarm.pl.
    
    It's not beautiful Perl code (I don't know Perl), and I'd rather
    do it using Lua, but I think keeping it Perl makes more sense in
    the long run.
    
    Change-Id: I477b3ebe770075dcea9ec52708e2d6fb5758d2f4
    Reviewed-on: https://code.wireshark.org/review/802
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e4756ccacf47234a766ab5e10d17bd9c5203061d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Mar 24 20:15:21 2014 -0700

    Comment cleanups.
    
    Remove some more 802.11i references, and replace a reference to the
    "WEP" bit with a reference to the "Protected" bit.
    
    Change-Id: I77b50af2b34e2bdc4c21af29b54627ed19219090
    Reviewed-on: https://code.wireshark.org/review/821
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 4038fa9b0a17e21708e6161abca9b75f4615f926
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Mar 24 20:07:07 2014 -0700

    IEEE 802.11i is dead; long live IEEE 802.11-2012.
    
    802.11i was absorbed into a revision of the 802.11 spec, so speak of
    "IEEE 802.11 RSNA EAPOL"/"wlan_rsna_eapol" until somebody comes up with
    a better name for it.
    
    Also, add in one more key flags bit that's in 802.11-2012 but not
    802.11i-2004.
    
    Change-Id: Ia825f7466f3b3d159706eb681546b5bbb4e066bf
    Reviewed-on: https://code.wireshark.org/review/820
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 250c2b065dc6516cfbabedafdc1d8bde90250bea
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Mon Mar 24 22:54:17 2014 +0100

    minor cleanup
    - replace TABs with spaces
    - add editor modelines
    - remove unnecessary NULL checks
    
    Change-Id: Ic6024fc4b6aec56c8cafd39c707e20485fa6cca7
    Reviewed-on: https://code.wireshark.org/review/819
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit 9c2e37443368218bf0f640ee93449c86115e2aa7
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Mon Mar 24 15:48:07 2014 +0100

    separate function to dissect File Acknowledge APDU
    
    Change-Id: I1824407cae4cded0680b01e9dea1de6f0408c607
    Reviewed-on: https://code.wireshark.org/review/817
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit d2ba47392e4d4ef2ecb6bad75ed23a7469ddcf71
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Mar 24 22:29:11 2014 +0100

    Upgrade LPPe dissector to V1_1-20140108-C
    
    Change-Id: I1d5d4ed73825bb5cda0cc2e76e5000c38c50b601
    Reviewed-on: https://code.wireshark.org/review/816
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 69f4610910d6cc4b86c21407d648ee5644b27a5d
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Mar 24 22:06:57 2014 +0100

    Add IEEE 1722a and Landis & Gyr Telegyr 8979 dissectors to release notes
    
    Change-Id: I1785bd35f9fcd2624a97e6ba224f3dbafb673846
    Reviewed-on: https://code.wireshark.org/review/815
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 8aaff81d767e0168e11ede48255a0727acaedddc
Author: Clay Jones <clay.jones@email.com>
Date:   Fri Mar 21 14:21:24 2014 -0600

    Add the FNET_PRIVATE ppi extension.
    Look for a dissector for "ppi_fnet" and use it if found, otherwise
    just display the fnet tag on the data.
    
    Change-Id: I07009215faa8faad0e6a82468bad33f266778426
    Reviewed-on: https://code.wireshark.org/review/778
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 93d996ba38bf45a2f240799abe994e663af4c2cc
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Sun Mar 23 19:20:19 2014 +0000

    Enhanced text2pcap so that if direction is specified on the command line, "-D",
    and a direction indicator added to the start of each packet in the text file,
    "I" or "O", then the ip source and destination addresses and udp, tcp and sctp
    ports are swapped for an inbound packet.
    Tcp sequence numbers and ack sequence numbers are updated accordingly.
    
    Change-Id: Iec2c0fd68d80aad8842b7513fdd30bae6806b96a
    Reviewed-on: https://code.wireshark.org/review/801
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Graham Bloice <graham.bloice@trihedral.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit d04cddf6d35a64aa18ca0b7332bc69739a4f5799
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Mon Mar 24 15:30:25 2014 +0100

    no need for if(tree)
    
    Change-Id: Ia6db5839a8bbbc79a5196406e3f8d59f7ce7498a
    Reviewed-on: https://code.wireshark.org/review/814
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit d066376a7418d98cd030472ba8543a0897577c9b
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Mon Mar 24 14:36:04 2014 +0100

    Check API found: Found non-ASCII characters on line 248 ..253
    
    Change-Id: I964690c6468f1b8cfdf63cb5784f26065d56a204
    Reviewed-on: https://code.wireshark.org/review/813
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 3258588c1d8d12f2c81fec560487d36360c67048
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Mon Mar 24 14:30:52 2014 +0100

    Don't include voip_bg.xpm, it's not used any more.
    
    Change-Id: I34fb5166afb7b1218cb7e011096c4a3455b364d3
    Reviewed-on: https://code.wireshark.org/review/812
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d35a4e82849354ec61dc0600938bb560fd57bfa3
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Mon Mar 24 13:41:49 2014 +0100

    Get rid of the background pixmap, set the background color directly.
    
    Change-Id: I7b291892b041055fe4165abcbb2962a295aedce4
    Reviewed-on: https://code.wireshark.org/review/811
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 698e8296aacf7499aff8010ecd16fc67979ec689
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Mon Mar 10 15:48:43 2014 +0100

    USB: Fix comments about dissector tables used in "Decode As"
    
    Issue requested by Tomasz Mon, thanks.
    
    Change-Id: I9931f561294ef34573c6426f17a299c8929a2341
    Reviewed-on: https://code.wireshark.org/review/810
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 79ed2164fd5e81f1aba7b2f1369f98830dc7dcb1
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Thu Mar 20 18:31:03 2014 +0100

    Use tabs instead of spaces
    
    Change-Id: I16086216ffcac0a457c8fcdabfc0458d4e701ea0
    Reviewed-on: https://code.wireshark.org/review/809
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e01c07aadb6410e98bcc452b9abd2df815a6c492
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Sun Mar 23 18:27:19 2014 +0100

    Bluetooth: L2CAP: Fix disconnection CIDs
    
    CID has two roles: Source CID and Destination CID. This two roles
    have another two different meanings: one if frame is received, another if frame
    is sent (SCID is "DCID", etc). Then using information that PDU is "request"
    or "response" we can correctly recognize CID.
    
    This should fix unrecognized L2CAP payload while there were no valid
    Disconnection Request.
    
    Change-Id: Ibcbbb9e6966873b6af12c1e3c65c6a3983aa4163
    Reviewed-on: https://code.wireshark.org/review/807
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 992c65cb1aadc90c1ae87e2bcecbdc2d8ef614a0
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Sun Mar 23 16:43:55 2014 +0100

    Bluetooth: L2CAP: A little update to Core 4.1
    
    Add some command codes seen in Core 4.1 specification.
    Also add some missing fields.
    
    Change-Id: If3761744b1ada185027a560bceb66804d7eea8ec
    Reviewed-on: https://code.wireshark.org/review/806
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 01c46852a8703b8e697db50062330e843b5cfb54
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Fri Mar 21 12:36:28 2014 +0100

    Bluetooth: AVDTP: Use full name for MPF field
    
    Change-Id: I25d359926fa5790383624378a6826c8fd5a9bd5c
    Reviewed-on: https://code.wireshark.org/review/805
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 9c370fcb298583b836012fba6984edb4da5d2385
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Sun Mar 16 13:07:36 2014 +0100

    Bluetooth: AVDTP: Improve filtering
    
    A few more filtering name separated by "." for convention.
    
    Change-Id: Ie1ceb0ba807e033085c43826c334933c6b178389
    Reviewed-on: https://code.wireshark.org/review/804
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 8e3e0fdce9b23be2806ed4edad37eecafdd5ae75
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Wed Mar 19 09:58:07 2014 +0100

    Bluetooth: Add Member "Company" UUIDs
    
    Change-Id: I8f455f12eeeaa51a0699e4cc1ee639d7031ce2c6
    Reviewed-on: https://code.wireshark.org/review/803
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 8da90a2c5a7948c401d3b5e951de6c75bfa8f40b
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Mar 23 16:18:48 2014 +0100

    Fix Argument with 'nonnull' attribute passed null found by Clang
    
    Change-Id: I5c84e4813d03b734afaf2a7cb3205773324f049d
    Reviewed-on: https://code.wireshark.org/review/798
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 30a4398318a3facecbaf1b6e8621e880ca5ec028
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Mar 23 16:15:28 2014 +0100

    Fix Argument with 'nonnull' attribute passed null found by Clang
    
    Change-Id: Ie27fb4c5067c35237a5027ce6428b6cfed40b141
    Reviewed-on: https://code.wireshark.org/review/797
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 2d7828794c0c79a3238ce71ec6f7f013245e9a88
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Mar 23 12:17:23 2014 -0700

    Add a dissector table for EAPOL Key Descriptor types.
    
    Instead of having a switch statement in the EAPOL dissector for Key
    Descriptor types, have a dissector table, and:
    
    	have the EAPOL dissector register with a dissector for the RC4
    	type;
    
    	have the 802.11 dissector register with dissectors for WPA and
    	RSN types.
    
    This means that ieee_80211_add_tagged_parameters() no longer needs to be
    public; make it static.
    
    Change-Id: I68e0592c3ea055c693d6d5d5a9eb88634ea37a95
    Reviewed-on: https://code.wireshark.org/review/800
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 2a6e50ca7df17874c940db4ae6fd93abafbc5818
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Mar 23 11:44:12 2014 -0700

    Clean up white space.
    
    This makes the code's if/then/else bracketing clearer.
    
    Make the if/then/else style more consistent in one case, which also helps.
    
    Change-Id: I7c765b761d92c6710461181b3e3ccd77d2a40f83
    Reviewed-on: https://code.wireshark.org/review/799
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 04c96553d630ceab8d27fa8c258e81fad0b8db12
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Feb 18 15:45:24 2014 +0100

    DHCP/bootp: Always display by default value of Option 43 (Vendor-Specfic)
    
    Change-Id: I91b711a11865ce8d31d3585b93b11923e25a12d3
    Reviewed-on: https://code.wireshark.org/review/774
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit e0378dbf39d5b053ace27e161a5cba6a9c06cd95
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Mar 23 08:06:28 2014 -0700

    [Automatic manuf, services and enterprise-numbers update for 2014-03-23]
    
    Change-Id: I33cecc1f3c4e66f5758eeb8cbba77cde97a06ae5
    Reviewed-on: https://code.wireshark.org/review/793
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 045a6624126c6f32a3367b9f4290ec41ff91037e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Mar 23 00:52:27 2014 -0700

    Note that the EAPOL-Key Key Data this dissects is for 802.11.
    
    Change-Id: Id012c468da8619108ec41ad3ae43564f4fa636aa
    Reviewed-on: https://code.wireshark.org/review/791
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 864304c8700dcbd6bb81db56925ba112ab88a5e5
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Mar 22 15:31:20 2014 +0100

    Update to QCustomPlot 1.2.0
    
    Reapply remove trailing whitespace and some spelling fixes
    MSCV warning are already fixed
    Fix also a not ASCII caracter in qcustomplot.h
    
    Change-Id: Ied6b0a4ad7397caea6b75fa56f4f2d6ea91d0472
    Reviewed-on: https://code.wireshark.org/review/787
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 21a61a8cb1bad305a2653aa14d2cdb53472f9f20
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Sun Mar 23 00:30:21 2014 -0400

    Add Lua Struct.values() function, and prevent coercion in all Struct functions
    
    This adds a Struct.values() function to get the number of values
    needed/returned with Struct.pack/unpack. It also changes the existing
    Struct functions such that they don't coerce a non-string argument
    into a string. (not preventing it confused a user on ask.wireshark.org)
    
    Change-Id: I93d5846105e55b67680e1c276a7286535c77b039
    Reviewed-on: https://code.wireshark.org/review/790
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 99505109bbfb19cd6f7ca5f7ab0edc8e093376f2
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Mar 22 14:56:36 2014 +0100

    Add missing modelines info
    
    Change-Id: Ic0f83eb469442b386d6389c08860b0faaae2e324
    Reviewed-on: https://code.wireshark.org/review/785
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 69af33f0f3b35821574762867805a3b5e09bd62d
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Sat Mar 22 12:58:12 2014 -0400

    Fix spelling mistakes in Lua test scripts
    
    Change-Id: I8671eb3d3b46ec5c723a6545451ecbb33a10c807
    Reviewed-on: https://code.wireshark.org/review/788
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 1f28f472c85f51cc7925f18bca285ccfe0d4e5f6
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Sat Mar 22 10:27:33 2014 -0400

    Fix Bug 9915 'GIOP dissector prints non-UTF-8 to Info column'
    
    When the capture file in Bug 9915 is opened in wireshark with GTK2,
    the console prints out 'Pango-WARNING **: Invalid UTF-8' warnings.
    This capture file was a subset of the one in fuzzbot crash bug 9883.
    I believe it is what's causing the crash in 9883, because GTK is
    finicky about such things. But my system doesn't crash for bug 9883,
    so perhaps it's not the same root cause.
    
    Change-Id: Ifaaed9157f9abd34014001c954647f7db51d650b
    Reviewed-on: https://code.wireshark.org/review/786
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 4acdfe3e63ee9af54cc766a6698c81283f46685c
Author: AndersBroman <a.broman@bredband.net>
Date:   Sat Mar 22 11:32:25 2014 +0100

    Fix request for implicit conversion from 'gpointer' to 'struct file_priv_t *' not permitted in C++
    
    Change-Id: If88c65fa70d38d6b447a060a19d2681aa7166217
    Reviewed-on: https://code.wireshark.org/review/783
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 66719c9b6a17f15848f4e7151b0f6cbf9d37f9ed
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Thu Mar 20 17:56:21 2014 -0400

    Add way for Lua file reader to save state per file read/write ops
    
    Lua can create a file reader/writer, to open new capture file
    formats or write to new ones. To save local state, it can save
    things in Lua itself; but since there can be multiple open files
    at the same time (for example during a reload), the Lua script
    won't know for which file and state its read/write functions are
    being invoked for. To remedy this, and also provide a convenient
    way to store such state, this commit adds the ability for a Lua
    script to store a Lua table in the wtap/wtap_dumper's priv
    data member, just like C-code-based reader/writers do.
    
    Change-Id: Ifc9e0d5f0379accee56f2a04b6080238670fec52
    Reviewed-on: https://code.wireshark.org/review/766
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 296bc0b2a9374bb4102fcec4fd0106421aa5e34a
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Fri Mar 21 22:47:20 2014 -0400

    Fix Bug 9909 Buildbot crash correctly
    
    Fixed a null de-reference in packet-ieee80211.c caused by change-id
    I742726027bcab7d25ca4a9ce3a406518db6d272f, commit g4b8b83407ac744d114462235a8bcca0d480954c7.
    
    See Bug 9909 for details.
    
    Change-Id: I7189476faee3ae6ab34fb52c1564ac668496679a
    Reviewed-on: https://code.wireshark.org/review/780
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit da83eadf5ee49d43534c970ae8d6fe3080ea070d
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Mar 19 11:26:03 2014 +0100

    Enhance Neighbor report
    
    Closed-bug: 9724
    
    Change-Id: Id6aefcddf5bd8bd490296e84351152808c03004a
    Reviewed-on: https://code.wireshark.org/review/731
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 82f11d420419b74e3a666416993cb776d00ed279
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Mar 21 22:53:58 2014 +0100

    Fix indexcap tools
    
    Change-Id: Ib77af11975873106b7db7ac1bcd12f4a0800b59e
    TypeError: extract_protos_from_file() takes exactly 6 arguments (7 given)
    Reviewed-on: https://code.wireshark.org/review/779
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 97ba9406e73646c1653189a5980559abc8b207fa
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Fri Mar 21 10:35:20 2014 +0100

    fix a crash in the GTK "Interface Management" dialogue
    for Pipes and Local Interfaces
    (Capture / Options / Manage Interfaces)
    
    if you start with an empty dialogue, select a pipe using Browse and
    press Save, wireshark crashes because of a strcmp() against the
    uninitialized pipe_name
    
    initialize pipe_name to NULL and make sure its value is reset when the
    dialogue is closed
    
    don't add a pipe unless there's an active selection in the pipe list
    (which may be "New Pipe")
    
    Change-Id: Id460c8d0d43cd7fc4cb8f4e9b4357898bbef20f7
    Reviewed-on: https://code.wireshark.org/review/776
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 752e545fbf098985512f3188ba73b31b1052ac41
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Fri Mar 21 15:12:55 2014 -0400

    Fix API comments and don't use sprintf in wslua_int64.c
    
    Change-Id: I4997317e010f685d47e1e2ab512b086e54b286a7
    Reviewed-on: https://code.wireshark.org/review/777
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 51597c17a6a721dbc3d807f0571affd741f59f61
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Mar 21 19:29:45 2014 +0100

    Add a missing word to translation
    
    Change-Id: I7ec79840331a5072f12236c27f8dc842c703b23f
    Reviewed-on: https://code.wireshark.org/review/773
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit aa082ce7863965c6c87301088d5eb0684d21f567
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Feb 25 23:26:23 2014 +0100

    Enhance translation (rename toolTip to avoid similar string...)
    
    Change-Id: I23e30b445ac587e2702477afcf6b155ff21f23d4
    Reviewed-on: https://code.wireshark.org/review/772
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 57d68fe53442a749a82d0a71bada84e4f4da104f
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Feb 16 16:14:49 2014 +0100

    Add dot to string
    
    And avoid different string for translation...
    
    Change-Id: I36ae0fd3366cb9b42f146163f4355778f0b9b40c
    Reviewed-on: https://code.wireshark.org/review/771
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit ad39bb3deaadad2c8bf85b6c4124ed192c641e73
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Fri Mar 21 17:28:58 2014 +0100

    test for >0
    
    Change-Id: I7114028ce296ffa875ddfbb24b935dc2573f964c
    Reviewed-on: https://code.wireshark.org/review/770
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit 95f5938e95387d637eb8e8c917a6b7e4bc8e7c8f
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Fri Mar 21 15:25:34 2014 +0100

    fix clear/scrambled detection
    
    Change-Id: Id82763dd17e8c4e0902ae8e31ec6554e8f174b59
    Reviewed-on: https://code.wireshark.org/review/769
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit d1873dbcc89eb3138027d8e5c5e4c5b12420e797
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Thu Mar 20 12:57:29 2014 -0400

    Fix Bug 9903: 'Clicking reload-file ignores selected file format reader'
    
    There's a relatively new feature in 1.11.3 to select a specific file format
    reader, instead of relying on magics or heuristics. If you select a file
    reader and open a file, open it, and then click the reload-file button or go
    to View->Reload or press the ctrl-R keymap, the file is reloaded but using the
    magic/heuristics again instead of the file format reader you previously chose.
    Likewise, the Lua relaod() function has the same issue (which is how I found
    this problem).
    
    I have tested this change by hand, using a Lua script, but I didn't add it
    to the testsuite because I need another change for my test script to work
    correctly. (an enhancement rather than a bug fix, which I'll submit separately)
    
    Change-Id: I48c2d9ea443e37fd9d41be43d6b6cd5a866d5b01
    Reviewed-on: https://code.wireshark.org/review/764
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 49be990fd3ec0faac89b0a0bcda9a3e4562820ab
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Mar 15 18:55:46 2014 +0100

    Make Mac OS X buildbot happy (fix index shadow variable)
    
    packet-epl.c:2248: warning: declaration of 'index' shadows a global declaration
    packet-epl.c: In function 'dissect_epl_sdo_command_write_multiple_by_index':
    packet-epl.c:2380: warning: declaration of 'index' shadows a global declaration
    packet-epl.c: In function 'dissect_epl_sdo_command_read_by_index':
    packet-epl.c:2489: warning: declaration of 'index' shadows a global declaration
    
    Change-Id: Ib1a1d1d2aa596df558162839e7594b7fd12559a3
    Reviewed-on: https://code.wireshark.org/review/765
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit f5cfcf6e427c491b66077714e79433f59fed80ee
Author: Andreas Leibold <andreas.leibold@harman.com>
Date:   Fri Feb 28 15:47:29 2014 +0100

    ieee1722a dissector added
    
    Change-Id: I4361e282146d86057d6797bc001f6605d5d06486
    
    Whitespaces removed, Code clean up, usage of expert information API
    
    Change-Id: I4361e282146d86057d6797bc001f6605d5d06486
    
    code beautyfying, modeline added
    
    Change-Id: I4361e282146d86057d6797bc001f6605d5d06486
    
    code beautyfying
    
    Change-Id: I4361e282146d86057d6797bc001f6605d5d06486
    Reviewed-on: https://code.wireshark.org/review/430
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit e0556fa47ffbd8e866e04462393b1876259faf61
Author: Lukas Emersberger <lukas.emersberger@br-automation.co.at>
Date:   Thu Mar 13 14:39:39 2014 +0100

    EPL: Enable PLK to display OD entries
    
      Each package is dissected using a reference to object indeces, so
      that in the view of the dissector output, a clear indication
      to what the index means and what the subindices mean is given.
      Additional special entries (mappings, timestamps) have their own hf
      fields, and can be searched for via display filter.
    
    Signed-off-by: Lukas Emersberger <lukas.emersberger@gmail.com>
    Change-Id: I928c11a9f4a5b762c8947713a0f70e03bd711158
    Reviewed-on: https://code.wireshark.org/review/730
    Reviewed-by: Roland Knall <rknall@gmail.com>
    Reviewed-by: Lukas Emersberger <lukas.emersberger@br-automation.co.at>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 25826ad43355a7545bf0eac75c6cf098f7eb6325
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Fri Mar 21 09:54:44 2014 -0400

    Fix using '%hh' for printf format because MS Visual C++ is lame
    
    Change-Id: I1d80b82d7c6a5aa85bf59b449326874c0f851737
    Reviewed-on: https://code.wireshark.org/review/763
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit dc758679d2872928a4db3bb329c5a47a470967f1
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Fri Mar 21 09:28:01 2014 -0400

    Fix missing license in conversation_debug.h
    
    Change-Id: I5922a36ee84d45653e52e6fe847c6a9085ee5e21
    Reviewed-on: https://code.wireshark.org/review/762
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 0940595a980b80723fb4eb980af4832124145b3d
Author: Roland Knall <roland.knall@br-automation.com>
Date:   Thu Mar 20 15:23:55 2014 +0100

    openSAFETY, EPL: Fix heuristic for false-positives
    
     - Adding a typedefinition which can be deactivated, so
       that certain types of frames are only detected in their
       respective transport protocols
     - Rename bytes array as it is a key-word for some IDEs and
       hinders syntax checking
     - Add node info to the time request from/by fields
     - EPL: add message type to heuristic dissection call
    
    Change-Id: Ia572bb68fc1d24d70e72b77867f0dad323b055b9
    Reviewed-on: https://code.wireshark.org/review/750
    Reviewed-by: Roland Knall <rknall@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a04f610989400f76beaa7709b0e7fa1bce2109a7
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Wed Mar 5 10:56:33 2014 -0500

    Add debug printing functions for conversations, sip, sdp, rtp
    
    There have been enough gnarly bus in sip/sdp/rtp that it needs
    to have good debug printing. Using a debugger isn't good enough
    because there's interaction across multiple frames and it's too
    hard to follow what's going on without real printed data history.
    
    Change-Id: Ifb5bb1fb580be81f988569ece79d238a9c030c34
    Reviewed-on: https://code.wireshark.org/review/688
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 9c5f1990504ba804df76157595248b7e90edf109
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Thu Mar 20 17:59:50 2014 -0400

    Fix bug 9909 Buildbot crash - but only to stop the crashing
    
    This fixes the crashing on buildbot, but only in the sense that
    it now calls DESSECTOR_ASSERT_NOT_REACHED() for the case that's
    causing the crash - which is a null dereference, due to something
    going wrong in add_tagged_field() of packet-ieee80211.c.
    
    I don't know what the right thing to do is, but at least this
    gets buildbot going again. (that file is over 25k lines!)
    
    Change-Id: I1658944f9704a071dffc7f4834b9294fffc0e7ba
    Reviewed-on: https://code.wireshark.org/review/757
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 7b6f0475f0e7b051c9811bf0c3c2859a57df4ab9
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Mar 20 18:45:42 2014 -0700

    Handle big-endian Prism headers.
    
    Apparently, some systems write out big-endian Prism headers (probably
    big-endian-MIPS-based Wi-Fi APs running $LINUX_DISTRIBUTION and the
    like), so check for both big-endian and little-endian message codes,
    and, for the fields in the header, use the byte order that matched.
    
    Change-Id: Ia13df606676bb7dbc5d12fe4e297681bebb6f478
    Reviewed-on: https://code.wireshark.org/review/759
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0ec20c3019891672b28ad0fb56a53ac405b2345e
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Fri Mar 14 09:55:39 2014 +0100

    brackets around MAKE_TYPE_VAL's definition
    
    Change-Id: I8e080b250b81976898d2950da9e91fb32b719590
    Reviewed-on: https://code.wireshark.org/review/756
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 48f6b800ae62bde10fad8aa0ddc98e5a694a3092
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu Mar 13 18:52:43 2014 +0100

    (nearly empty) function to dissect the body of a track header box
    
    Change-Id: I17e4bb3968e503b250b9c8d6a7a9bb2abf0f6868
    Reviewed-on: https://code.wireshark.org/review/755
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit c9440cb8dfb33919026e73f4cc52f6235e539b69
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu Mar 20 20:30:31 2014 +0100

    use the WTAP_TYPE_AUTO define to make things clearer
    
    Change-Id: I1dd51d1452333826c153b6bb861262a6166af3c5
    Reviewed-on: https://code.wireshark.org/review/754
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 6553435985ab851149e450d524a87d194e7adb5b
Author: Bill Meier <wmeier@newsguy.com>
Date:   Thu Mar 20 13:38:08 2014 -0400

    col_...() should not be under 'if (tree)'; add editor modelines.
    
    Change-Id: I4c2464c6faa79bdc1edb205f3f842864963d1cb9
    Reviewed-on: https://code.wireshark.org/review/753
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Tested-by: Bill Meier <wmeier@newsguy.com>

commit 3626f860a62c38bc8c31dbbd7f9dc181918d829c
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Mar 20 16:32:53 2014 +0100

    Upgrade LTE RRC dissector to v11.7.0
    
    Change-Id: If1f64241846cc18463c8c5e9da7dd2a5eaba6733
    Reviewed-on: https://code.wireshark.org/review/752
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit ffe7134b18347ecd790930b52f5837e45b2892ca
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Thu Mar 20 15:40:59 2014 +0100

    Get the NEXT protocol not the previous top one.
    
    Change-Id: I261a740cbc369d905c89236b5173944e2780af59
    Reviewed-on: https://code.wireshark.org/review/751
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 0513b29b8b61dba15b7f8c23d9304938206e71fb
Author: Anders Broman <a.broman58@gmail.com>
Date:   Thu Mar 20 12:22:39 2014 +0000

    Revert "Allow pcapng interface options to be available to dissectors."
    This patch causes Wireshark/tshark to segfault if the file is reread(open a file and press reload).
    The test suite also fails on
    2.1.1 Step: Exit status for existing file: "/home/wireshark/builders/trunk/sol10sparc/build/test/captures/dhcp.pcap" must be 0/home/wireshark/builders/trunk/sol10sparc/build/test/suite-clopts.sh: line 149:  6646 Segmentation Fault      (core dumped) $TSHARK -r "${CAPTURE_DIR}dhcp.pcap" > ./testout.txt 2>&1
    
    OSX build bot chokes on
    pcapng.c: In function 'pcapng_destroy_option_value':
    pcapng.c:377: warning: implicit declaration of function 'g_byte_array_unref'
    pcapng.c:379: warning: implicit declaration of function 'g_array_unref'
    pcapng.c: In function 'pcapng_collect_block_option':
    pcapng.c:419: warning: implicit declaration of function 'g_byte_array_new_take'
    pcapng.c:419: warning: initialization makes pointer from integer without a cast
    
    these functions are glib 2.22
    This reverts commit 7b13a3b0f6a5617e0e352f87cc5a20afea226aa8.
    
    Change-Id: Ia82fdb2d08287bc2cd2841e1e941ae68cbc2e009
    Reviewed-on: https://code.wireshark.org/review/749
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 7b13a3b0f6a5617e0e352f87cc5a20afea226aa8
Author: Christopher Kilgour <techie@whiterocker.com>
Date:   Sun Feb 23 17:30:57 2014 -0800

    Allow pcapng interface options to be available to dissectors.
    
    Interface options[1], and more generally pcapng options[2], are useful
    information that can provide improved dissector output.
    
    Prior to this change, only certain pcapng interface options were interpreted
    and made available to dissectors, e.g. the interface name or description.
    This change augments the situation by providing epan_get_interface_option( ),
    which returns an array of byte arrays if the option code exists
    (otherwise NULL).  Each element of the array is a byte buffer containing
    the raw data of the option.  An array-of-buffers is used because pcapng
    allows for multiple instances of the same option to be present in the file.
    All interface options found in a pcapng file are thus made available to the
    dissector.
    
    The implementation also provides infrastructure to collect options from
    other pcapng blocks such as the section header.  Currently these options
    are discarded, but could be retained in the future to support more features.
    
    [1] http://www.winpcap.org/ntar/draft/PCAP-DumpFileFormat.html#sectionidb
    [2] http://www.winpcap.org/ntar/draft/PCAP-DumpFileFormat.html#sectionopt
    
    Change-Id: I944b6f0f03dde9b8e7d1348b76acde6f9d312f37
    Reviewed-on: https://code.wireshark.org/review/331
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f65513291333b5912a16b45bfa09eed05eee3a6d
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Wed Mar 19 22:51:39 2014 +0100

    the entries for file types with magic numbers are
    0...heuristic_open_routine_idx-1
    
    at the moment, we loop over all entries of the open_info_arr
    
    Change-Id: Iabca32521a066d994b1c840b7514faa983375f0c
    Reviewed-on: https://code.wireshark.org/review/748
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 4a51f624bf1028ddc7c73fd665ad292ff344060d
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Wed Mar 19 22:38:31 2014 +0100

    use the correct end index when we loop over the open_info_arr
    
    until recently, we always had a 0,0,0,... entry at the end of the array
    that's gone now - which makes sense for people who register wiretap
    plugins...
    
    Change-Id: Id47dc4917481ffa8560e17b8740c2f9716bb8df1
    Reviewed-on: https://code.wireshark.org/review/747
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit c14cc2f4edf8f88ce4bd64f8e6dff1dcccb07a14
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Mar 19 20:53:04 2014 +0100

    Make checkAPIs happy
    strncpy -> g_strlcpy
    
    Change-Id: Ib17b6799a762e2e2e65bf7c6dd5a894bfb127c86
    Reviewed-on: https://code.wireshark.org/review/746
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 0f51f78608c90d00a6f4cda599b1df26bad4b8d5
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Mar 19 19:40:53 2014 +0100

    The 1.11.x installer puts the global plugins in the wrong place [Mac OS X]
    
    Issue found by rols
    
    Fix comment and use the correct plugin_dir path (missing wireshark folder)
    
    Change-Id: I298bc5e9872d8c20c5baeaaf056262b9668f15bf
    Closed-bug: 9854
    Reviewed-on: https://code.wireshark.org/review/745
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 5b7ad8278ac70ffb26ca12960dfe45ba4cab8368
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Mar 19 19:32:28 2014 +0100

    Try to fix Buildbot (Mac OS X and Windows) about conversion
    
    logcat.c: In function 'detect_version':
    logcat.c:142: warning: implicit conversion shortens 64-bit value into a 32-bit value
    logcat.c:143: warning: implicit conversion shortens 64-bit value into a 32-bit value
    logcat.c:150: warning: implicit conversion shortens 64-bit value into a 32-bit value
    logcat.c:151: warning: implicit conversion shortens 64-bit value into a 32-bit value
    logcat.c: In function 'logcat_dump_text':
    logcat.c:427: warning: implicit conversion shortens 64-bit value into a 32-bit value
    logcat.c:451: warning: implicit conversion shortens 64-bit value into a 32-bit value
    
    Change-Id: I4361567e599b7d04f422fccd7f8b1bccc897f114
    Reviewed-on: https://code.wireshark.org/review/744
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 16e7096df33a6aca7e2417f8c44ff0477421b521
Author: Evan Huus <eapache@gmail.com>
Date:   Wed Mar 19 13:04:37 2014 -0400

    Remove duplicate call to fix-encoding-args
    
    Change-Id: I7067a8856ff1c431d5e5ec7ec2a51228a8613631
    Reviewed-on: https://code.wireshark.org/review/743
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 2aebb94aa6dcd741ebd0ad3d5a48091424dd87db
Author: Jan Kaisrlik <j.kaisrlik@seznam.cz>
Date:   Sat Mar 15 19:58:40 2014 +0000

    fix of bug 9836. Avg. packet size in Statistics -> Summary is rounded to nearest. GTK QT
    
    Change-Id: I34e84e6cf4587fee999764435fa1a407c8aa04bb
    Reviewed-on: https://code.wireshark.org/review/687
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 7e423a3a1f136ede404b7af40c96279e5a7c7940
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Wed Mar 19 12:57:13 2014 -0400

    Add read_format extension to manual pages
    
    The -X read_format extension was added in code but in the manuals.
    
    Change-Id: I21692120229ef531671fc3db247809ace69d23b3
    Reviewed-on: https://code.wireshark.org/review/742
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit c8a98f37ec300b522a732c349a7d3f0c17b7168d
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Wed Mar 19 12:14:09 2014 -0400

    Fix lua file testsuite not working and weak heuristic readers not being registered
    
    The testsuite for Lua file reader/writer uses the acme_file.lua script to
    generate a pcapng file from an Acme sipmsg.log file. It then compares the
    tshark verbose output of this new pcapng file to a sip.pcapng file in
    the test/captures directory that was previously made. Unfortunately, the
    acme_file.lua script generates a timestamp based on local system timezone,
    rather than UTC, so the testsuite fails if not run in the EST timezone where
    the sip.pcapng file was originally made. This has now been fixed.
    
    Also, trying to register new weak heuristic readers fails because the GArray
    is terminated with a NULL-based row without Glib knowing about that. So this
    commit changes it to let Glib handle the NULL-terminated row, so that appending
    takes it into account automatically.
    
    Change-Id: I037ce1cfbda03585b3a1e159df78ff8ebb41fc32
    Reviewed-on: https://code.wireshark.org/review/741
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit a68e3a410c210e798aa9c96c03ef5cc075f19ca9
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Sun Feb 9 18:37:44 2014 +0100

    Wiretap: Add support for Android Logcat
    
    Now Androit Logcat (Logger) binary logs are supported.
    Try "adb logcat -Bf /sdcard/log.logcat; adb pull /sdcard/log.logcat".
    Also there is possibility to save logs to text format like by "adb".
    
    Change-Id: If7bfc53d3fbd549a0978d1dbf96f3fff671fd601
    Reviewed-on: https://code.wireshark.org/review/235
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 27ad4c033151ed4482e553370bc134337dd47db3
Author: ruengeler <ruengeler@wireshark.org>
Date:   Wed Mar 19 17:06:40 2014 +0100

    Add a new case to find existing assocs when only the information of an INIT chunk is provided.
    
    Change-Id: I88c5367652fb59a3da2cfd8895a1c0cc5176b859
    Reviewed-on: https://code.wireshark.org/review/740
    Reviewed-by: Michael Tüxen <tuexen@wireshark.org>
    Tested-by: Michael Tüxen <tuexen@wireshark.org>

commit 9f01daa2dc229b0357f69e45e4961b4f3d534565
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Mar 19 14:00:46 2014 +0100

    Add check of whitespace error after Wireshark check (checkhf, checAPIs...)
    
    (Because check whitespace quit after check... and no longer launch other check...)
    
    Change-Id: I97ee0191c3d985934e74d23576f88984ec0e9b46
    Reviewed-on: https://code.wireshark.org/review/739
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 830ad37ed6139c689468d36d03aa3a3de3f01299
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Mar 19 13:59:56 2014 +0100

    Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: I303184523c22d17c3f642852bcd97a9533bf5521
    Reviewed-on: https://code.wireshark.org/review/738
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit d35ccc5cdf83f7d77e767fec1f0484880f3af22f
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Mar 19 13:49:42 2014 +0100

    Try to fix Mac OS X Buildbot
    
    packet-ieee80211.c:8583: warning: integer constant is too large for 'long' type
    packet-ieee80211.c:8584: warning: integer constant is too large for 'long' type
    packet-ieee80211.c:8585: warning: integer constant is too large for 'long' type
    
    Change-Id: I5badc6e0d2595d4353e33cd273d55f28737b34a8
    Reviewed-on: https://code.wireshark.org/review/737
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 8c3dee9bc9379846ea99b4fbc1b4d16114ea2cf9
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Mar 19 13:44:50 2014 +0100

    Fix warning/error found by CheckAPI
    
    (and fix also fix-encodings-args)
    
    Change-Id: Ic2e99ca02398b7525b1cf68ab0d8279a2909940e
    Reviewed-on: https://code.wireshark.org/review/736
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit f7461a80feb1af02e24ffa3b64feb02676250d48
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Wed Mar 19 12:33:54 2014 +0100

    USB: decode HID desc for unknown iface class
    
    If the interface class is not yet known (for example, in the enumeration
    phase; or if the interface descriptor was missed), then a HID descriptor
    would not get dissected. Instead of printing an unhelpful "unknown
    descriptor" message, always try to find a HID descriptor.
    
    Change-Id: Ic162d6b93b0428a1edd3a925229093dfcc52c42d
    Reviewed-on: https://code.wireshark.org/review/735
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 35c893421d556aa6b7cabd7a2f8a7e7575b7f697
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Wed Mar 19 12:30:45 2014 +0100

    USB: show data fragment for control messages
    
    This makes the usb.data_fragment field more useful in tshark, i.e.,
    showing the bytes for the data stage. Previously, the GUI would just
    show the "Data Fragment" text label which is not really useful on its
    own.
    
    Change-Id: Id0ca39a9a144a37aa6d0b4ae65c1d655deb76748
    Reviewed-on: https://code.wireshark.org/review/734
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 7bbb3ac24ded6ca6d6f6d206caa9cd371f799816
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Mar 19 12:49:27 2014 +0100

    Try to make Mac OS X buildbot Happy
    
    packet-ieee80211.c:8581: warning: implicit conversion shortens 64-bit value into a 32-bit value
    packet-ieee80211.c:8582: warning: integer constant is too large for 'long' type
    packet-ieee80211.c:8583: warning: integer constant is too large for 'long' type
    packet-ieee80211.c:8583: warning: implicit conversion shortens 64-bit value into a 32-bit value
    packet-ieee80211.c:8584: warning: integer constant is too large for 'long' type
    packet-ieee80211.c:8584: warning: implicit conversion shortens 64-bit value into a 32-bit value
    
    Change-Id: I8f8c5518239c7d6e55006abfca8d9452f9a09c6a
    Reviewed-on: https://code.wireshark.org/review/733
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 3d6c13e48b886030792e93cb7baab90e1e4e007a
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Mar 19 12:22:23 2014 +0100

    Fix build
    
    wslua_file.c:92:13: error: request for implicit conversion from 'WFILE_T' to 'FILE_T' not permitted in C++ [-Werror=c++-compat]
    
    Change-Id: Iff9cc716333802a3902429a8c68e5f4cdac2ee9e
    Reviewed-on: https://code.wireshark.org/review/732
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit eb2fb39ff72ccf827ba97fc9dc9bc559bb9d67b4
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Mar 11 08:25:34 2014 +0100

    The 1.11.x installer puts the global plugins in the wrong place [Mac OS X]
    
    Issue found by rols
    
    The installer puts the normal included plugins (e.g. mate, wimax) in
    /Applications/Wireshark.app/Contents/Frameworks/wireshark/plugins,
    however the global plugins directory is set to
    /Applications/Wireshark.app/Contents/Resources/lib/wireshark/plugins
    (as it was in previous versions) so no plugins load at startup.
    In order to make them load you have to create this directory and
    copy the plugins there, or put them in your personal directory.
    
    From remark of Gerald, use recommandation of Bundle Programming Guide (use Contents/PlugIns for plugin)
    
    https://developer.apple.com/library/mac/documentation/corefoundation/conceptual/cfbundles/BundleTypes/BundleTypes.html#//apple_ref/doc/uid/10000123i-CH101-SW19
    
    Change-Id: Ib1ae7da48a8fa94f7037912cd44c05532a238b71
    Closed-bug: 9854
    Reviewed-on: https://code.wireshark.org/review/602
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 4b8b83407ac744d114462235a8bcca0d480954c7
Author: Moraney Jalil <moraney.jalil@outlook.com>
Date:   Thu Mar 13 13:54:27 2014 +0200

    Support for IEEE 802.11ad
    
    (according to the 9th draft of the standard)
    
    Closed-bug: 8594
    
    Change-Id: I742726027bcab7d25ca4a9ce3a406518db6d272f
    Reviewed-on: https://code.wireshark.org/review/632
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit bbd18804efb4427b63bad27729eec252ddd2b66f
Author: AndersBroman <a.broman@bredband.net>
Date:   Wed Mar 19 07:23:29 2014 +0100

    Fix Error: the name for hf_lg8979_start_ptnum8 ("lg8979.start_ptnum8") has
    trailing space in packet-lg8979.c
    
    Change-Id: I80e5c93846c66aad1d1bc6f91b20501e0f384a6c
    Reviewed-on: https://code.wireshark.org/review/729
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 488f2a097402b1bfb941547939d13fbcbb90c6c9
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Mar 18 23:01:22 2014 +0100

    Exported PDU: add support for data length on the wire
    
    Change-Id: Iff14ec4d0297ec85f3597b33871fb0ab5256a597
    Reviewed-on: https://code.wireshark.org/review/728
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 30ba425e7e95f7b61b3a3e5ff0c46e4be9d3d8d7
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Sun Mar 16 17:20:07 2014 -0400

    Fix Bug 9885: 'Buildbot crash output: fuzz-2014-03-14-15333.pcap'
    
    The Buildbot found a crash which is cause by a bug that has
    been there all along, but a recent change exposed. This bug is
    likely in 1.10.6 as well, so I'll backport this if I can
    reproduce it in 1.10.6.
    
    Change-Id: I505bc73cbe6281e6d64f00de441c8e6231b55000
    Reviewed-on: https://code.wireshark.org/review/702
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit fff998d6c1c7d38f3929eaa6e5101683c071744a
Author: cbontje <cbontje@gmail.com>
Date:   Tue Mar 11 15:46:27 2014 -0600

    New Dissector for Landis & Gyr (Telegyr) 8979
    
    Commit includes dissector code for lg8979 as well as additions to RTAC Serial code to call dissector when required.
    
    See bug report 9874 for further details and sample pcap files
    
    UPDATE1: L&G 8979 commit for addressing comments from Anders and Alexis and added Cmakelists.txt
    UPDATE2: address further comments from Alexis re. proto_item_set_text / proto_item_add_text entries.  Also add modelines
    UPDATE3: fix compilation error noted by Alexis
    UPDATE4: address proto_tree_add_* comments from Michael
    
    Change-Id: I6e69d2b7b7e91e6efa12e4a5fb7dbd140c0540ed
    Reviewed-on: https://code.wireshark.org/review/610
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 04d950130624c14ac8af39c621f69851d8088ed6
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue Mar 18 13:21:51 2014 -0400

    Add capture file reader/writer support for Lua so scripts can implement new capture file formats.
    
    This enables a Lua script to implement a brand new capture file format reader/writer, so that for example one could write a script to read from vendor-specific "logs" of packets, and show them as normal packets in wireshark.
    
    Change-Id: Id394edfffa94529f39789844c382b7ab6cc2d814
    Reviewed-on: https://code.wireshark.org/review/431
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d832cb18db4e152177cf13673385288987ba9448
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Mar 18 18:24:56 2014 +0100

    Fix OS-X compilation broken by gc354675
    
    Change-Id: Ie32a2c256055059d1eade29af69eaad9011ca78b
    Reviewed-on: https://code.wireshark.org/review/727
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit c354675c41d8fb1acce48560038ca48a59784a11
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue Mar 18 13:59:14 2014 +0100

    Dechunk/export sctp payloads trough export PDU.
    
    Change-Id: I86d21cadcbd3e85b7a91d509ffd3c317d76a2ce2
    Reviewed-on: https://code.wireshark.org/review/726
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d416783bc647fc3fb4bdc8515e53e7faf144f19a
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Mar 17 17:14:39 2014 +0100

    ULP: upgrade dissector to approved version 2.0.1
    
    Change-Id: I9d7b16c450cb99aa1d66b0a180241c36f8869637
    Reviewed-on: https://code.wireshark.org/review/716
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 1db0fc5c982e7d4c2fc4ff2397744bbc7a06778e
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Mar 17 18:04:47 2014 +0100

    Enhance pre-commit tools to avoid false positive
    
    Limit check to file with extension *.c or *.h
    
    Patch revert by mistake in 49394d3101ec286b335213a9845b6d4202955021
    
    Change-Id: Ifed4c833c740218e5e24b3176dc20802fa5849bb
    Reviewed-on: https://code.wireshark.org/review/719
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit b7492919abd59b5e3350de73d47cbdeb2ed2064a
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Mar 17 12:55:30 2014 -0400

    Revert "Try to make the heuristic a bit more efficient."
    (based upon an OK from Anders).
    
    (The commit caused 'reload_framing_info' to be referenced before being set).
    
    This reverts commit b3ce4ecc1460fc0171d65e69549e155b447d851a.
        svn path=/trunk/; revision=52004
    
    Change-Id: If715e1cad041fd832f460411cc652d9b5764d069
    Reviewed-on: https://code.wireshark.org/review/718
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Tested-by: Bill Meier <wmeier@newsguy.com>

commit 386ebf50fef43a75d70d4c0085948c13cdd4e930
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Mar 17 11:58:22 2014 -0400

    Heuristics length check must use captured_length; Do other misc changes:
    
    - Use tvb_reported_length() iso tvb_length() in various places;
    - Add some 'if(tree) {...}';
    - Remove an unneeded length-check;
    - Use a consistent formatting style for hf[]array entries;
    - Do some minor whitespace changes;
    - Add editor modelines.
    
    Change-Id: Iac0a74142c5a5944e69fc911e54b0fbdfd1f5bab
    Reviewed-on: https://code.wireshark.org/review/717
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Tested-by: Bill Meier <wmeier@newsguy.com>

commit d426802162a3b77898a75802167c0b6e898cf087
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Mon Mar 17 17:07:02 2014 +0100

    Try to fix warning: cast discards__attribute__((const)) qualifier
    from pointer target type [-Wcast-qual]
    
    Change-Id: Idb1d8c9ac6fee135d3c3c7438d46ad6fb396954f
    Reviewed-on: https://code.wireshark.org/review/715
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit ce527ba58d6b2b0d760fc996c895b2415d61ceea
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Mon Mar 17 16:54:08 2014 +0100

    Try to fix trivial varnings
    
    Change-Id: I7b09999fe34ffded73f0b26c3e561b39d2120643
    Reviewed-on: https://code.wireshark.org/review/714
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit aea1edfe0d2dc52c341ca4e638f759be8e3ca8ec
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Mon Mar 17 16:24:59 2014 +0100

    Mark tree as unused.
    
    Change-Id: I57c201c0077144aace68bb51a6b0c7350dd8d5a8
    Reviewed-on: https://code.wireshark.org/review/713
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e839a4abb9bf7da3aa3ce6c19f0258ae20cc8e8d
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Mon Mar 17 13:52:41 2014 +0100

    Inhance summary output for some 3GPP AVPs
    
    Change-Id: I3657cef87070b91ae17a438140f1fb77edae8622
    Reviewed-on: https://code.wireshark.org/review/709
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d43f7d134b11cc937fa47110e0512e13f770f777
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Mar 15 11:35:21 2014 +0100

    Remove -Wunreachable-code it is removed from GCC
    
    http://gcc.gnu.org/ml/gcc-help/2011-05/msg00360.html
    
    Change-Id: I3f016611d0dc5e7cc6d53965f9b5d2b1ee88fe1c
    Reviewed-on: https://code.wireshark.org/review/677
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 66d0b1893a8b0786abef967b7f743cedb7143d87
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Mar 17 12:02:29 2014 +0100

    Fix some typo on 802.11 dissector
    (Found by Jalil Moraney in change to add 802.11ad support review 632)
    
    Change-Id: I547bf647ae7400633ad27c7849088fd088928075
    Reviewed-on: https://code.wireshark.org/review/708
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 3b69de702e758778d53d64a117a78cec096861b9
Author: Marko Hrastovec <marko.hrastovec@gmail.com>
Date:   Mon Mar 17 10:44:14 2014 +0100

    Asterix CAT062 fix. Units for cartesian velocity of track were displayed with wrong units.
    
    Change-Id: I716dfeb16b049544e691dcdf75c488758d9e1fa0
    Reviewed-on: https://code.wireshark.org/review/707
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 2507ce4cb34fec817526cf74adba551027991f40
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Mar 17 10:39:42 2014 +0100

    Revert de6bfa12b0c002e1930cfb9946078097d294acf8 (break Linux and Mac OS X buildbot...)
    
    Change-Id: If5a6a77909b2d178052605cf2fc6fc0ef758553c
    Reviewed-on: https://code.wireshark.org/review/706
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit de6bfa12b0c002e1930cfb9946078097d294acf8
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Mar 15 18:01:20 2014 +0100

    Fix build on my old Windows XP Buildbot (With VS2008EE)
    
    ../../asn1/atn-ulcs/packet-atn-ulcs-template.c(126) : fatal error C1083: Cannot
    open include file: 'stdint.h': No such file or directory
    
    Change-Id: I8825a2f0b6440ec5a4bbfb49ea5c183dd8cbf03f
    Reviewed-on: https://code.wireshark.org/review/705
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 46970c440757ba0f1447a8d4a3da2ddfa4593df8
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Mon Mar 17 00:07:10 2014 +0100

    Print a message in case we don't have an X11 SDK installed about where
    to find xquartz.
    
    Change-Id: I76548fba0b01f8274d12bbb55f4f16622d9a7eff
    Reviewed-on: https://code.wireshark.org/review/704
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 17fc3b48ee95720cf78093a454a443d898e46217
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Mon Mar 17 00:05:43 2014 +0100

    CMake updates:
    - build by default
    - update to 2.8.12.2 which actually builds on Mavericks
    
    Change-Id: I60b539613e13d2cdccbd083b28f641ff1ce363c4
    Reviewed-on: https://code.wireshark.org/review/703
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 072b990f052f4e04334734b5a15e2270c2b1318b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Mar 16 13:39:07 2014 -0700

    Add a #define for the stats block header length, and use it.
    
    And rename to #define for the stats block trailer length to indicate
    that it's the length of the trailer, not the length of the stats block
    in its entirety.
    
    Change-Id: Iec82c971b32f2d3f4a604fe75a91633e1813ebd5
    Reviewed-on: https://code.wireshark.org/review/701
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit fcf1c44b501f1d3fb807d276d8b11f57f2746b7f
Author: AndersBroman <a.broman@bredband.net>
Date:   Sun Mar 16 18:57:18 2014 +0100

    Make the avp_str available to sub dissectors and Let the subdissector have
    precedence filling in the avp_item string. Use that in a couple of places.
    
    Change-Id: I1af7a1ca4c14fb56ddeaab336202e6c2a18e556b
    Reviewed-on: https://code.wireshark.org/review/699
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 5f508e8b29e99a3c2049a2b8912ae07e5cce21c6
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Sun Mar 16 19:59:17 2014 +0100

    Small updates to the setup process documentation
    
    Change-Id: Ie6dc3a8254e30495945155f058f1ef10a75c4745
    Reviewed-on: https://code.wireshark.org/review/700
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit d8265cd8c66297bb7bf8d2e05482dd196a8804e6
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Mar 15 20:32:47 2014 -0400

    Remove Visual Studio solution and project files (and their existence from Makefiles)
    
    There have been discussions on -dev about removing this and I believe I was the last holdout. Finally convinced that I should just have a local copy (ignored by git)
    
    Change-Id: Ic72a22baf58e3412023cf851f0fce16eb07113b0
    Reviewed-on: https://code.wireshark.org/review/681
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 51f26ab49a3fa6b0a238483e08548f21a07e048f
Author: Ronnie Sahlberg <ronniesahlberg@gmail.com>
Date:   Sat Mar 15 08:12:34 2014 -0700

    NFS: We need to pass data through to the dissect_rpc_list() callback
    
    Change-Id: Iace7c6dfb81f0a98bbae304346906a5e82c82812
    Signed-off-by: Ronnie Sahlberg <ronniesahlberg@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/679
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 5569f66084ea06b457db5e6cef9f5bdc226a1fbf
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Mar 16 08:06:26 2014 -0700

    [Automatic manuf, services and enterprise-numbers update for 2014-03-16]
    
    Change-Id: I714e82b9ea319c2937460978f6feb119917f56f9
    Reviewed-on: https://code.wireshark.org/review/696
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit fa7288702abf151c5c03db864d5b0f87e6b69406
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Sun Mar 16 12:39:30 2014 +0100

    Fix GTK3 detection (or more specific: the include paths) on Windows
    
    Change-Id: Ia0aef096849d1935ca4a6d1d31aabd099087cf29
    Reviewed-on: https://code.wireshark.org/review/694
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit b0b6064542515ec79f5f9128d5f9caad98eb5470
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Sun Mar 16 09:39:50 2014 +0100

    Fix
    [  5%] Building C object epan/CMakeFiles/epan.dir/dissectors/packet-umts_fp.c.o
    /home/jmayer/work/wireshark/git/epan/dissectors/packet-umts_fp.c: In function ‘umts_fp_init_protocol’:
    /home/jmayer/work/wireshark/git/epan/dissectors/packet-umts_fp.c:4526:17: error: enum conversion in assignment is invalid in C++ [-Werror=c++-compat]
                     umts_fp_conversation_info->iface_type        = uat_umts_fp_ep_and_ch_records[i].interface_type;
                     ^
    /home/jmayer/work/wireshark/git/epan/dissectors/packet-umts_fp.c:4527:17: error: enum conversion in assignment is invalid in C++ [-Werror=c++-compat]
                     umts_fp_conversation_info->division          = uat_umts_fp_ep_and_ch_records[i].division;
                     ^
    /home/jmayer/work/wireshark/git/epan/dissectors/packet-umts_fp.c:4533:17: error: enum conversion in assignment is invalid in C++ [-Werror=c++-compat]
                     umts_fp_conversation_info->rlc_mode          = uat_umts_fp_ep_and_ch_records[i].rlc_mode;
                     ^
    cc1: all warnings being treated as errors
    
    Change-Id: Ie783a261c40d26ffd105822d5f45bd0513aa1914
    Reviewed-on: https://code.wireshark.org/review/693
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 9d8cfcc1d1ffa3c79cde680f7280f3aa6b0c0d2c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Mar 16 01:16:13 2014 -0700

    And another warning fix.
    
    Change-Id: Ibbf3366d0075f7b367383a2950c9f0bc54ae194c
    Reviewed-on: https://code.wireshark.org/review/692
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f61f79f91984c5ec12f34406b90ffd721928798e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Mar 16 01:02:22 2014 -0700

    Squelch some warnings by narrowing or widening some variables.
    
    Change-Id: If3ad60532e8b7e74272683b254582d86653c777e
    Reviewed-on: https://code.wireshark.org/review/691
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit dc6a973a27870e83b19347212d2f833808be8ccc
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Mar 16 00:31:15 2014 -0700

    Get rid of unused #defines and no-longer-used structures.
    
    The #defines came from Radiotap, but this isn't Radiotap (I see no
    presence bits here), and Radiotap has to handle stuff that this code
    doesn't (such as, for example, Atheros Wi-Fi adapters that, annoyingly,
    pad the space between the 802.11 header and the 802.11 payload when in
    monitor mode, hence the "datapad" flag).
    
    Change-Id: I87ca3539e0f9254ab94cc8897bdf69e4574f0525
    Reviewed-on: https://code.wireshark.org/review/690
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 9f6f6bc14e76b49a73cc2dd7333dfdb76d28616a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Mar 16 00:19:20 2014 -0700

    Reorganize the code.
    
    Pull the packet data copying code into the routines that parse the rest
    of the record data.  Have those routines directly fill in the metadata
    headers in the packet data, without bothering to fill in a structure
    first.
    
    As a result, those routines no longer can set phdr->caplen to a value
    different from phdr->len, so don't set WTAP_HAS_CAP_LEN.
    
    Have the existing sanity checking code cause the read to fail if the
    checks fail, and add some additional sanity checking.
    
    Use #defines for some offsets into the statistics header and trailer.
    
    Change-Id: Ie936683b96888961d6e2598131cc0eb6146b37e9
    Reviewed-on: https://code.wireshark.org/review/689
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 4342323c08e210236469e5f4e17dc8175153c5aa
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Mar 14 12:38:52 2014 -0700

    Support to version 3.0 of netscaler packet wire format.
    
    From shekhar.chandra@citrix.com.  See bug 9280.
    
    Change-Id: If3abbc653bb1f127b151976d4183af4c4f1e71eb
    Reviewed-on: https://code.wireshark.org/review/658
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit f1996885d2e7bd4c191014a77cd1dcc359697dd9
Author: AndersBroman <a.broman@bredband.net>
Date:   Thu Mar 13 21:41:16 2014 +0100

    Add an UAT table to define endpoints and channel data to be able to
    presetup conversations with FP dissection data.
    
    Change-Id: Ibced63bf944d7268751f8055095eb26477664be1
    Reviewed-on: https://code.wireshark.org/review/643
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: ronnie sahlberg <ronniesahlberg@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 3ac19d36439b9f0a27321a7d51bd1f99e36c57f6
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Mar 15 12:18:28 2014 -0700

    Clean up the setting of the len and caplen fields.
    
    Always include the length of the metadata headers, as we're always
    copying them.
    
    Do a straightforward check to make sure the data length is >= 4 before
    subtracting out the FCS (which appears not to actually be an FCS; at
    least in the captures I've seen, it looks like random junk).
    
    Improve the comments for that code.
    
    Get rid of some tabs, in favor of spaces, while we're at it, and make
    the 3 sections of code where that's done more alike.
    
    Change-Id: Ica338cd492ac535833933a8b7cd5191217c5ab5b
    Reviewed-on: https://code.wireshark.org/review/685
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 42c522ccf2f5c7de97e5b0cb6c77f37c097eb912
Author: Bill Meier <wmeier@newsguy.com>
Date:   Sat Mar 15 13:57:05 2014 -0400

    (Minor) prefs_register_protocol() callback not required; Therefore: simplify proto_reg_handoff...().
    
    Change-Id: Ic09351d7b04d55814211618056e92430bc114f6f
    Reviewed-on: https://code.wireshark.org/review/684
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Tested-by: Bill Meier <wmeier@newsguy.com>

commit 7b6b6e5aaafffbe509d522b4b0c8a8e3c429254f
Author: Bill Meier <wmeier@newsguy.com>
Date:   Sat Mar 15 13:51:33 2014 -0400

    Add a length-check to heuristic to prevent any exception during test; add editor modelines.
    
    Change-Id: I8b4f565699c4d044cc3b64b22115a921b97b3d38
    Reviewed-on: https://code.wireshark.org/review/683
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Tested-by: Bill Meier <wmeier@newsguy.com>

commit 33b3bb9b8a5f8735b547845ae97eef9a86d88638
Author: Bill Meier <wmeier@newsguy.com>
Date:   Sat Mar 15 13:49:05 2014 -0400

    (Trivial): add editor modelines. use consistent indentation & do whirespace re-formatting.
    
    Change-Id: Ic8378bf398bcabfe1f50f7f6ccbe10e2e84884d5
    Reviewed-on: https://code.wireshark.org/review/682
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Tested-by: Bill Meier <wmeier@newsguy.com>

commit d6548f9301f6fb077a9aedb5154b3b10b1b9beb1
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Mar 15 14:31:14 2014 +0100

    Remove unused const variables errors seen with recent Clang version
    
    Fixes bug 9886
    
    Change-Id: I8624ef1c5874aea5521d21c998510fc29c838936
    Reviewed-on: https://code.wireshark.org/review/657
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 830684fc0d6cc94aa7d892c965b722eb306b59a6
Author: Bill Meier <wmeier@newsguy.com>
Date:   Sat Mar 15 11:48:58 2014 -0400

     #if 0 (with XXX comment) use of try_conversion(); Also: do misc cosmetic changes.
    
    Change-Id: Ib31439cfaaf5c08113b87f0bbb0b75932ca06bc9
    Reviewed-on: https://code.wireshark.org/review/680
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Tested-by: Bill Meier <wmeier@newsguy.com>

commit 5af1e3a9582d6c1b5c4eb110840e74d0518e59dc
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Mar 15 11:01:03 2014 +0100

    Fix -Wabsolute-value in TAP Compare stat (Found by Clang 3.5)
    
    tap-comparestat.c:321:55: error: taking the absolute value of unsigned type 'unsigned int' has no effect [-Werror,-Wabsolute-value]
    tap-comparestat.c:321:55: note: remove the call to 'abs' since unsigned values cannot be negative
    tap-comparestat.c:347:56: error: taking the absolute value of unsigned type 'unsigned int' has no effect [-Werror,-Wabsolute-value]
    tap-comparestat.c:347:56: note: remove the call to 'abs' since unsigned values cannot be negative
    
    Change-Id: Ice950228d844373abcbd0cdc8ea05079b8b933d0
    Reviewed-on: https://code.wireshark.org/review/676
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 813bc10e8fdf5df2dc876b6e1da90d9e1de70802
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Mar 15 10:55:01 2014 +0100

    Fix -Wabsolute-value in GTK Compare stat (Found by Clang 3.5)
    
    compare_stat.c:235:34: error: taking the absolute value of unsigned type 'guint32' (aka 'unsigned int') has no effect [-Werror,-Wabsolute-value]
    compare_stat.c:235:34: note: remove the call to 'abs' since unsigned values cannot be negative
    compare_stat.c:406:55: error: taking the absolute value of unsigned type 'unsigned int' has no effect [-Werror,-Wabsolute-value]
    compare_stat.c:406:55: note: remove the call to 'abs' since unsigned values cannot be negative
    compare_stat.c:432:56: error: taking the absolute value of unsigned type 'unsigned int' has no effect [-Werror,-Wabsolute-value]
    compare_stat.c:432:56: note: remove the call to 'abs' since unsigned values cannot be negative
    
    Change-Id: I03cc3136df3faf42c25986f52f015b8d87ce5774
    Reviewed-on: https://code.wireshark.org/review/675
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 35648dec43c05f4b3a2845d9957106852d2c8f28
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Mar 15 10:52:23 2014 +0100

    Fix -Wabsolute-value in GTK SCTP Graph (Found by Clang 3.5)
    
    sctp_graph_dlg.c:1562:18: error: taking the absolute value of unsigned type 'unsigned int' has no effect [-Werror,-Wabsolute-value]
    sctp_graph_dlg.c:1562:18: note: remove the call to 'abs' since unsigned values cannot be negative
    sctp_graph_dlg.c:1574:18: error: taking the absolute value of unsigned type 'unsigned int' has no effect [-Werror,-Wabsolute-value]
    sctp_graph_dlg.c:1574:18: note: remove the call to 'abs' since unsigned values cannot be negative
    
    Change-Id: If3cdce123256543a95fe0b596eee962e1d93d118
    Reviewed-on: https://code.wireshark.org/review/674
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 0d2dd005647d173959fdd1794ff04840eb5e8cd4
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Mar 15 10:49:47 2014 +0100

    Fix -Wabsolute-value in ICMP dissector (found by Clang 3.5)
    
    packet-icmp.c:1245:7: error: taking the absolute value of unsigned type 'unsigned int' has no effect [-Werror,-Wabsolute-value]
    packet-icmp.c:1245:7: note: remove the call to 'abs' since unsigned values cannot be negative
    packet-icmp.c:1245:30: error: taking the absolute value of unsigned type 'unsigned int' has no effect [-Werror,-Wabsolute-value]
    packet-icmp.c:1245:30: note: remove the call to 'abs' since unsigned values cannot be negative
    packet-icmp.c:1254:6: error: taking the absolute value of unsigned type 'unsigned int' has no effect [-Werror,-Wabsolute-value]
    packet-icmp.c:1254:6: note: remove the call to 'abs' since unsigned values cannot be negative
    packet-icmp.c:1254:29: error: taking the absolute value of unsigned type 'unsigned int' has no effect [-Werror,-Wabsolute-value]
    packet-icmp.c:1254:29: note: remove the call to 'abs' since unsigned values cannot be negative
    packet-icmp.c:1623:7: error: taking the absolute value of unsigned type 'guint32' (aka 'unsigned int') has no effect [-Werror,-Wabsolute-value]
    packet-icmp.c:1623:7: note: remove the call to 'abs' since unsigned values cannot be negative
    packet-icmp.c:1629:7: error: taking the absolute value of unsigned type 'guint32' (aka 'unsigned int') has no effect [-Werror,-Wabsolute-value]
    packet-icmp.c:1629:7: note: remove the call to 'abs' since unsigned values cannot be negative
    
    Change-Id: I6b344d01b8239fb93aedf95d954ef1243ba45a6b
    Reviewed-on: https://code.wireshark.org/review/673
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 309406299dd694be8191024fd25a5e30d9f7c399
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Mar 15 03:02:40 2014 -0700

    Use constants instead of vwr->STATS_LEN in some cases.
    
    In some cases, we know, based on the FPGA code, what vwr->STATS_LEN is,
    so use that #define.
    
    While we're at it, replace some hardcoded numbers that represent the
    statistics trailer length with the appropriate #define.
    
    Also, combine two identical case arms for Ethernet into one.
    
    Change-Id: I0bdea8e5aab146094ad21fa7e67dca2913da688b
    Reviewed-on: https://code.wireshark.org/review/672
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 41c8cd62bf9df07e981de4e46f59a5452baae472
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Mar 15 02:45:34 2014 -0700

    Fix setting of STATS_LEN - it's what's in the file, not what we *generate*.
    
    vwr->STATS_LEN is the length of the statistics trailer at the end of the
    packet, and it's the same for S2 and S3 versions of the WLAN card.  It
    should *not* be set to the length of the metadata headers that we
    *generate and put in front of the packet data that we hand to our
    callers*.
    
    Get rid of a debugging message while we're at it.
    
    Change-Id: I465b5ba4dedb88f1f401d34439b44b16a4bb01cc
    Reviewed-on: https://code.wireshark.org/review/671
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0d6cdb5f26973818ff891d20a0c72587f2427bf0
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Mar 15 02:24:03 2014 -0700

    Clean up naming and get rid of unused and duplicate definitions.
    
    The so-called "radiotap headers" bear no resemblance to actual
    radiotap.org radiotap headers; there are no presence bits, for example.
    Get rid of the words "radiotap" and "radio tap", get rid of #defines
    that aren't used, get rid of duplicate definitions.
    
    Change-Id: I0bb6abda5d13bf20810dc865a567f4ec51a38056
    Reviewed-on: https://code.wireshark.org/review/670
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5d2409116e9e58f62a7b41b369d811ded51ffe92
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Mar 14 17:39:52 2014 +0100

    Fix indent (use 2 spaces)
    
    Change-Id: If7872c510d20e9f04e44e3fdf09c023e5ac602d9
    Reviewed-on: https://code.wireshark.org/review/648
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit e63eb0298ad89161fd9aa1ee1c79bbaea9a9dd0f
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Mar 15 09:57:52 2014 +0100

    Fix compilation of packet-aruba-erm.c
    
    Change-Id: I30bef3eb92e1bdf67e4a3019ef3542e14ac9505c
    Reviewed-on: https://code.wireshark.org/review/669
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit a16b86282cbee1e6e90e0dff49482f81368d8ac8
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Mar 14 16:54:51 2014 +0100

    Enhance dissector Aruba ERM
    
    Support type 0 (legacy), type 1 (peek), type 3 (pcap+radio) mode
    via preference
    
    type 2 (airmagnet) is no yet supported
    
    Change-Id: I4f0d10e5d9b87bdcf5863d84e565201acaeee45b
    Reviewed-on: https://code.wireshark.org/review/647
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit bac9b5b6fdfb9d3f306bb65f6509dce7144e82ad
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Fri Mar 14 21:05:25 2014 -0400

    Fix lrexlib.c clang static analyzer warning
    
    This fixes a "Argument with 'nonnull' attribute passed null" warning
    generated by the clang static analyzer.  It's a false positive, but
    easy to remedy.
    
    Change-Id: Id737d1ac29765ed26a416c5cd13bedafee478fb6
    Reviewed-on: https://code.wireshark.org/review/661
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f75f1d54c4bad6bd130af924b5dba71fb5774652
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Fri Mar 14 21:12:10 2014 -0400

    Fix README.heuristic wording to Bill Meier's correction
    
    Change-Id: Ifeb61abdcc7aa049529d584ff3fe50b6fd79fe21
    Reviewed-on: https://code.wireshark.org/review/662
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c7383faea4d9d0e5c59b58c0f871e91b93d3f425
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Mar 15 00:48:56 2014 -0700

    Better document the offset of the MPDU in the packet data.
    
    In the S1 FPGA code, copy the "MPDU starts at 4 or 6" comment.
    
    Get rid of misleading comment in the S2/S3 FPGA code; we're using the
    MPDU_OFF field from the private data structure, so we're not calculating
    *anything* at that point.  Put in comments indicating what's being done
    at the point where those calculations are actually done.
    
    Change-Id: Ifda709a6b2aa7edad964f639086012c72c0a71fe
    Reviewed-on: https://code.wireshark.org/review/668
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 288923d61f594550c7a55894b006efa809b33a0d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Mar 14 20:18:24 2014 -0700

    Add a #define for the record header length, and use it.
    
    Add a comment describing (some of) the record, while we're at it, and
    update another comment to reflect reality.
    
    Change-Id: Ia7f1432402b843b96983375c0e0842c030de0cee
    Reviewed-on: https://code.wireshark.org/review/667
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit a0afd45d8c832fe8679e1400a22f420dab7db468
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Mar 14 19:49:54 2014 -0700

    Some records have two statistics blocks; clarify that.
    
    Change-Id: I139cd73f6fff84528e105f9246a4207aa48a68df
    Reviewed-on: https://code.wireshark.org/review/666
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 50b3da03ca80404f9f1f411407c316bdfa0ea485
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Mar 14 19:47:22 2014 -0700

    More use of vwr->STATS_LEN to clarify what code is doing.
    
    Change-Id: I9292f7b054f7b71727409deb062200a0301db5ee
    Reviewed-on: https://code.wireshark.org/review/665
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 225635e5d2c59979336fad2045fa9fa962e72281
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Mar 14 19:45:02 2014 -0700

    Get rid of duplicate code.
    
    Change-Id: I39515c13f667a62445e3498cf90742dc271e390c
    Reviewed-on: https://code.wireshark.org/review/664
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 3158a5b22e91f406c6ced070e73cc6efeb125485
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Mar 14 18:36:36 2014 -0700

    Use vwr->STATS_LEN instead of numbers, and eliminate redundant checks.
    
    Instead of throwing in 48 and 64 as numbers, use vwr->STATS_LEN to
    indicate what the lengths are.  Yeah, it has to be fetched at run time,
    but big deal.
    
    That also shows that, as we've already rejected records whose size is
    less than vwr->STATS_LEN, we don't have to check for that, so eliminate
    those checks.
    
    Change-Id: Id4822b3e5a02abfffb2da96a50999e36548a4279
    Reviewed-on: https://code.wireshark.org/review/663
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit ba7e5e322e28909228bd3bfd251d5a727bc73ff4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Mar 14 16:14:15 2014 -0700

    len and caplen are derived independently, so set WTAP_HAS_CAP_LEN.
    
    Fix presumed typo while we're at it.
    
    Change-Id: Ic8ae6e6669e5c5fc618ec2516af98ba2390487ce
    Reviewed-on: https://code.wireshark.org/review/660
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 55f6b2e04826fdd97b6d0eb26ac6cbd33d4b3589
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Mar 14 12:52:00 2014 -0700

    Remove more now-unused stuff.
    
    Change-Id: I8f65ed38e0b5f8923b7c273c2fca4c2b57c5af9c
    Reviewed-on: https://code.wireshark.org/review/659
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 6e339201f019e130efbdfddfe29b26647eaac99d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Mar 14 12:23:03 2014 -0700

    Get rid of a no-longer used preference.
    
    We no longer need a preference to determine the byte order of the T and
    L in the TLVs, as libpcap and libwiretap both, when reading a file,
    translate from the file's byte order to the reading host's byte order
    and, in fact, currently don't use the variable in which the preference
    is stored; eliminate the preference.
    
    Change-Id: Id06a6284960c1ac77028af07f3937eb4a7b0acaa
    Reviewed-on: https://code.wireshark.org/review/656
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit bf0b7f796874de7df9a4397bae20bc4bd8a3cae1
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Mar 14 18:45:34 2014 +0100

    Fix indent (use 4 spaces) and add Modelines
    
    Change-Id: I50c66638d48a6579b50204769bd27210d9d6c228
    Reviewed-on: https://code.wireshark.org/review/655
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit e0d76a579bf9604931dee66e4ff44f1fb36f0531
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Mar 14 18:26:09 2014 +0100

    Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: I688509fff7d5b663f2ff54b42a80c52592613213
    Reviewed-on: https://code.wireshark.org/review/654
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit d3cc7e0120b6a87f233723aec101c0629cd755c0
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Mar 14 18:21:28 2014 +0100

    Fix -Wunused-const-variable found by Clang 3.5
    
    Change-Id: Idf5ac9e067a647d3e1be82df352d956c87d6050c
    Reviewed-on: https://code.wireshark.org/review/653
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 348c19cc7d3cdc04186d77bb905cd54a096d009f
Author: Bill Meier <wmeier@newsguy.com>
Date:   Fri Mar 14 13:05:15 2014 -0400

    Use try_val_to_str() in heuristics test (intead of a loop); ensure no exception during test.
    
    Change-Id: Ib55ccca4a025fb1cbef52ffa01888fef6d72156a
    Reviewed-on: https://code.wireshark.org/review/651
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Tested-by: Bill Meier <wmeier@newsguy.com>

commit f02b8880205fdec8500cb6a2a4a7ff1e3080ab28
Author: Bill Meier <wmeier@newsguy.com>
Date:   Fri Mar 14 12:21:40 2014 -0400

    Fix two bugs & do various other changes.
    
    Bugs fixed:
    - Catch exceptions during heuristics test so that the sequence of
      dissector heuristics tests is not terminated abnormally;
      (Prevents incorrect tshark "one-pass" dissection);
    - Comment out registration of heuristic for TCP; TCP dissection
      requires different code than for UDP. ("XXX: ToDo" added)
    
    Misc:
    - Create/use two extended value_strings;
    - "UL" is not needed as a modifier for several constants;
    - Remove some unneeded initializers;
    - Localize some variables;
    - Remove unneeded '#include <stdlib.h>
    - Do some whitespace changes.
    
    Change-Id: Ida11cb6b26911c0032155fde7491dd2a6f136c34
    Reviewed-on: https://code.wireshark.org/review/650
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Tested-by: Bill Meier <wmeier@newsguy.com>

commit 740ec32af514e2ff31a0fd275fa6456d036a35ad
Author: Bill Meier <wmeier@newsguy.com>
Date:   Thu Mar 13 16:18:06 2014 -0400

    Ensure there's no exception during the initial heuristics test.
    
    Change-Id: I7d7e8bf2d1d63b34659f6de506eb4b2693780cce
    Reviewed-on: https://code.wireshark.org/review/649
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Tested-by: Bill Meier <wmeier@newsguy.com>

commit eea31bee59d11e0f2a07b31b1c387fdcb407f485
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Mar 14 16:53:22 2014 +0100

    Add modelines information and peekremote register for futur use...
    
    Change-Id: I81f726cd20878770a37d9489f40d473960714425
    Reviewed-on: https://code.wireshark.org/review/646
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 4b2ec6b335f6fecdf5c4923de53b1770f4ccd02b
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Fri Mar 14 13:55:34 2014 +0100

    Display framed_ipv6_prefix as an IPv6 address even when it's not the full
    16 bits.
    
    Change-Id: I6cef08e2da9467cb54b5d08526c77c87e7afe1fa
    Reviewed-on: https://code.wireshark.org/review/645
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 04c39bb0972bac1f95eb9394b5ca1086f19c0d93
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Mon Mar 10 01:54:51 2014 -0400

    Add Lua heuristic dissector support
    
    This adds the ability for Lua scripts to register heuristic dissectors
    for any protocol that has registered a heuristic dissector list, such
    as UDP, TCP, and ~50 others. The Lua function can also establish a
    conversation tied to its Proto dissector, to avoid having to check the
    heuristics for the same flow. The example dissector in the testsuite
    has also been enhanced to include a heuristic dissector, to verify
    the functionality and provide an example implementation.
    
    Change-Id: Ie232602779f43d3418fe8db09c61d5fc0b59597a
    Reviewed-on: https://code.wireshark.org/review/576
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a59ac1bd10d29d05ca5cd657b7c64ab13a08670d
Author: 0xbismarck <0xbismarck@gmail.com>
Date:   Thu Mar 13 12:01:23 2014 -0400

    Bug 9704: GSM_MAP SendRoutingInfoForSM incomplete
    
    Added the field information for Phase 1 for the Send Routing Info
    For Sm message per request of ticket 9704. Code per the suggestion of
    Anders Broman. Adding Phase 1 code to GSMMAP.asn.
    
    Did not have any data to verify that the change worked.
    
    Change-Id: Ic387e2e12e8893abb0f453f5010909ffbfd1808c
    Reviewed-on: https://code.wireshark.org/review/147
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 2f794e95d13a139483e81a82b12ac58151cf2e89
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Mar 13 22:47:14 2014 +0100

    MBIM: fix 3GPP SMS PDU record dissection
    
    Change-Id: I232a12eb7f7ee49464bb45c6f284ca3a3825909c
    Reviewed-on: https://code.wireshark.org/review/644
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit eff7a9b64588a4b5ded71289c05ca9f6aa4db6d5
Author: Patrick MacArthur <pmacarth@iol.unh.edu>
Date:   Wed Mar 12 15:21:23 2014 -0400

    Fix dissection of RDMA WRITE ONLY IMM packets.
    
    Change-Id: Icdc4aaa243191dc85e067a75a068c175fa09296b
    Reviewed-on: https://code.wireshark.org/review/637
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit e204e9aefb8ec36638d55efee93f73eec8a3e7d8
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Mar 13 12:52:41 2014 +0100

    Enhance ZigBee Routing Table
    Make field filterable and use value_string for status
    
    Based from capture available in bug 9855
    
    Need to continue... lot of enhance is possible in ZigBee dissector...
    
    Change-Id: I0ac84e05a7b8b54e9879abbb7495034318188394
    Reviewed-on: https://code.wireshark.org/review/631
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit ba32257cb6226d15d310080071c698f2d6903c88
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Tue Mar 11 22:46:25 2014 +0100

    add a test for SSL/TLS decryption using the master secret
    
    rename the existing SSL test to clarify that it uses the server's
    private key for decryption
    
    Change-Id: I13598fc4cf724b144a8f27bfa7a3316acfc78728
    Reviewed-on: https://code.wireshark.org/review/640
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit c9956e35f2d8648a9045d318541ed5c8aef9df20
Author: AndersBroman <a.broman@bredband.net>
Date:   Thu Mar 13 21:08:57 2014 +0100

    Use dissector_try_uint_new() and include diam_sub_dis_inf when calling all
    AVP sub dissectors.
    
    Change-Id: I6dcc362ea755794d3e18d8d27ed2128b46bd887b
    Reviewed-on: https://code.wireshark.org/review/642
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f3f77bd16f81de63105862515e3965564eed0d7a
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Mar 13 21:23:24 2014 +0100

    Add tfshark.rc.in to Makefile.am
    
    Change-Id: I7d987534243a3e1575191f67d8b660c3c4c4731f
    Reviewed-on: https://code.wireshark.org/review/641
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit a9f349b75178c8d0dc816968d04431e22d185a81
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Mar 13 12:41:00 2014 -0700

    Rename and relabel some fields, as per emburey's comment.
    
    Change-Id: I8e32672912bb202903182126613ce3394e0e1c35
    Reviewed-on: https://code.wireshark.org/review/639
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 641eb36dd5c89d5b2f6291d5bc540072b4bacdf2
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Mar 13 10:20:28 2014 -0700

    Fix value_string checks in checkAPIs.pl.
    
    Some strings contain semicolons, which meant g36db2df was terminating
    our REs too early. Try terminating them with '}' followed by ';'.
    
    Change-Id: I97f63351ef35c91e3123d9abd47576d47fea4b2b
    Reviewed-on: https://code.wireshark.org/review/638
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 53dab8e1f1acb95930bfb06da3c8b9c30af85d1c
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Mar 11 10:28:41 2014 -0400

    Note that a dissector heuristic test *must not* cause an exception before returning FALSE.
    
    Change-Id: I9f1ab000f7a2c554d1c20abf8ca4e4bab4b5ef27
    Reviewed-on: https://code.wireshark.org/review/635
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Tested-by: Bill Meier <wmeier@newsguy.com>

commit 36db2df1c18f7000f3d0e21f8d667344725403fc
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Mar 12 17:11:27 2014 -0700

    Add a check for newlines in value_strings.
    
    Update checkAPIs.pl to look for newlines in value_strings and
    enum_val_t's. We now have to perform the check before we strip quoted
    strings. Hopefully that won't cause a problem. Rename the check since
    we do more than check for NULL termination.
    
    Add modelines.
    
    Fixes bug 9878.
    
    Change-Id: I39dd910db60c7028ea4bdb58e8cfdb239c094748
    Reviewed-on: https://code.wireshark.org/review/628
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit b1a05d5517d5da0e84f21c72c78c77a5e735bb86
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Mar 13 14:46:42 2014 +0100

    ULP: add UDP transport
    
    and fix indent (use 2 spaces)
    
    Change-Id: I558616e3030a55a845cd4ba31ac32f08bdf8376d
    Reviewed-on: https://code.wireshark.org/review/634
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 73618c8d1c82ad64a6f6e885fbc72367082d1b26
Author: Roland Knall <roland.knall@br-automation.com>
Date:   Thu Mar 13 14:28:43 2014 +0100

    Pre-Commit Hook check to check for newer version
    
     Insert a short check to always check for newer versions
     in the tool directory of the pre-commit script
    
     So far, only a warning is being generated, allowing the
     developer to decide for him/herself
    
    Change-Id: I6fce60e3de1d051757d0ed38eae8fdc94cec7662
    Reviewed-on: https://code.wireshark.org/review/633
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit b5fae942daa4fb5d0518ca5de61b7bc9b7ce7bbc
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Mar 13 01:28:08 2014 -0700

    Assorted cleanups of field names and descriptions.
    
    The PeekRemote headers are 802.11, so "Dot80211" is redundant.
    
    "Wep" really means "Protected" as there's also WPA/WPA2.
    
    "FlagsN" means "802.11n", not "802.11ac", and the "n" in "flagsn"
    indicates that.  Also, "Hz" stands for "Hertz", as in "Heinrich Hertz",
    so the "H" is capitalized.
    
    Change-Id: If46cc4859ae8d65a199c9ad1fd48d2f2128ccd3d
    Reviewed-on: https://code.wireshark.org/review/630
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 08bf1a4ae1c131486177e7e34b0c70b091e0613b
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Thu Mar 13 02:45:03 2014 -0400

    Add support for Aruba ERM Radio-Format
    
    This adds support for a variant of the current Aruba ERM format,
    a new format that provides rdio information. This addresses
    enhancment bug 9880.
    
    Change-Id: Ia38ff09d9f814193bdc544466dbd005123771262
    Reviewed-on: https://code.wireshark.org/review/629
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 907d24db893df1ced5a246eda32446015fcc750c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Mar 12 16:11:00 2014 -0700

    Get rid of $Id$, add some comments.
    
    Change-Id: I3f34484f18fba45b23b5acc924b56e5b62291114
    Reviewed-on: https://code.wireshark.org/review/627
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 13d635bf0f3b041f418acfd5ad11aecb2482a53c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Mar 12 15:12:58 2014 -0700

    Get rid of space-before-tab in indentation.
    
    Change-Id: If747e7b2af34e27ca8558293140a74691a0113b4
    Reviewed-on: https://code.wireshark.org/review/624
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit c8b6b7699635cd5f9039d6a90d2267ac06e205c5
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Mar 12 15:10:29 2014 -0700

    Thou shalt not put newlines in the strings in value_string tables.
    
    That just breaks too many things.
    
    This catches the examples of that found in bug 9878.  There might be
    others that my grepping didn't find.
    
    We should also have the checkAPIs.pl script check for this, so this
    isn't a full fix for bug 9878.
    
    Change-Id: I3bf6f1fc0fe8654d0f54a995e72f1966ae012f5e
    Reviewed-on: https://code.wireshark.org/review/623
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0284e87bea177188343d3ce9ebdfe2ec0d4044b7
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Mar 12 14:44:01 2014 -0700

    Consistently put -lm at the end of library lists.
    
    I'm not sure why it's associated with GLIB_LIBS in most entries - at
    some point, was it the case that we didn't use libmath routines but GLib
    did? - but there's no guarantee that other libraries don't use them, so
    put them at the end of the lists.  That also makes the lists a bit more
    consistent.
    
    (Yes, I know, the wireshark_ldadd list is followed by some other
    libraries in the library lists that use it, so -lm isn't *really* at the
    end everywhere.)
    
    Change-Id: Ia2e0b295fdaae771fdee7d5eecdefaa83fae9992
    Reviewed-on: https://code.wireshark.org/review/622
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5ae2815615d04e63c99c4636e5fdf644d7c5abc9
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Tue Mar 11 00:27:50 2014 -0400

    Fix bug 9866: Qt 'Clearing filters does not seem to affect the packet list'
    
    Clicking the "X" clear filter button now applies the clearing to the
    displayed packet list.  This commit also adds tooltips for the display
    filter display filter box's butons.
    
    Change-Id: I827020a7705a32a4a9204d22e94942853e25bba6
    Reviewed-on: https://code.wireshark.org/review/601
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit bc3aa5dff25b834977dec850efad4c21c10ea179
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Mar 10 22:28:08 2014 +0100

    Add dissection of flags, status, flagsN for Omnipeek/Peek Remote dissector.
    
    Information about value of flags from Emburey
    
    Change-Id: Iba79fba8e95cd2fc80f6fba5fa937d5485fbb381
    Closed-bugs: 9586
    Reviewed-on: https://code.wireshark.org/review/595
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit c4c83502849ec2e0a2544e494647641d6c16dc4f
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Thu Mar 6 17:20:48 2014 -0500

    Fix bug 9021: 'RTP not decoded inside the conversation in v.1.10.1'
    
    The behavior for SIP/SDP handling of RTP conversation tracking
    changed in v1.10, with some unintended consequences.  The bugs did not
    show up at the time because wireshark makes 2 passes of the packet list,
    and so the problems auto-corrected themselves in most cases.  Unfortunately,
    a change in r53641 modified how UDP behaves, making it always create
    conversations for UDP packets, and that exposed the bugs inherent in the
    SIP/SDP code changes.
    
    This commit reverts the behavior of SIP/SDP to its pre-1.10 model, but
    creates a new preference setting for "Delay SDP changes for tracking media",
    which if enabled, will turn on the new (but buggy) model introduced in 1.10.
    This preference is *disabled* by default, since for a majority of cases the
    new behavior is worse than the previous behavior.
    
    The preference, and this commit's fix, is not intended to last long. I intend
    to re-write the SIP/SDP/RTP interaction model for release 1.11 - I think it's
    too big a change for 1.10, however, which is why I submitted this commit.
    
    Change-Id: Ic5601749d6c2344e952ced8206dd9296bfdc4b90
    Reviewed-on: https://code.wireshark.org/review/543
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 70ff7be1e6735cd9b00bfeb1c23bf19cf1250c01
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Wed Mar 12 17:36:26 2014 +0100

    MAC LTE: fix a typo in Buffer Size value_string
    
    Change-Id: Ie38726fb51a74bbcdc630550e61fa0e934ffdd1e
    Reviewed-on: https://code.wireshark.org/review/618
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 69cc9e10452eb2725ab9a6bb35b717081c50e01d
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Wed Mar 12 12:14:51 2014 -0400

    Fix whitespace tabs to spaces, indent by 4, modelines
    
    Change-Id: I8bb64a879d1aa779c9ac85db306cbd34d1188243
    Reviewed-on: https://code.wireshark.org/review/617
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit e5482196b23aa9eb68a97ef4ef7df35ca19fd56b
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Mar 12 15:43:05 2014 +0100

    Fix indent (Remove space and use tabs)
    
    Change-Id: I9cc33a43e0f06dfad3f9fb53ad0df636f2ea7020
    Reviewed-on: https://code.wireshark.org/review/615
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit db1fddb40b5557e9bed6fe83d07282b791bf1e7a
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Tue Mar 11 11:52:48 2014 -0400

    Fix Bug 9873: 'Qt: right-clicking on toolbars only shows checkmarks'
    
    Add the text descriptions for the two toolbars: "Main Toolbar" and
    "Display Filter", so the right-click context menu shows what you're
    removing/adding. And add a View->Toolbar sub-menu, with checkable
    "Main Toolbar" and "Display Filter" entries, which enable you to
    show/hide the toolbars via the menu.
    
    If someone has/prefers better names for these things, I'm all ears.
    
    Change-Id: I55b9fbaed2ef6dca3260fa9dfdddd7dad95d05c4
    Reviewed-on: https://code.wireshark.org/review/608
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit d89195d1b8010c3a87f116baee6e2903b2a143f6
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Mar 12 15:16:10 2014 +0100

    Fix a trivial typo
    
    Change-Id: Ibb2609b865ebaca14572c480d06ecc6ae7ef73f5
    Reviewed-on: https://code.wireshark.org/review/614
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 7e7bf824564ab936fd2aafba269b4d73e406aa48
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Tue Mar 11 22:27:42 2014 -0400

    Fix Bug 9872: 'SIP status line in 200 OK for de-registration is misleading'
    
    The status line of the 200 OK during a deregistration is (1 bindings), but it
    should be (0 bindings). Wireshark should check the "expires=0" in the contact
    header not just count the number of the contact lines. But since it's not
    truly valid to have expires=o contacts in responses, this commit adds expert
    info warning of such.
    
    Also, the REGISTER request itself already says "(remove all bindings)"
    in the Info column currently if the Contact was a '*', but it didn't
    say something similar if only de-registering one or more explicit
    contacts. This has been fixed as well.
    
    Lastly, this fixes three other bugs I found while reading the code and testing:
    (1) comma-separated Contact headers will be displayed as a single one if
    the first one(s) don't have header params but a subsequent one does; and
    (2) the last Contact header param is displayed with the trailing '\r\n'
    header separator; and (3) the SIP REGISTER response code displayed contact
    binding info for responses other than 2xx, which isn't logical.
    
    Since all of these are in the same area and not critical, I'm lumping these
    all together.
    
    A test capture file used for testing is attached to the bug.
    
    As an aside, the SIP header parsing code needs to be refactored. Most SIP
    headers follow a common ABNF pattern, and should be parsed using a common
    function(s) so these issues don't crop up for specific headers.
    
    Change-Id: I16c531fcb244dc121fc0e8046908e475b41489f9
    Reviewed-on: https://code.wireshark.org/review/612
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 1ab950cc4c44763d2fbe686b1551570a5bbfb026
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Mar 12 11:07:10 2014 +0100

    Enhance VXLAN dissector
    
    * Fix modelines (no CR after modelines)
    * Add UDP Port (Attributed in draft 04 Port 4789)
    * Update link to last draft (no specify change)
    
    Change-Id: I4cd89719ae00eb64ce4c234c39b9e18cdc1b8b93
    Reviewed-on: https://code.wireshark.org/review/613
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 2a9294356a36f297153fe255b149e6ab39310e82
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Jan 14 19:37:40 2014 +0100

    Add Export PDU Dialog (Wireshark Qt)
    
    Rebase with last change and add Logcat export
    
    Change-Id: Idc9b444b1bf14b95ff60e8466e94f7eecd875b47
    Reviewed-on: https://code.wireshark.org/review/14
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 5af5f1699cb26f6ac198374189aba87abe626e0d
Author: Martin Kaiser <martin@skogar.kaiser.cx>
Date:   Tue Mar 11 17:40:56 2014 +0100

    fix the SSL decryption using the master secret
    this was broken in 21aa7168c7565445ee544ee78fb6c836a63cd4ed
    
    to be on the safe side, we assue that return value >= 0 means success,
    < 0 means failure
    
    Change-Id: I1d03000e6b6d70fac6bef8766d28990d953c8e27
    Reviewed-on: https://code.wireshark.org/review/609
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 0f73f7959af01c8992540ec169121654c0e34a13
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Tue Mar 11 12:02:23 2014 +0100

    GTK_STOCK_PRINT_ERROR was missing in GTK+ < 2.14, too
    
    Change-Id: I1be141c58252b8bb0db2ffff2edbb80f92c69cd6
    Reviewed-on: https://code.wireshark.org/review/606
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>
    Tested-by: Balint Reczey <balint@balintreczey.hu>

commit 42971dc42ac95ec38b3ddd33142ff921e3b39512
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Tue Mar 11 09:52:11 2014 +0100

    Don't use some stock icons missing in old (< 2.16) versions in GTK+
    
    Change-Id: I2716a8a25627de9c3945fbf5117edcb4859aa95f
    Reviewed-on: https://code.wireshark.org/review/605
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c45a15f211385393ab9b14b83d7ca45b00449cb5
Author: Lukas Emersberger <lukas.emersberger@gmail.com>
Date:   Mon Mar 10 08:23:36 2014 +0100

    EPL: Support SyncReq and SyncResp Frames
    
      - For PollResponse-Chaining SyncReq and SyncResp frames were introduced.
        Those frame-types are not recognized by Wireshark yet.
    
      - Currently only the FeatureFlags 0-13 where interpreted by Wireshark.
        Flags 14-15 and all extended flags where missing.
    
        14 = SDO Read/Write All by Index
        15 = SDO Read/Write Multiple Parameter by Index
        16 = Multiple-ASend Support (TRUE = Device supports Multiple-ASend; FALSE = Device doesn’t support Multiple-ASend)
        17 = Ring Redundancy (TRUE = MN supports ring redundancy; FALSE = MN does not support ring redundancy)
        18 = PResChaining (TRUE = Device supports PResChaining; FALSE = Device does not support PResChaining)
        19 = Multiple PReq/PRes (TRUE = Device supports Multiple PReq/PRes; FALSE = Device does not support Multiple PReq/PRes)
        20 = Dynamic Node Allocation (TRUE = Device supports DNA; FALSE = Device does not support DNA)
    
    Signed-off-by: Lukas Emersberger <lukas.emersberger@gmail.com>
    Change-Id: I9ac19f8b71b1be1094f410141c0f806996b1cb25
    Reviewed-on: https://code.wireshark.org/review/589
    Reviewed-by: Roland Knall <rknall@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 00be1d31ce580a6ad7ac37cb04d2dea9f20fa130
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Fri Feb 21 14:09:52 2014 +0100

    Migrate GTK icon handling to GTK 3.10 API
    
    GtkStockItem usage is deprecated with all the GTK_STOCK_.* stock ids.
    We keep a stock id based approach but without relying on GTK's
    GtkStockItem system.
    
    We create our own internal stock ids for {icon, label} tuples and keep
    the original GTK stock id #define-s and values to preserve backward
    compatibility.
    
    Change-Id: Ia0b35a5903f079e92c8026e3df21bbf0be2d06b0
    Reviewed-on: https://code.wireshark.org/review/302
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 234ab5b7632f03e8cdc3ad28f8bc22a00c2978d6
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Mar 10 22:36:47 2014 +0100

    Replace (int)sizeof(guint*) by value
    guint8 => 1
    guint16 => 2
    guint32 => 4
    guint64 => 8
    
    Change-Id: I23ae863115522779d99cfadeb698ed43ca626667
    Reviewed-on: https://code.wireshark.org/review/597
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit aabb002f05e388907a4b9a75dd7e41f0143a85eb
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Mar 9 11:40:56 2014 +0100

    Add value string (type and data rate) from omnipeek
    
    Change-Id: I1ed387f1cb8d207c32c5202b578bd452cef4401c
    Reviewed-on: https://code.wireshark.org/review/594
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 1cde337fee8e8af968e872115d9c7b11a9eaa81e
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Mar 10 22:30:18 2014 +0100

    Fix incorrect file in epan/Makefile.am when build with ENABLE_STATIC
    
    Change-Id: I7f76e3e3d2d6f3edd2a658fccd5953393ef74ed7
    Closed-bug: 9871
    Reviewed-on: https://code.wireshark.org/review/596
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 9961ee369c97768d5ed906d5ef5d17b718d33d3e
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Mon Mar 10 15:18:24 2014 -0400

    Fix Bug 9870 'Lua: trying to call/get an invalid name results in a get-loop error'
    
    Due to the change I made previously for how methods are accessed, if you try
    to access one that doesn't exist (for example mistype it or whatever), you get
    an internal Lua error about a loop in table get, as opposed to the right error
    message about the field not existing.
    
    That's because I had set the class' metatable __index metamethod to point to
    the class table, which of course has the metatable with the __index
    metamethod, causing a lookup loop.  Blech.
    
    Change-Id: I20d3717feadd45f652c2640e1671846184e7082d
    Reviewed-on: https://code.wireshark.org/review/593
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f4de2a2dd1142e7d7c9069bc923eeb8c7ac20333
Author: Yaniv Kaul <yaniv.kaul@emc.com>
Date:   Mon Mar 10 21:04:30 2014 +0200

